import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'aIDiagnosis.m.dart';

import 'liveConsultation.m.dart';


class AIDiagnosisService extends JsonRpcClientBase {
	AIDiagnosisService(
		String host, {
		String serviceName = "IAIDiagnosisService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => DiagnosisImageResult.fromJson(map));
		FJsonConvert.setDecoder((map) => DiagnosisReportResult.fromJson(map));
	}

	Future<List<String>> findDiagnosisModulesAsync(TokenRequest request) async {
		var rpcRst = await call("FindDiagnosisModulesAsync", request);
		var result = (rpcRst as List).cast<String>().toList();
		return result;
	}

	Future<DiagnosisImageResult> diagnosisImageAsync(DiagnosisImageRequest request) async {
		var rpcRst = await call("DiagnosisImageAsync", request);
		var result = DiagnosisImageResult.fromJson(rpcRst as Map<String, dynamic>);
		return result;
	}

	Future<DiagnosisReportResult> diagnosisReportAsync(DiagnosisReportRequest request) async {
		var rpcRst = await call("DiagnosisReportAsync", request);
		var result = DiagnosisReportResult.fromJson(rpcRst as Map<String, dynamic>);
		return result;
	}

}

