class ApplyLockResult {
	bool isSuccess;
	String? lockUniqueCode;

	ApplyLockResult({
		this.isSuccess = false,
		this.lockUniqueCode,
	});

	factory ApplyLockResult.fromJson(Map<String, dynamic> map) {
		return ApplyLockResult( 
			isSuccess: map['IsSuccess'],
			lockUniqueCode: map['LockUniqueCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		if(lockUniqueCode != null)
			map['LockUniqueCode'] = lockUniqueCode;
		return map;
	}
}

class ApplyLockRequest {
	String? lockKey;

	ApplyLockRequest({
		this.lockKey,
	});

	factory ApplyLockRequest.fromJson(Map<String, dynamic> map) {
		return ApplyLockRequest( 
			lockKey: map['LockKey'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(lockKey != null)
			map['LockKey'] = lockKey;
		return map;
	}
}

class ReleaseLockResult {
	bool isSuccess;

	ReleaseLockResult({
		this.isSuccess = false,
	});

	factory ReleaseLockResult.fromJson(Map<String, dynamic> map) {
		return ReleaseLockResult( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		return map;
	}
}

class ReleaseLockRequest {
	String? lockUniqueCode;

	ReleaseLockRequest({
		this.lockUniqueCode,
	});

	factory ReleaseLockRequest.fromJson(Map<String, dynamic> map) {
		return ReleaseLockRequest( 
			lockUniqueCode: map['LockUniqueCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(lockUniqueCode != null)
			map['LockUniqueCode'] = lockUniqueCode;
		return map;
	}
}


