import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'position.m.dart';


class PositionService extends JsonRpcClientBase {
	PositionService(
		String host, {
		String serviceName = "IPositionService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => PositionDTO.fromJson(map));
	}

	Future<List<PositionDTO>> getPositionsAsync(GetPositionsRequest request) async {
		var rpcRst = await call("GetPositionsAsync", request);
		var result = (rpcRst as List).map((e)=>PositionDTO.fromJson(e as Map<String, dynamic>)).toList();
		return result;
	}

	Future<bool> addPositionsAsync(AddPositionsRequest request) async {
		var rpcRst = await call("AddPositionsAsync", request);
		return rpcRst;
	}

	Future<bool> removePositionsAsync(RemovePositionRequest request) async {
		var rpcRst = await call("RemovePositionsAsync", request);
		return rpcRst;
	}

	Future<bool> updatePositionNameAsync(UpdatePositionNameRequest request) async {
		var rpcRst = await call("UpdatePositionNameAsync", request);
		return rpcRst;
	}

}

