import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';



class SMSService extends JsonRpcClientBase {
	SMSService(
		String host, {
		String serviceName = "ISMSService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> sendMessageAsync(List<String> mobiles,String template) async {
		var rpcRst = await call("SendMessageAsync", [mobiles,template]);
		return rpcRst;
	}

	Future<bool> checkVerificationCodeAsync(String userPhone,String verifyCode) async {
		var rpcRst = await call("CheckVerificationCodeAsync", [userPhone,verifyCode]);
		return rpcRst;
	}

	Future<bool> generalMessageAsync(List<String> mobiles,String template,List<String> paramList) async {
		var rpcRst = await call("GeneralMessageAsync", [mobiles,template,paramList]);
		return rpcRst;
	}

}

