import 'liveConsultation.m.dart';

class StorageRequest {
	List<int>? file;
	String? authorization;

	StorageRequest({
		this.file,
		this.authorization,
	});

	factory StorageRequest.fromJson(Map<String, dynamic> map) {
		final fileData = map['File'];
		return StorageRequest( 
			file: fileData != null ? (fileData as List).map((e) => e as int).toList(): null,
			authorization: map['Authorization'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(file != null)
			map['File'] = file;
		if(authorization != null)
			map['Authorization'] = authorization;
		return map;
	}
}

class StorageServiceSettingDTO {
	String? authorization;
	String? contentType;
	String? storageUrl;

	StorageServiceSettingDTO({
		this.authorization,
		this.contentType,
		this.storageUrl,
	});

	factory StorageServiceSettingDTO.fromJson(Map<String, dynamic> map) {
		return StorageServiceSettingDTO( 
			authorization: map['Authorization'],
			contentType: map['ContentType'],
			storageUrl: map['StorageUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(authorization != null)
			map['Authorization'] = authorization;
		if(contentType != null)
			map['ContentType'] = contentType;
		if(storageUrl != null)
			map['StorageUrl'] = storageUrl;
		return map;
	}
}

class FileServiceRequest extends TokenRequest{
	String? fileName;
	bool isRechristen;
	bool isUpgradePackage;

	FileServiceRequest({
		this.fileName,
		this.isRechristen = false,
		this.isUpgradePackage = false,
		String? token,
	}) : super(
			token: token,
		);

	factory FileServiceRequest.fromJson(Map<String, dynamic> map) {
		return FileServiceRequest( 
			fileName: map['FileName'],
			isRechristen: map['IsRechristen'],
			isUpgradePackage: map['IsUpgradePackage'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(fileName != null)
			map['FileName'] = fileName;
		map['IsRechristen'] = isRechristen;
		map['IsUpgradePackage'] = isUpgradePackage;
		return map;
	}
}

class CheckStorageRequest {
	String? fileName;

	CheckStorageRequest({
		this.fileName,
	});

	factory CheckStorageRequest.fromJson(Map<String, dynamic> map) {
		return CheckStorageRequest( 
			fileName: map['FileName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(fileName != null)
			map['FileName'] = fileName;
		return map;
	}
}


