class GetRoomIdResult {
	int roomId;

	GetRoomIdResult({
		this.roomId = 0,
	});

	factory GetRoomIdResult.fromJson(Map<String, dynamic> map) {
		return GetRoomIdResult( 
			roomId: map['RoomId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['RoomId'] = roomId;
		return map;
	}
}

class GetRoomIdRequest {
	String? uniqueId;

	GetRoomIdRequest({
		this.uniqueId,
	});

	factory GetRoomIdRequest.fromJson(Map<String, dynamic> map) {
		return GetRoomIdRequest( 
			uniqueId: map['UniqueId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(uniqueId != null)
			map['UniqueId'] = uniqueId;
		return map;
	}
}

class GenerateRoomUrlResult {
	String? rtmpUrl;
	String? hlsUrl;
	String? flvUrl;

	GenerateRoomUrlResult({
		this.rtmpUrl,
		this.hlsUrl,
		this.flvUrl,
	});

	factory GenerateRoomUrlResult.fromJson(Map<String, dynamic> map) {
		return GenerateRoomUrlResult( 
			rtmpUrl: map['RtmpUrl'],
			hlsUrl: map['HlsUrl'],
			flvUrl: map['FlvUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(rtmpUrl != null)
			map['RtmpUrl'] = rtmpUrl;
		if(hlsUrl != null)
			map['HlsUrl'] = hlsUrl;
		if(flvUrl != null)
			map['FlvUrl'] = flvUrl;
		return map;
	}
}

class GenerateRoomUrlRequest {
	int roomId;
	String? uniqueId;

	GenerateRoomUrlRequest({
		this.roomId = 0,
		this.uniqueId,
	});

	factory GenerateRoomUrlRequest.fromJson(Map<String, dynamic> map) {
		return GenerateRoomUrlRequest( 
			roomId: map['RoomId'],
			uniqueId: map['UniqueId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['RoomId'] = roomId;
		if(uniqueId != null)
			map['UniqueId'] = uniqueId;
		return map;
	}
}

class GetRtcSettingResult {
	int appId;

	GetRtcSettingResult({
		this.appId = 0,
	});

	factory GetRtcSettingResult.fromJson(Map<String, dynamic> map) {
		return GetRtcSettingResult( 
			appId: map['AppId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['AppId'] = appId;
		return map;
	}
}

class GetRtcSettingRequest {

	GetRtcSettingRequest();

	factory GetRtcSettingRequest.fromJson(Map<String, dynamic> map) {
		return GetRtcSettingRequest( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

class GetUserSignResult {
	String? userSign;

	GetUserSignResult({
		this.userSign,
	});

	factory GetUserSignResult.fromJson(Map<String, dynamic> map) {
		return GetUserSignResult( 
			userSign: map['UserSign'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userSign != null)
			map['UserSign'] = userSign;
		return map;
	}
}

class GetUserSignRequest {
	String? userId;

	GetUserSignRequest({
		this.userId,
	});

	factory GetUserSignRequest.fromJson(Map<String, dynamic> map) {
		return GetUserSignRequest( 
			userId: map['UserId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userId != null)
			map['UserId'] = userId;
		return map;
	}
}


