import 'authentication.m.dart';
import 'notification.m.dart';
import 'login.m.dart';
import 'upgrade.m.dart';
import 'user.m.dart';
import 'liveConsultation.m.dart';
import 'patient.m.dart';
import 'remedical.m.dart';
import 'recordInfo.m.dart';
import 'organization.m.dart';
import 'device.m.dart';
import 'education.m.dart';
import 'connect.m.dart';
import 'aIDiagnosis.m.dart';
import 'storage.m.dart';
import 'report.m.dart';
import 'payment.m.dart';
import 'lab.m.dart';
import 'vinnoServer.m.dart';
import 'position.m.dart';
import 'rank.m.dart';
import 'identityApply.m.dart';
import 'role.m.dart';
import 'region.m.dart';
import 'aSR.m.dart';
import 'deployPlatform.m.dart';

import 'package:fis_jsonrpc/utils.dart';

import 'package:fis_common/json_convert.dart';

class GenerateRoomUrlRequest {
	int roomId;
	String? uniqueId;

	GenerateRoomUrlRequest({
		this.roomId = 0,
		this.uniqueId,
	});

	factory GenerateRoomUrlRequest.fromJson(Map<String, dynamic> map) {
		return GenerateRoomUrlRequest( 
			roomId: map['RoomId'],
			uniqueId: map['UniqueId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['RoomId'] = roomId;
		if(uniqueId != null)
			map['UniqueId'] = uniqueId;
		return map;
	}
}

class GenerateRoomUrlResult {
	String? rtmpUrl;
	String? hlsUrl;
	String? flvUrl;

	GenerateRoomUrlResult({
		this.rtmpUrl,
		this.hlsUrl,
		this.flvUrl,
	});

	factory GenerateRoomUrlResult.fromJson(Map<String, dynamic> map) {
		return GenerateRoomUrlResult( 
			rtmpUrl: map['RtmpUrl'],
			hlsUrl: map['HlsUrl'],
			flvUrl: map['FlvUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(rtmpUrl != null)
			map['RtmpUrl'] = rtmpUrl;
		if(hlsUrl != null)
			map['HlsUrl'] = hlsUrl;
		if(flvUrl != null)
			map['FlvUrl'] = flvUrl;
		return map;
	}
}

class GetRoomIdRequest {
	String? uniqueId;

	GetRoomIdRequest({
		this.uniqueId,
	});

	factory GetRoomIdRequest.fromJson(Map<String, dynamic> map) {
		return GetRoomIdRequest( 
			uniqueId: map['UniqueId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(uniqueId != null)
			map['UniqueId'] = uniqueId;
		return map;
	}
}

class GetRoomIdResult {
	int roomId;

	GetRoomIdResult({
		this.roomId = 0,
	});

	factory GetRoomIdResult.fromJson(Map<String, dynamic> map) {
		return GetRoomIdResult( 
			roomId: map['RoomId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['RoomId'] = roomId;
		return map;
	}
}

class GetRtcSettingRequest {

	GetRtcSettingRequest();

	factory GetRtcSettingRequest.fromJson(Map<String, dynamic> map) {
		return GetRtcSettingRequest( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

class GetRtcSettingResult {
	int appId;

	GetRtcSettingResult({
		this.appId = 0,
	});

	factory GetRtcSettingResult.fromJson(Map<String, dynamic> map) {
		return GetRtcSettingResult( 
			appId: map['AppId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['AppId'] = appId;
		return map;
	}
}

class GetUserSignRequest {
	String? userId;

	GetUserSignRequest({
		this.userId,
	});

	factory GetUserSignRequest.fromJson(Map<String, dynamic> map) {
		return GetUserSignRequest( 
			userId: map['UserId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userId != null)
			map['UserId'] = userId;
		return map;
	}
}

class GetUserSignResult {
	String? userSign;

	GetUserSignResult({
		this.userSign,
	});

	factory GetUserSignResult.fromJson(Map<String, dynamic> map) {
		return GetUserSignResult( 
			userSign: map['UserSign'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userSign != null)
			map['UserSign'] = userSign;
		return map;
	}
}

class StorageInfoResult {
	int code;
	bool isSuccess;
	String? message;

	StorageInfoResult({
		this.code = 0,
		this.isSuccess = false,
		this.message,
	});

	factory StorageInfoResult.fromJson(Map<String, dynamic> map) {
		return StorageInfoResult( 
			code: map['Code'],
			isSuccess: map['IsSuccess'],
			message: map['Message'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Code'] = code;
		map['IsSuccess'] = isSuccess;
		if(message != null)
			map['Message'] = message;
		return map;
	}
}

class MeasureItemsResult {

	MeasureItemsResult();

	factory MeasureItemsResult.fromJson(Map<String, dynamic> map) {
		return MeasureItemsResult( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

class WaitClearLogResult {
	int daysAgo;
	int waitDelCount;

	WaitClearLogResult({
		this.daysAgo = 0,
		this.waitDelCount = 0,
	});

	factory WaitClearLogResult.fromJson(Map<String, dynamic> map) {
		return WaitClearLogResult( 
			daysAgo: map['DaysAgo'],
			waitDelCount: map['WaitDelCount'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['DaysAgo'] = daysAgo;
		map['WaitDelCount'] = waitDelCount;
		return map;
	}
}

class ClearSystemLogRecordResult {
	int daysAgo;
	String? requestServerHost;
	String? clearTime;
	List<WaitClearLogResult >? waitClearLogs;

	ClearSystemLogRecordResult({
		this.daysAgo = 0,
		this.requestServerHost,
		this.clearTime,
		this.waitClearLogs,
	});

	factory ClearSystemLogRecordResult.fromJson(Map<String, dynamic> map) {
		return ClearSystemLogRecordResult( 
			daysAgo: map['DaysAgo'],
			requestServerHost: map['RequestServerHost'],
			clearTime: map['ClearTime'],
			waitClearLogs: map['WaitClearLogs'] != null ? (map['WaitClearLogs'] as List).map((e)=>WaitClearLogResult.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['DaysAgo'] = daysAgo;
		if(requestServerHost != null)
			map['RequestServerHost'] = requestServerHost;
		if(clearTime != null)
			map['ClearTime'] = clearTime;
		if(waitClearLogs != null)
			map['WaitClearLogs'] = waitClearLogs;
		return map;
	}
}

enum CMSTemplateStatusTypeEnum {
	UnPublished,
	Published,
}

class CMSTemplateResult {
	String? cMSTemplateCode;
	String? cMSTemplateName;
	CMSTemplateStatusTypeEnum cMSTemplateStateType;
	String? cMSTemplateJson;
	bool isDefault;
	DateTime? createTime;

	CMSTemplateResult({
		this.cMSTemplateCode,
		this.cMSTemplateName,
		this.cMSTemplateStateType = CMSTemplateStatusTypeEnum.UnPublished,
		this.cMSTemplateJson,
		this.isDefault = false,
		this.createTime,
	});

	factory CMSTemplateResult.fromJson(Map<String, dynamic> map) {
		return CMSTemplateResult( 
			cMSTemplateCode: map['CMSTemplateCode'],
			cMSTemplateName: map['CMSTemplateName'],
			cMSTemplateStateType: CMSTemplateStatusTypeEnum.values.firstWhere((e) => e.index == map['CMSTemplateStateType']),
			cMSTemplateJson: map['CMSTemplateJson'],
			isDefault: map['IsDefault'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		if(cMSTemplateName != null)
			map['CMSTemplateName'] = cMSTemplateName;
		map['CMSTemplateStateType'] = cMSTemplateStateType.index;
		if(cMSTemplateJson != null)
			map['CMSTemplateJson'] = cMSTemplateJson;
		map['IsDefault'] = isDefault;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		return map;
	}
}

class OrganizationBindQueryResult {
	int bindDeviceNum;
	int bindUserNum;

	OrganizationBindQueryResult({
		this.bindDeviceNum = 0,
		this.bindUserNum = 0,
	});

	factory OrganizationBindQueryResult.fromJson(Map<String, dynamic> map) {
		return OrganizationBindQueryResult( 
			bindDeviceNum: map['BindDeviceNum'],
			bindUserNum: map['BindUserNum'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['BindDeviceNum'] = bindDeviceNum;
		map['BindUserNum'] = bindUserNum;
		return map;
	}
}

class ShareExamUrlResult {
	String? posterUrl;
	String? videoUrl;

	ShareExamUrlResult({
		this.posterUrl,
		this.videoUrl,
	});

	factory ShareExamUrlResult.fromJson(Map<String, dynamic> map) {
		return ShareExamUrlResult( 
			posterUrl: map['PosterUrl'],
			videoUrl: map['VideoUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(posterUrl != null)
			map['PosterUrl'] = posterUrl;
		if(videoUrl != null)
			map['VideoUrl'] = videoUrl;
		return map;
	}
}

class ApplyLockResult {
	bool isSuccess;
	String? lockUniqueCode;

	ApplyLockResult({
		this.isSuccess = false,
		this.lockUniqueCode,
	});

	factory ApplyLockResult.fromJson(Map<String, dynamic> map) {
		return ApplyLockResult( 
			isSuccess: map['IsSuccess'],
			lockUniqueCode: map['LockUniqueCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		if(lockUniqueCode != null)
			map['LockUniqueCode'] = lockUniqueCode;
		return map;
	}
}

class ReleaseLockResult {
	bool isSuccess;

	ReleaseLockResult({
		this.isSuccess = false,
	});

	factory ReleaseLockResult.fromJson(Map<String, dynamic> map) {
		return ReleaseLockResult( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		return map;
	}
}

class MarshalByRefObject {

	MarshalByRefObject();

	factory MarshalByRefObject.fromJson(Map<String, dynamic> map) {
		return MarshalByRefObject( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

class Stream extends MarshalByRefObject{
	bool canRead;
	bool canWrite;
	bool canSeek;
	bool canTimeout;
	int length;
	int position;
	int readTimeout;
	int writeTimeout;

	Stream({
		this.canRead = false,
		this.canWrite = false,
		this.canSeek = false,
		this.canTimeout = false,
		this.length = 0,
		this.position = 0,
		this.readTimeout = 0,
		this.writeTimeout = 0,
	}) : super(
		);

	factory Stream.fromJson(Map<String, dynamic> map) {
		return Stream( 
			canRead: map['CanRead'],
			canWrite: map['CanWrite'],
			canSeek: map['CanSeek'],
			canTimeout: map['CanTimeout'],
			length: map['Length'],
			position: map['Position'],
			readTimeout: map['ReadTimeout'],
			writeTimeout: map['WriteTimeout'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['CanRead'] = canRead;
		map['CanWrite'] = canWrite;
		map['CanSeek'] = canSeek;
		map['CanTimeout'] = canTimeout;
		map['Length'] = length;
		map['Position'] = position;
		map['ReadTimeout'] = readTimeout;
		map['WriteTimeout'] = writeTimeout;
		return map;
	}
}

class DownloadFileResult {
	Stream? merageFileStream;
	int fileSize;

	DownloadFileResult({
		this.merageFileStream,
		this.fileSize = 0,
	});

	factory DownloadFileResult.fromJson(Map<String, dynamic> map) {
		return DownloadFileResult( 
			merageFileStream: map['MerageFileStream'] != null ? Stream.fromJson(map['MerageFileStream']) : null,
			fileSize: map['FileSize'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(merageFileStream != null)
			map['MerageFileStream'] = merageFileStream;
		map['FileSize'] = fileSize;
		return map;
	}
}

class BaseLiveResult {
	String? roomCode;
	int integerRoomId;
	String? rtcMessageJson;

	BaseLiveResult({
		this.roomCode,
		this.integerRoomId = 0,
		this.rtcMessageJson,
	});

	factory BaseLiveResult.fromJson(Map<String, dynamic> map) {
		return BaseLiveResult( 
			roomCode: map['RoomCode'],
			integerRoomId: map['IntegerRoomId'],
			rtcMessageJson: map['RtcMessageJson'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(roomCode != null)
			map['RoomCode'] = roomCode;
		map['IntegerRoomId'] = integerRoomId;
		if(rtcMessageJson != null)
			map['RtcMessageJson'] = rtcMessageJson;
		return map;
	}
}

class MuteLiveResult extends BaseLiveResult{
	bool mute;

	MuteLiveResult({
		this.mute = false,
		String? roomCode,
		int integerRoomId = 0,
		String? rtcMessageJson,
	}) : super(
			roomCode: roomCode,
			integerRoomId: integerRoomId,
			rtcMessageJson: rtcMessageJson,
		);

	factory MuteLiveResult.fromJson(Map<String, dynamic> map) {
		return MuteLiveResult( 
			mute: map['Mute'],
			roomCode: map['RoomCode'],
			integerRoomId: map['IntegerRoomId'],
			rtcMessageJson: map['RtcMessageJson'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['Mute'] = mute;
		return map;
	}
}

class OpenedVideoLiveResult extends BaseLiveResult{
	bool videoOpend;

	OpenedVideoLiveResult({
		this.videoOpend = false,
		String? roomCode,
		int integerRoomId = 0,
		String? rtcMessageJson,
	}) : super(
			roomCode: roomCode,
			integerRoomId: integerRoomId,
			rtcMessageJson: rtcMessageJson,
		);

	factory OpenedVideoLiveResult.fromJson(Map<String, dynamic> map) {
		return OpenedVideoLiveResult( 
			videoOpend: map['VideoOpend'],
			roomCode: map['RoomCode'],
			integerRoomId: map['IntegerRoomId'],
			rtcMessageJson: map['RtcMessageJson'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['VideoOpend'] = videoOpend;
		return map;
	}
}

class ControllingParameterLiveResult extends BaseLiveResult{
	bool isControllingParameter;

	ControllingParameterLiveResult({
		this.isControllingParameter = false,
		String? roomCode,
		int integerRoomId = 0,
		String? rtcMessageJson,
	}) : super(
			roomCode: roomCode,
			integerRoomId: integerRoomId,
			rtcMessageJson: rtcMessageJson,
		);

	factory ControllingParameterLiveResult.fromJson(Map<String, dynamic> map) {
		return ControllingParameterLiveResult( 
			isControllingParameter: map['IsControllingParameter'],
			roomCode: map['RoomCode'],
			integerRoomId: map['IntegerRoomId'],
			rtcMessageJson: map['RtcMessageJson'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['IsControllingParameter'] = isControllingParameter;
		return map;
	}
}

class ChangeCourseStatusResult extends BaseLiveResult{
	CourseStatusEnum status;

	ChangeCourseStatusResult({
		this.status = CourseStatusEnum.Unknown,
		String? roomCode,
		int integerRoomId = 0,
		String? rtcMessageJson,
	}) : super(
			roomCode: roomCode,
			integerRoomId: integerRoomId,
			rtcMessageJson: rtcMessageJson,
		);

	factory ChangeCourseStatusResult.fromJson(Map<String, dynamic> map) {
		return ChangeCourseStatusResult( 
			status: CourseStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			roomCode: map['RoomCode'],
			integerRoomId: map['IntegerRoomId'],
			rtcMessageJson: map['RtcMessageJson'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['Status'] = status.index;
		return map;
	}
}

class FindConsultationSettingResult {
	String? version;
	String? settingData;

	FindConsultationSettingResult({
		this.version,
		this.settingData,
	});

	factory FindConsultationSettingResult.fromJson(Map<String, dynamic> map) {
		return FindConsultationSettingResult( 
			version: map['Version'],
			settingData: map['SettingData'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(version != null)
			map['Version'] = version;
		if(settingData != null)
			map['SettingData'] = settingData;
		return map;
	}
}

class AddCacheReportPosterRequest extends TokenRequest{
	String? reportPosterCode;

	AddCacheReportPosterRequest({
		this.reportPosterCode,
		String? token,
	}) : super(
			token: token,
		);

	factory AddCacheReportPosterRequest.fromJson(Map<String, dynamic> map) {
		return AddCacheReportPosterRequest( 
			reportPosterCode: map['ReportPosterCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		return map;
	}
}

class DeleteThesaurusUserCodeRequest extends TokenRequest{
	String? thesaurusCode;

	DeleteThesaurusUserCodeRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteThesaurusUserCodeRequest.fromJson(Map<String, dynamic> map) {
		return DeleteThesaurusUserCodeRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class RemoveCacheReportPosterRequest extends TokenRequest{
	String? reportPosterCode;

	RemoveCacheReportPosterRequest({
		this.reportPosterCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveCacheReportPosterRequest.fromJson(Map<String, dynamic> map) {
		return RemoveCacheReportPosterRequest( 
			reportPosterCode: map['ReportPosterCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		return map;
	}
}

class UpdateThesaurusUserCodeRequest extends TokenRequest{
	String? thesaurusCode;

	UpdateThesaurusUserCodeRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory UpdateThesaurusUserCodeRequest.fromJson(Map<String, dynamic> map) {
		return UpdateThesaurusUserCodeRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class PushRecordCodesToDeviceRequest extends TokenRequest{
	List<String >? recordCodes;
	String? deviceCode;

	PushRecordCodesToDeviceRequest({
		this.recordCodes,
		this.deviceCode,
		String? token,
	}) : super(
			token: token,
		);

	factory PushRecordCodesToDeviceRequest.fromJson(Map<String, dynamic> map) {
		return PushRecordCodesToDeviceRequest( 
			recordCodes: map['RecordCodes'] != null ? map['RecordCodes'].cast<String>().toList() : null,
			deviceCode: map['DeviceCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(recordCodes != null)
			map['RecordCodes'] = recordCodes;
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		return map;
	}
}

class PayCallbackRequest {
	String? keyWord;

	PayCallbackRequest({
		this.keyWord,
	});

	factory PayCallbackRequest.fromJson(Map<String, dynamic> map) {
		return PayCallbackRequest( 
			keyWord: map['KeyWord'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(keyWord != null)
			map['KeyWord'] = keyWord;
		return map;
	}
}

class CloseNotifyQueueRequest {
	String? msgQueueId;

	CloseNotifyQueueRequest({
		this.msgQueueId,
	});

	factory CloseNotifyQueueRequest.fromJson(Map<String, dynamic> map) {
		return CloseNotifyQueueRequest( 
			msgQueueId: map['MsgQueueId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(msgQueueId != null)
			map['MsgQueueId'] = msgQueueId;
		return map;
	}
}

class OpenNotifyQueueRequest {
	String? module;

	OpenNotifyQueueRequest({
		this.module,
	});

	factory OpenNotifyQueueRequest.fromJson(Map<String, dynamic> map) {
		return OpenNotifyQueueRequest( 
			module: map['Module'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(module != null)
			map['Module'] = module;
		return map;
	}
}

class ApplyLockRequest {
	String? lockKey;

	ApplyLockRequest({
		this.lockKey,
	});

	factory ApplyLockRequest.fromJson(Map<String, dynamic> map) {
		return ApplyLockRequest( 
			lockKey: map['LockKey'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(lockKey != null)
			map['LockKey'] = lockKey;
		return map;
	}
}

class ReleaseLockRequest {
	String? lockUniqueCode;

	ReleaseLockRequest({
		this.lockUniqueCode,
	});

	factory ReleaseLockRequest.fromJson(Map<String, dynamic> map) {
		return ReleaseLockRequest( 
			lockUniqueCode: map['LockUniqueCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(lockUniqueCode != null)
			map['LockUniqueCode'] = lockUniqueCode;
		return map;
	}
}

class AssignPatientToUsersRequest extends TokenRequest{
	String? patientCode;
	List<String >? userCodes;

	AssignPatientToUsersRequest({
		this.patientCode,
		this.userCodes,
		String? token,
	}) : super(
			token: token,
		);

	factory AssignPatientToUsersRequest.fromJson(Map<String, dynamic> map) {
		return AssignPatientToUsersRequest( 
			patientCode: map['PatientCode'],
			userCodes: map['UserCodes'] != null ? map['UserCodes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(patientCode != null)
			map['PatientCode'] = patientCode;
		if(userCodes != null)
			map['UserCodes'] = userCodes;
		return map;
	}
}

class QuestionDetailDTO extends BaseDTO{
	String? code;
	double score;

	QuestionDetailDTO({
		this.code,
		this.score = 0,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory QuestionDetailDTO.fromJson(Map<String, dynamic> map) {
		return QuestionDetailDTO( 
			code: map['Code'],
			score: double.parse(map['Score'].toString()),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		map['Score'] = score;
		return map;
	}
}

class AddExaminationPaperRequest extends TokenRequest{
	String? name;
	double totalScore;
	List<QuestionDetailDTO >? questionList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;

	AddExaminationPaperRequest({
		this.name,
		this.totalScore = 0,
		this.questionList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		String? token,
	}) : super(
			token: token,
		);

	factory AddExaminationPaperRequest.fromJson(Map<String, dynamic> map) {
		return AddExaminationPaperRequest( 
			name: map['Name'],
			totalScore: double.parse(map['TotalScore'].toString()),
			questionList: map['QuestionList'] != null ? (map['QuestionList'] as List).map((e)=>QuestionDetailDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(name != null)
			map['Name'] = name;
		map['TotalScore'] = totalScore;
		if(questionList != null)
			map['QuestionList'] = questionList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		return map;
	}
}

class CourseLabelRequest extends TokenRequest{
	String? code;
	List<LabelLanguageConfigDTO >? labelLanguageConfigs;
	OrganizationPatientTypeEnum useObjectType;
	LabelTypeEnum type;
	String? parentCode;

	CourseLabelRequest({
		this.code,
		this.labelLanguageConfigs,
		this.useObjectType = OrganizationPatientTypeEnum.Person,
		this.type = LabelTypeEnum.Unknown,
		this.parentCode,
		String? token,
	}) : super(
			token: token,
		);

	factory CourseLabelRequest.fromJson(Map<String, dynamic> map) {
		return CourseLabelRequest( 
			code: map['Code'],
			labelLanguageConfigs: map['LabelLanguageConfigs'] != null ? (map['LabelLanguageConfigs'] as List).map((e)=>LabelLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			useObjectType: OrganizationPatientTypeEnum.values.firstWhere((e) => e.index == map['UseObjectType']),
			type: LabelTypeEnum.values.firstWhere((e) => e.index == map['Type']),
			parentCode: map['ParentCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(labelLanguageConfigs != null)
			map['LabelLanguageConfigs'] = labelLanguageConfigs;
		map['UseObjectType'] = useObjectType.index;
		map['Type'] = type.index;
		if(parentCode != null)
			map['ParentCode'] = parentCode;
		return map;
	}
}

class DeleteExaminationPaperRequest extends TokenRequest{
	String? examinationPaperCode;

	DeleteExaminationPaperRequest({
		this.examinationPaperCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteExaminationPaperRequest.fromJson(Map<String, dynamic> map) {
		return DeleteExaminationPaperRequest( 
			examinationPaperCode: map['ExaminationPaperCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(examinationPaperCode != null)
			map['ExaminationPaperCode'] = examinationPaperCode;
		return map;
	}
}

class FindExaminationQuestionPagesRequest extends PageRequest{
	String? searchKey;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	List<String >? codes;
	List<String >? notInCodes;

	FindExaminationQuestionPagesRequest({
		this.searchKey,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.codes,
		this.notInCodes,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindExaminationQuestionPagesRequest.fromJson(Map<String, dynamic> map) {
		return FindExaminationQuestionPagesRequest( 
			searchKey: map['SearchKey'],
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
			notInCodes: map['NotInCodes'] != null ? map['NotInCodes'].cast<String>().toList() : null,
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(searchKey != null)
			map['SearchKey'] = searchKey;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		if(codes != null)
			map['Codes'] = codes;
		if(notInCodes != null)
			map['NotInCodes'] = notInCodes;
		return map;
	}
}

class FindExaminationQuestionsByCodesRequest extends TokenRequest{
	List<String >? codes;

	FindExaminationQuestionsByCodesRequest({
		this.codes,
		String? token,
	}) : super(
			token: token,
		);

	factory FindExaminationQuestionsByCodesRequest.fromJson(Map<String, dynamic> map) {
		return FindExaminationQuestionsByCodesRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(codes != null)
			map['Codes'] = codes;
		return map;
	}
}

class CreateExaminationQuestionRequest extends TokenRequest{
	String? stem;
	QuestionTypeEnum questionType;
	List<QuestionOptionDTO >? questionOptionList;
	List<QuestionFileDTO >? fileList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	bool trueOrFalse;

	CreateExaminationQuestionRequest({
		this.stem,
		this.questionType = QuestionTypeEnum.Judge,
		this.questionOptionList,
		this.fileList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.trueOrFalse = false,
		String? token,
	}) : super(
			token: token,
		);

	factory CreateExaminationQuestionRequest.fromJson(Map<String, dynamic> map) {
		return CreateExaminationQuestionRequest( 
			stem: map['Stem'],
			questionType: QuestionTypeEnum.values.firstWhere((e) => e.index == map['QuestionType']),
			questionOptionList: map['QuestionOptionList'] != null ? (map['QuestionOptionList'] as List).map((e)=>QuestionOptionDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			fileList: map['FileList'] != null ? (map['FileList'] as List).map((e)=>QuestionFileDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			trueOrFalse: map['TrueOrFalse'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(stem != null)
			map['Stem'] = stem;
		map['QuestionType'] = questionType.index;
		if(questionOptionList != null)
			map['QuestionOptionList'] = questionOptionList;
		if(fileList != null)
			map['FileList'] = fileList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		map['TrueOrFalse'] = trueOrFalse;
		return map;
	}
}

class GetExaminationQuestionRequest extends TokenRequest{
	String? code;

	GetExaminationQuestionRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory GetExaminationQuestionRequest.fromJson(Map<String, dynamic> map) {
		return GetExaminationQuestionRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class UpdateExaminationQuestionRequest extends TokenRequest{
	String? code;
	String? stem;
	QuestionTypeEnum questionType;
	List<QuestionOptionDTO >? questionOptionList;
	List<QuestionFileDTO >? fileList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	bool trueOrFalse;

	UpdateExaminationQuestionRequest({
		this.code,
		this.stem,
		this.questionType = QuestionTypeEnum.Judge,
		this.questionOptionList,
		this.fileList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.trueOrFalse = false,
		String? token,
	}) : super(
			token: token,
		);

	factory UpdateExaminationQuestionRequest.fromJson(Map<String, dynamic> map) {
		return UpdateExaminationQuestionRequest( 
			code: map['Code'],
			stem: map['Stem'],
			questionType: QuestionTypeEnum.values.firstWhere((e) => e.index == map['QuestionType']),
			questionOptionList: map['QuestionOptionList'] != null ? (map['QuestionOptionList'] as List).map((e)=>QuestionOptionDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			fileList: map['FileList'] != null ? (map['FileList'] as List).map((e)=>QuestionFileDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			trueOrFalse: map['TrueOrFalse'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(stem != null)
			map['Stem'] = stem;
		map['QuestionType'] = questionType.index;
		if(questionOptionList != null)
			map['QuestionOptionList'] = questionOptionList;
		if(fileList != null)
			map['FileList'] = fileList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		map['TrueOrFalse'] = trueOrFalse;
		return map;
	}
}

class DeleteExaminationQuestionRequest extends TokenRequest{
	String? code;

	DeleteExaminationQuestionRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteExaminationQuestionRequest.fromJson(Map<String, dynamic> map) {
		return DeleteExaminationQuestionRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class GetExaminationPaperPagesRequest extends PageRequest{
	String? keyword;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;

	GetExaminationPaperPagesRequest({
		this.keyword,
		this.caseLabelCodes,
		this.courseLabelCodes,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetExaminationPaperPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetExaminationPaperPagesRequest( 
			keyword: map['Keyword'],
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		return map;
	}
}

class GetExaminationPaperRequest extends TokenRequest{
	String? examinationPaperCode;

	GetExaminationPaperRequest({
		this.examinationPaperCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetExaminationPaperRequest.fromJson(Map<String, dynamic> map) {
		return GetExaminationPaperRequest( 
			examinationPaperCode: map['ExaminationPaperCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(examinationPaperCode != null)
			map['ExaminationPaperCode'] = examinationPaperCode;
		return map;
	}
}

class QueryUserGroupPageRequest extends PageRequest{
	String? keyword;

	QueryUserGroupPageRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory QueryUserGroupPageRequest.fromJson(Map<String, dynamic> map) {
		return QueryUserGroupPageRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class UpdateExaminationPaperRequest extends TokenRequest{
	String? examinationPaperCode;
	String? name;
	double totalScore;
	List<QuestionDetailDTO >? questionList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;

	UpdateExaminationPaperRequest({
		this.examinationPaperCode,
		this.name,
		this.totalScore = 0,
		this.questionList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		String? token,
	}) : super(
			token: token,
		);

	factory UpdateExaminationPaperRequest.fromJson(Map<String, dynamic> map) {
		return UpdateExaminationPaperRequest( 
			examinationPaperCode: map['ExaminationPaperCode'],
			name: map['Name'],
			totalScore: double.parse(map['TotalScore'].toString()),
			questionList: map['QuestionList'] != null ? (map['QuestionList'] as List).map((e)=>QuestionDetailDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(examinationPaperCode != null)
			map['ExaminationPaperCode'] = examinationPaperCode;
		if(name != null)
			map['Name'] = name;
		map['TotalScore'] = totalScore;
		if(questionList != null)
			map['QuestionList'] = questionList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		return map;
	}
}

class QueryCourseLabelPageRequest extends PageRequest{
	String? name;
	String? languageCode;
	LabelTypeEnum type;
	String? parentCode;

	QueryCourseLabelPageRequest({
		this.name,
		this.languageCode,
		this.type = LabelTypeEnum.Unknown,
		this.parentCode,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory QueryCourseLabelPageRequest.fromJson(Map<String, dynamic> map) {
		return QueryCourseLabelPageRequest( 
			name: map['Name'],
			languageCode: map['LanguageCode'],
			type: LabelTypeEnum.values.firstWhere((e) => e.index == map['Type']),
			parentCode: map['ParentCode'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(name != null)
			map['Name'] = name;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		map['Type'] = type.index;
		if(parentCode != null)
			map['ParentCode'] = parentCode;
		return map;
	}
}

class AlterDeviceRequest extends TokenRequest{
	String? deviceCode;
	String? serialNumber;
	String? name;
	String? description;
	String? headPicUrl;
	String? organizationCode;
	String? departmentCode;
	bool isAutoShared;

	AlterDeviceRequest({
		this.deviceCode,
		this.serialNumber,
		this.name,
		this.description,
		this.headPicUrl,
		this.organizationCode,
		this.departmentCode,
		this.isAutoShared = false,
		String? token,
	}) : super(
			token: token,
		);

	factory AlterDeviceRequest.fromJson(Map<String, dynamic> map) {
		return AlterDeviceRequest( 
			deviceCode: map['DeviceCode'],
			serialNumber: map['SerialNumber'],
			name: map['Name'],
			description: map['Description'],
			headPicUrl: map['HeadPicUrl'],
			organizationCode: map['OrganizationCode'],
			departmentCode: map['DepartmentCode'],
			isAutoShared: map['IsAutoShared'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		if(serialNumber != null)
			map['SerialNumber'] = serialNumber;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		if(headPicUrl != null)
			map['HeadPicUrl'] = headPicUrl;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(departmentCode != null)
			map['DepartmentCode'] = departmentCode;
		map['IsAutoShared'] = isAutoShared;
		return map;
	}
}

class CleanDeviceCacheRequest {
	String? deviceCode;

	CleanDeviceCacheRequest({
		this.deviceCode,
	});

	factory CleanDeviceCacheRequest.fromJson(Map<String, dynamic> map) {
		return CleanDeviceCacheRequest( 
			deviceCode: map['DeviceCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		return map;
	}
}

class DeviceDiagnosisChangedNotification extends TokenRequest{
	String? diagnosisModule;
	String? organizationCode;
	String? deviceCode;

	DeviceDiagnosisChangedNotification({
		this.diagnosisModule,
		this.organizationCode,
		this.deviceCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeviceDiagnosisChangedNotification.fromJson(Map<String, dynamic> map) {
		return DeviceDiagnosisChangedNotification( 
			diagnosisModule: map['DiagnosisModule'],
			organizationCode: map['OrganizationCode'],
			deviceCode: map['DeviceCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(diagnosisModule != null)
			map['DiagnosisModule'] = diagnosisModule;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		return map;
	}
}

class DeviceLeaveLiveConsultationRequest extends TokenRequest{
	String? consultationCode;

	DeviceLeaveLiveConsultationRequest({
		this.consultationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeviceLeaveLiveConsultationRequest.fromJson(Map<String, dynamic> map) {
		return DeviceLeaveLiveConsultationRequest( 
			consultationCode: map['ConsultationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(consultationCode != null)
			map['ConsultationCode'] = consultationCode;
		return map;
	}
}

class DeviceLeaveLiveConsultationResult {
	bool success;

	DeviceLeaveLiveConsultationResult({
		this.success = false,
	});

	factory DeviceLeaveLiveConsultationResult.fromJson(Map<String, dynamic> map) {
		return DeviceLeaveLiveConsultationResult( 
			success: map['Success'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Success'] = success;
		return map;
	}
}

class FindDeviceDiagnosisRequest extends TokenRequest{
	String? deviceCode;

	FindDeviceDiagnosisRequest({
		this.deviceCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindDeviceDiagnosisRequest.fromJson(Map<String, dynamic> map) {
		return FindDeviceDiagnosisRequest( 
			deviceCode: map['DeviceCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		return map;
	}
}

class ReportLiveStateResult {

	ReportLiveStateResult();

	factory ReportLiveStateResult.fromJson(Map<String, dynamic> map) {
		return ReportLiveStateResult( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

class ConfirmAssociatedWithAccountRequest extends TokenRequest{
	String? emailAddress;
	String? verifyCode;

	ConfirmAssociatedWithAccountRequest({
		this.emailAddress,
		this.verifyCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ConfirmAssociatedWithAccountRequest.fromJson(Map<String, dynamic> map) {
		return ConfirmAssociatedWithAccountRequest( 
			emailAddress: map['EmailAddress'],
			verifyCode: map['VerifyCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(emailAddress != null)
			map['EmailAddress'] = emailAddress;
		if(verifyCode != null)
			map['VerifyCode'] = verifyCode;
		return map;
	}
}

class DeleteThesaurusCodeRequest extends TokenRequest{
	String? thesaurusCode;

	DeleteThesaurusCodeRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteThesaurusCodeRequest.fromJson(Map<String, dynamic> map) {
		return DeleteThesaurusCodeRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class SignUpRequest extends UserDTO{

	SignUpRequest({
		String? phone,
		String? email,
		String? nickName,
		String? fullName,
		String? organizationCode,
		String? organizationName,
		String? rootOrganizationCode,
		String? rootOrganizationName,
		List<String >? authorityGroups,
		List<String >? bindDevices,
		String? lastIP,
		int logintimes = 0,
		UserInfoStateEnum userState = UserInfoStateEnum.Nonactivated,
		List<String >? roleCodes,
		List<String >? rankCodes,
		List<String >? positionCodes,
		ApplyStateEnum applyState = ApplyStateEnum.NotApply,
		String? rankName,
		String? positionName,
		bool isDirector = false,
		List<String >? fieldList,
		List<String >? deletePatientCodes,
		bool isBatchExportDiagnoseData = false,
		String? bindAssistantUserCode,
		String? bindAssistantDoctorUserCode,
		LoginLockInfoDTO? loginLockInfo,
		String? signature,
		String? language,
		bool enableReportLabel = false,
		List<AssociatedInfoDTO >? associatedInfos,
		String? commonPlatformUserId,
		String? bindEmergencyDeviceCode,
		String? userCode,
		String? userName,
		String? headImageUrl,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			phone: phone,
			email: email,
			nickName: nickName,
			fullName: fullName,
			organizationCode: organizationCode,
			organizationName: organizationName,
			rootOrganizationCode: rootOrganizationCode,
			rootOrganizationName: rootOrganizationName,
			authorityGroups: authorityGroups,
			bindDevices: bindDevices,
			lastIP: lastIP,
			logintimes: logintimes,
			userState: userState,
			roleCodes: roleCodes,
			rankCodes: rankCodes,
			positionCodes: positionCodes,
			applyState: applyState,
			rankName: rankName,
			positionName: positionName,
			isDirector: isDirector,
			fieldList: fieldList,
			deletePatientCodes: deletePatientCodes,
			isBatchExportDiagnoseData: isBatchExportDiagnoseData,
			bindAssistantUserCode: bindAssistantUserCode,
			bindAssistantDoctorUserCode: bindAssistantDoctorUserCode,
			loginLockInfo: loginLockInfo,
			signature: signature,
			language: language,
			enableReportLabel: enableReportLabel,
			associatedInfos: associatedInfos,
			commonPlatformUserId: commonPlatformUserId,
			bindEmergencyDeviceCode: bindEmergencyDeviceCode,
			userCode: userCode,
			userName: userName,
			headImageUrl: headImageUrl,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory SignUpRequest.fromJson(Map<String, dynamic> map) {
		return SignUpRequest( 
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			organizationCode: map['OrganizationCode'],
			organizationName: map['OrganizationName'],
			rootOrganizationCode: map['RootOrganizationCode'],
			rootOrganizationName: map['RootOrganizationName'],
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			bindDevices: map['BindDevices'] != null ? map['BindDevices'].cast<String>().toList() : null,
			lastIP: map['LastIP'],
			logintimes: map['Logintimes'],
			userState: UserInfoStateEnum.values.firstWhere((e) => e.index == map['UserState']),
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			rankCodes: map['RankCodes'] != null ? map['RankCodes'].cast<String>().toList() : null,
			positionCodes: map['PositionCodes'] != null ? map['PositionCodes'].cast<String>().toList() : null,
			applyState: ApplyStateEnum.values.firstWhere((e) => e.index == map['ApplyState']),
			rankName: map['RankName'],
			positionName: map['PositionName'],
			isDirector: map['IsDirector'],
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			deletePatientCodes: map['DeletePatientCodes'] != null ? map['DeletePatientCodes'].cast<String>().toList() : null,
			isBatchExportDiagnoseData: map['IsBatchExportDiagnoseData'],
			bindAssistantUserCode: map['BindAssistantUserCode'],
			bindAssistantDoctorUserCode: map['BindAssistantDoctorUserCode'],
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			signature: map['Signature'],
			language: map['Language'],
			enableReportLabel: map['EnableReportLabel'],
			associatedInfos: map['AssociatedInfos'] != null ? (map['AssociatedInfos'] as List).map((e)=>AssociatedInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			commonPlatformUserId: map['CommonPlatformUserId'],
			bindEmergencyDeviceCode: map['BindEmergencyDeviceCode'],
			userCode: map['UserCode'],
			userName: map['UserName'],
			headImageUrl: map['HeadImageUrl'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class UpdateThesaurusCodeRequest extends TokenRequest{
	String? thesaurusCode;

	UpdateThesaurusCodeRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory UpdateThesaurusCodeRequest.fromJson(Map<String, dynamic> map) {
		return UpdateThesaurusCodeRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

enum AnnouncementStatusEnum {
	placeHolder_0,
	Released,
	Pending,
}

class AnnouncementInfoDTO extends BaseDTO{
	String? code;
	AnnouncementTypeEnum announcementType;
	AnnouncementStatusEnum announcementStatus;
	List<AnnouncementLanguageConfigDTO >? languageConfigs;

	AnnouncementInfoDTO({
		this.code,
		this.announcementType = AnnouncementTypeEnum.Broadcast,
		this.announcementStatus = AnnouncementStatusEnum.Released,
		this.languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AnnouncementInfoDTO.fromJson(Map<String, dynamic> map) {
		return AnnouncementInfoDTO( 
			code: map['Code'],
			announcementType: AnnouncementTypeEnum.values.firstWhere((e) => e.index == map['AnnouncementType']),
			announcementStatus: AnnouncementStatusEnum.values.firstWhere((e) => e.index == map['AnnouncementStatus']),
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>AnnouncementLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		map['AnnouncementType'] = announcementType.index;
		map['AnnouncementStatus'] = announcementStatus.index;
		if(languageConfigs != null)
			map['LanguageConfigs'] = languageConfigs;
		return map;
	}
}

class AddAnnouncementRequest extends AnnouncementInfoDTO{

	AddAnnouncementRequest({
		String? code,
		AnnouncementTypeEnum announcementType = AnnouncementTypeEnum.Broadcast,
		AnnouncementStatusEnum announcementStatus = AnnouncementStatusEnum.Released,
		List<AnnouncementLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			code: code,
			announcementType: announcementType,
			announcementStatus: announcementStatus,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AddAnnouncementRequest.fromJson(Map<String, dynamic> map) {
		return AddAnnouncementRequest( 
			code: map['Code'],
			announcementType: AnnouncementTypeEnum.values.firstWhere((e) => e.index == map['AnnouncementType']),
			announcementStatus: AnnouncementStatusEnum.values.firstWhere((e) => e.index == map['AnnouncementStatus']),
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>AnnouncementLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class UpdateAnnouncementRequest extends AnnouncementInfoDTO{

	UpdateAnnouncementRequest({
		String? code,
		AnnouncementTypeEnum announcementType = AnnouncementTypeEnum.Broadcast,
		AnnouncementStatusEnum announcementStatus = AnnouncementStatusEnum.Released,
		List<AnnouncementLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			code: code,
			announcementType: announcementType,
			announcementStatus: announcementStatus,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory UpdateAnnouncementRequest.fromJson(Map<String, dynamic> map) {
		return UpdateAnnouncementRequest( 
			code: map['Code'],
			announcementType: AnnouncementTypeEnum.values.firstWhere((e) => e.index == map['AnnouncementType']),
			announcementStatus: AnnouncementStatusEnum.values.firstWhere((e) => e.index == map['AnnouncementStatus']),
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>AnnouncementLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AddContentConfigRequest extends TokenRequest{
	String? bindTypeKey;
	String? bindTypeValue;
	String? bindContentKey;
	String? bindContentValue;

	AddContentConfigRequest({
		this.bindTypeKey,
		this.bindTypeValue,
		this.bindContentKey,
		this.bindContentValue,
		String? token,
	}) : super(
			token: token,
		);

	factory AddContentConfigRequest.fromJson(Map<String, dynamic> map) {
		return AddContentConfigRequest( 
			bindTypeKey: map['BindTypeKey'],
			bindTypeValue: map['BindTypeValue'],
			bindContentKey: map['BindContentKey'],
			bindContentValue: map['BindContentValue'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(bindTypeKey != null)
			map['BindTypeKey'] = bindTypeKey;
		if(bindTypeValue != null)
			map['BindTypeValue'] = bindTypeValue;
		if(bindContentKey != null)
			map['BindContentKey'] = bindContentKey;
		if(bindContentValue != null)
			map['BindContentValue'] = bindContentValue;
		return map;
	}
}

enum DeviceVideoOutputTypeEnum {
	MergedVideo,
	Desktop,
	Camera,
}

class AddDeviceOutputConfigRequest extends TokenRequest{
	DeviceVideoOutputTypeEnum deviceVideoOutputType;
	int videoWidth;
	int videoHeight;

	AddDeviceOutputConfigRequest({
		this.deviceVideoOutputType = DeviceVideoOutputTypeEnum.MergedVideo,
		this.videoWidth = 0,
		this.videoHeight = 0,
		String? token,
	}) : super(
			token: token,
		);

	factory AddDeviceOutputConfigRequest.fromJson(Map<String, dynamic> map) {
		return AddDeviceOutputConfigRequest( 
			deviceVideoOutputType: DeviceVideoOutputTypeEnum.values.firstWhere((e) => e.index == map['DeviceVideoOutputType']),
			videoWidth: map['VideoWidth'],
			videoHeight: map['VideoHeight'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['DeviceVideoOutputType'] = deviceVideoOutputType.index;
		map['VideoWidth'] = videoWidth;
		map['VideoHeight'] = videoHeight;
		return map;
	}
}

class AdminApplyCourseRequest extends TokenRequest{
	String? name;
	String? courseIntro;
	String? teacherCode;
	String? poster;
	DateTime? startTime;
	int duration;
	CourseTypeEnum courseType;
	CourseAudienceTypeEnum audienceType;
	String? coursewareToken;
	String? teacherName;
	CourseViewRangeEnum viewRange;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	List<String >? userGroupCodes;
	Decimal? price;
	List<String >? courseVideoCodes;
	List<CourseExaminationDTO >? bindExams;
	List<String >? assistants;
	List<String >? experts;
	bool isAgentCourse;

	AdminApplyCourseRequest({
		this.name,
		this.courseIntro,
		this.teacherCode,
		this.poster,
		this.startTime,
		this.duration = 0,
		this.courseType = CourseTypeEnum.Unknown,
		this.audienceType = CourseAudienceTypeEnum.Unknown,
		this.coursewareToken,
		this.teacherName,
		this.viewRange = CourseViewRangeEnum.All,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.userGroupCodes,
		this.price,
		this.courseVideoCodes,
		this.bindExams,
		this.assistants,
		this.experts,
		this.isAgentCourse = false,
		String? token,
	}) : super(
			token: token,
		);

	factory AdminApplyCourseRequest.fromJson(Map<String, dynamic> map) {
		return AdminApplyCourseRequest( 
			name: map['Name'],
			courseIntro: map['CourseIntro'],
			teacherCode: map['TeacherCode'],
			poster: map['Poster'],
			startTime: map['StartTime'] != null ? DateTime.parse(map['StartTime']) : null,
			duration: map['Duration'],
			courseType: CourseTypeEnum.values.firstWhere((e) => e.index == map['CourseType']),
			audienceType: CourseAudienceTypeEnum.values.firstWhere((e) => e.index == map['AudienceType']),
			coursewareToken: map['CoursewareToken'],
			teacherName: map['TeacherName'],
			viewRange: CourseViewRangeEnum.values.firstWhere((e) => e.index == map['ViewRange']),
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			userGroupCodes: map['UserGroupCodes'] != null ? map['UserGroupCodes'].cast<String>().toList() : null,
			price: map['Price'] != null ? Decimal.fromJson(map['Price']) : null,
			courseVideoCodes: map['CourseVideoCodes'] != null ? map['CourseVideoCodes'].cast<String>().toList() : null,
			bindExams: map['BindExams'] != null ? (map['BindExams'] as List).map((e)=>CourseExaminationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			assistants: map['Assistants'] != null ? map['Assistants'].cast<String>().toList() : null,
			experts: map['Experts'] != null ? map['Experts'].cast<String>().toList() : null,
			isAgentCourse: map['IsAgentCourse'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(name != null)
			map['Name'] = name;
		if(courseIntro != null)
			map['CourseIntro'] = courseIntro;
		if(teacherCode != null)
			map['TeacherCode'] = teacherCode;
		if(poster != null)
			map['Poster'] = poster;
		if(startTime != null)
			map['StartTime'] = JsonRpcUtils.dateFormat(startTime!);
		map['Duration'] = duration;
		map['CourseType'] = courseType.index;
		map['AudienceType'] = audienceType.index;
		if(coursewareToken != null)
			map['CoursewareToken'] = coursewareToken;
		if(teacherName != null)
			map['TeacherName'] = teacherName;
		map['ViewRange'] = viewRange.index;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		if(userGroupCodes != null)
			map['UserGroupCodes'] = userGroupCodes;
		if(price != null)
			map['Price'] = price;
		if(courseVideoCodes != null)
			map['CourseVideoCodes'] = courseVideoCodes;
		if(bindExams != null)
			map['BindExams'] = bindExams;
		if(assistants != null)
			map['Assistants'] = assistants;
		if(experts != null)
			map['Experts'] = experts;
		map['IsAgentCourse'] = isAgentCourse;
		return map;
	}
}

class AdminApprovalCourseRequest extends TokenRequest{
	String? code;
	CourseStatusEnum status;

	AdminApprovalCourseRequest({
		this.code,
		this.status = CourseStatusEnum.Unknown,
		String? token,
	}) : super(
			token: token,
		);

	factory AdminApprovalCourseRequest.fromJson(Map<String, dynamic> map) {
		return AdminApprovalCourseRequest( 
			code: map['Code'],
			status: CourseStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		map['Status'] = status.index;
		return map;
	}
}

class AdminDeleteCourseByCodeRequest extends TokenRequest{
	String? code;

	AdminDeleteCourseByCodeRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory AdminDeleteCourseByCodeRequest.fromJson(Map<String, dynamic> map) {
		return AdminDeleteCourseByCodeRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class AdminFindCoursePagesRequest extends PageRequest{
	String? keyword;
	CourseStatusEnum status;
	String? languageCode;
	CourseTypeEnum courseType;
	CourseAudienceTypeEnum audienceType;

	AdminFindCoursePagesRequest({
		this.keyword,
		this.status = CourseStatusEnum.Unknown,
		this.languageCode,
		this.courseType = CourseTypeEnum.Unknown,
		this.audienceType = CourseAudienceTypeEnum.Unknown,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory AdminFindCoursePagesRequest.fromJson(Map<String, dynamic> map) {
		return AdminFindCoursePagesRequest( 
			keyword: map['Keyword'],
			status: CourseStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			languageCode: map['LanguageCode'],
			courseType: CourseTypeEnum.values.firstWhere((e) => e.index == map['CourseType']),
			audienceType: CourseAudienceTypeEnum.values.firstWhere((e) => e.index == map['AudienceType']),
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		map['Status'] = status.index;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		map['CourseType'] = courseType.index;
		map['AudienceType'] = audienceType.index;
		return map;
	}
}

class AdminUpdateCourseRequest extends TokenRequest{
	String? code;
	String? name;
	String? courseIntro;
	String? teacherCode;
	String? poster;
	DateTime? startTime;
	int duration;
	CourseTypeEnum courseType;
	CourseAudienceTypeEnum audienceType;
	String? coursewareToken;
	String? teacherName;
	CourseViewRangeEnum viewRange;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	List<String >? userGroupCodes;
	Decimal? price;
	List<String >? courseVideoCodes;
	List<CourseExaminationDTO >? bindExams;
	List<String >? assistants;
	List<String >? experts;
	bool isAgentCourse;

	AdminUpdateCourseRequest({
		this.code,
		this.name,
		this.courseIntro,
		this.teacherCode,
		this.poster,
		this.startTime,
		this.duration = 0,
		this.courseType = CourseTypeEnum.Unknown,
		this.audienceType = CourseAudienceTypeEnum.Unknown,
		this.coursewareToken,
		this.teacherName,
		this.viewRange = CourseViewRangeEnum.All,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.userGroupCodes,
		this.price,
		this.courseVideoCodes,
		this.bindExams,
		this.assistants,
		this.experts,
		this.isAgentCourse = false,
		String? token,
	}) : super(
			token: token,
		);

	factory AdminUpdateCourseRequest.fromJson(Map<String, dynamic> map) {
		return AdminUpdateCourseRequest( 
			code: map['Code'],
			name: map['Name'],
			courseIntro: map['CourseIntro'],
			teacherCode: map['TeacherCode'],
			poster: map['Poster'],
			startTime: map['StartTime'] != null ? DateTime.parse(map['StartTime']) : null,
			duration: map['Duration'],
			courseType: CourseTypeEnum.values.firstWhere((e) => e.index == map['CourseType']),
			audienceType: CourseAudienceTypeEnum.values.firstWhere((e) => e.index == map['AudienceType']),
			coursewareToken: map['CoursewareToken'],
			teacherName: map['TeacherName'],
			viewRange: CourseViewRangeEnum.values.firstWhere((e) => e.index == map['ViewRange']),
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			userGroupCodes: map['UserGroupCodes'] != null ? map['UserGroupCodes'].cast<String>().toList() : null,
			price: map['Price'] != null ? Decimal.fromJson(map['Price']) : null,
			courseVideoCodes: map['CourseVideoCodes'] != null ? map['CourseVideoCodes'].cast<String>().toList() : null,
			bindExams: map['BindExams'] != null ? (map['BindExams'] as List).map((e)=>CourseExaminationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			assistants: map['Assistants'] != null ? map['Assistants'].cast<String>().toList() : null,
			experts: map['Experts'] != null ? map['Experts'].cast<String>().toList() : null,
			isAgentCourse: map['IsAgentCourse'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		if(courseIntro != null)
			map['CourseIntro'] = courseIntro;
		if(teacherCode != null)
			map['TeacherCode'] = teacherCode;
		if(poster != null)
			map['Poster'] = poster;
		if(startTime != null)
			map['StartTime'] = JsonRpcUtils.dateFormat(startTime!);
		map['Duration'] = duration;
		map['CourseType'] = courseType.index;
		map['AudienceType'] = audienceType.index;
		if(coursewareToken != null)
			map['CoursewareToken'] = coursewareToken;
		if(teacherName != null)
			map['TeacherName'] = teacherName;
		map['ViewRange'] = viewRange.index;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		if(userGroupCodes != null)
			map['UserGroupCodes'] = userGroupCodes;
		if(price != null)
			map['Price'] = price;
		if(courseVideoCodes != null)
			map['CourseVideoCodes'] = courseVideoCodes;
		if(bindExams != null)
			map['BindExams'] = bindExams;
		if(assistants != null)
			map['Assistants'] = assistants;
		if(experts != null)
			map['Experts'] = experts;
		map['IsAgentCourse'] = isAgentCourse;
		return map;
	}
}

class AdminUpdateCourseBindExamsRequest extends TokenRequest{
	String? code;
	List<CourseExaminationDTO >? bindExams;

	AdminUpdateCourseBindExamsRequest({
		this.code,
		this.bindExams,
		String? token,
	}) : super(
			token: token,
		);

	factory AdminUpdateCourseBindExamsRequest.fromJson(Map<String, dynamic> map) {
		return AdminUpdateCourseBindExamsRequest( 
			code: map['Code'],
			bindExams: map['BindExams'] != null ? (map['BindExams'] as List).map((e)=>CourseExaminationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(bindExams != null)
			map['BindExams'] = bindExams;
		return map;
	}
}

class AssignedAdminsToOrganizationsRequest extends TokenRequest{
	List<String >? assignedAdmins;
	List<String >? organizationCodes;

	AssignedAdminsToOrganizationsRequest({
		this.assignedAdmins,
		this.organizationCodes,
		String? token,
	}) : super(
			token: token,
		);

	factory AssignedAdminsToOrganizationsRequest.fromJson(Map<String, dynamic> map) {
		return AssignedAdminsToOrganizationsRequest( 
			assignedAdmins: map['AssignedAdmins'] != null ? map['AssignedAdmins'].cast<String>().toList() : null,
			organizationCodes: map['OrganizationCodes'] != null ? map['OrganizationCodes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(assignedAdmins != null)
			map['AssignedAdmins'] = assignedAdmins;
		if(organizationCodes != null)
			map['OrganizationCodes'] = organizationCodes;
		return map;
	}
}

class ConfirmIdentityApplyRequest extends TokenRequest{
	String? identityApplyCode;

	ConfirmIdentityApplyRequest({
		this.identityApplyCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ConfirmIdentityApplyRequest.fromJson(Map<String, dynamic> map) {
		return ConfirmIdentityApplyRequest( 
			identityApplyCode: map['IdentityApplyCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(identityApplyCode != null)
			map['IdentityApplyCode'] = identityApplyCode;
		return map;
	}
}

class CreateThirdPartyTokenRequest extends TokenRequest{
	String? code;

	CreateThirdPartyTokenRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory CreateThirdPartyTokenRequest.fromJson(Map<String, dynamic> map) {
		return CreateThirdPartyTokenRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class DeleteAdminFeatureRequest extends TokenRequest{
	String? adminFeatureCode;

	DeleteAdminFeatureRequest({
		this.adminFeatureCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteAdminFeatureRequest.fromJson(Map<String, dynamic> map) {
		return DeleteAdminFeatureRequest( 
			adminFeatureCode: map['AdminFeatureCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminFeatureCode != null)
			map['AdminFeatureCode'] = adminFeatureCode;
		return map;
	}
}

class DeleteAdminRoleRequest extends TokenRequest{
	String? adminRoleCode;

	DeleteAdminRoleRequest({
		this.adminRoleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteAdminRoleRequest.fromJson(Map<String, dynamic> map) {
		return DeleteAdminRoleRequest( 
			adminRoleCode: map['AdminRoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminRoleCode != null)
			map['AdminRoleCode'] = adminRoleCode;
		return map;
	}
}

class DeleteLogsRequest extends TokenRequest{
	int daysAgo;
	String? requestServerHost;

	DeleteLogsRequest({
		this.daysAgo = 0,
		this.requestServerHost,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteLogsRequest.fromJson(Map<String, dynamic> map) {
		return DeleteLogsRequest( 
			daysAgo: map['DaysAgo'],
			requestServerHost: map['RequestServerHost'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['DaysAgo'] = daysAgo;
		if(requestServerHost != null)
			map['RequestServerHost'] = requestServerHost;
		return map;
	}
}

class QueryClearLogsRequest extends DeleteLogsRequest{
	List<int >? dayAgoList;

	QueryClearLogsRequest({
		this.dayAgoList,
		int daysAgo = 0,
		String? requestServerHost,
		String? token,
	}) : super(
			daysAgo: daysAgo,
			requestServerHost: requestServerHost,
			token: token,
		);

	factory QueryClearLogsRequest.fromJson(Map<String, dynamic> map) {
		return QueryClearLogsRequest( 
			dayAgoList: map['DayAgoList'] != null ? map['DayAgoList'].cast<int>().toList() : null,
			daysAgo: map['DaysAgo'],
			requestServerHost: map['RequestServerHost'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(dayAgoList != null)
			map['DayAgoList'] = dayAgoList;
		return map;
	}
}

class DeleteRoleRequest extends TokenRequest{
	String? roleCode;

	DeleteRoleRequest({
		this.roleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteRoleRequest.fromJson(Map<String, dynamic> map) {
		return DeleteRoleRequest( 
			roleCode: map['RoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleCode != null)
			map['RoleCode'] = roleCode;
		return map;
	}
}

class DeleteThesaurusRequest extends TokenRequest{
	String? thesaurusCode;

	DeleteThesaurusRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteThesaurusRequest.fromJson(Map<String, dynamic> map) {
		return DeleteThesaurusRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class DeleteThirdPartyInfoRequest extends TokenRequest{
	String? code;

	DeleteThirdPartyInfoRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteThirdPartyInfoRequest.fromJson(Map<String, dynamic> map) {
		return DeleteThirdPartyInfoRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class DeleteUserFeatureRequest extends TokenRequest{
	String? userFeatureCode;

	DeleteUserFeatureRequest({
		this.userFeatureCode,
		String? token,
	}) : super(
			token: token,
		);

	factory DeleteUserFeatureRequest.fromJson(Map<String, dynamic> map) {
		return DeleteUserFeatureRequest( 
			userFeatureCode: map['UserFeatureCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userFeatureCode != null)
			map['UserFeatureCode'] = userFeatureCode;
		return map;
	}
}

enum DistributedServerTypeEnum {
	Official,
	Private,
}

class IPAddressInfoDTO {
	String? startIp;
	String? endIp;
	int longStartIP;
	int longEndIP;

	IPAddressInfoDTO({
		this.startIp,
		this.endIp,
		this.longStartIP = 0,
		this.longEndIP = 0,
	});

	factory IPAddressInfoDTO.fromJson(Map<String, dynamic> map) {
		return IPAddressInfoDTO( 
			startIp: map['StartIp'],
			endIp: map['EndIp'],
			longStartIP: map['LongStartIP'],
			longEndIP: map['LongEndIP'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(startIp != null)
			map['StartIp'] = startIp;
		if(endIp != null)
			map['EndIp'] = endIp;
		map['LongStartIP'] = longStartIP;
		map['LongEndIP'] = longEndIP;
		return map;
	}
}

class DistributedServerInfoRequest extends TokenRequest{
	String? code;
	List<String >? codes;
	bool isMaster;
	String? name;
	String? description;
	bool enable;
	DistributedServerTypeEnum serverType;
	String? serverUrl;
	String? lat;
	String? lng;
	List<IPAddressInfoDTO >? assignClientIPList;

	DistributedServerInfoRequest({
		this.code,
		this.codes,
		this.isMaster = false,
		this.name,
		this.description,
		this.enable = false,
		this.serverType = DistributedServerTypeEnum.Official,
		this.serverUrl,
		this.lat,
		this.lng,
		this.assignClientIPList,
		String? token,
	}) : super(
			token: token,
		);

	factory DistributedServerInfoRequest.fromJson(Map<String, dynamic> map) {
		return DistributedServerInfoRequest( 
			code: map['Code'],
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
			isMaster: map['IsMaster'],
			name: map['Name'],
			description: map['Description'],
			enable: map['Enable'],
			serverType: DistributedServerTypeEnum.values.firstWhere((e) => e.index == map['ServerType']),
			serverUrl: map['ServerUrl'],
			lat: map['Lat'],
			lng: map['Lng'],
			assignClientIPList: map['AssignClientIPList'] != null ? (map['AssignClientIPList'] as List).map((e)=>IPAddressInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(codes != null)
			map['Codes'] = codes;
		map['IsMaster'] = isMaster;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		map['Enable'] = enable;
		map['ServerType'] = serverType.index;
		if(serverUrl != null)
			map['ServerUrl'] = serverUrl;
		if(lat != null)
			map['Lat'] = lat;
		if(lng != null)
			map['Lng'] = lng;
		if(assignClientIPList != null)
			map['AssignClientIPList'] = assignClientIPList;
		return map;
	}
}

class SaveDistributedServerIpRequest extends TokenRequest{
	String? startIp;
	String? endIp;
	String? code;

	SaveDistributedServerIpRequest({
		this.startIp,
		this.endIp,
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory SaveDistributedServerIpRequest.fromJson(Map<String, dynamic> map) {
		return SaveDistributedServerIpRequest( 
			startIp: map['StartIp'],
			endIp: map['EndIp'],
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(startIp != null)
			map['StartIp'] = startIp;
		if(endIp != null)
			map['EndIp'] = endIp;
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class GetDistributedServerIpListRequest extends PageRequest{
	String? code;
	String? keyword;

	GetDistributedServerIpListRequest({
		this.code,
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDistributedServerIpListRequest.fromJson(Map<String, dynamic> map) {
		return GetDistributedServerIpListRequest( 
			code: map['Code'],
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindAdminByCodeRequest extends TokenRequest{
	String? adminCode;

	FindAdminByCodeRequest({
		this.adminCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindAdminByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindAdminByCodeRequest( 
			adminCode: map['AdminCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminCode != null)
			map['AdminCode'] = adminCode;
		return map;
	}
}

class FindAdminRoleByCodeRequest extends TokenRequest{
	String? adminRoleCode;

	FindAdminRoleByCodeRequest({
		this.adminRoleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindAdminRoleByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindAdminRoleByCodeRequest( 
			adminRoleCode: map['AdminRoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminRoleCode != null)
			map['AdminRoleCode'] = adminRoleCode;
		return map;
	}
}

class FindAdminStatisticRecordsRequest extends TokenRequest{
	String? languageCode;

	FindAdminStatisticRecordsRequest({
		this.languageCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindAdminStatisticRecordsRequest.fromJson(Map<String, dynamic> map) {
		return FindAdminStatisticRecordsRequest( 
			languageCode: map['LanguageCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		return map;
	}
}

class FindCMSStatisticRequest extends TokenRequest{
	String? clientId;

	FindCMSStatisticRequest({
		this.clientId,
		String? token,
	}) : super(
			token: token,
		);

	factory FindCMSStatisticRequest.fromJson(Map<String, dynamic> map) {
		return FindCMSStatisticRequest( 
			clientId: map['ClientId'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(clientId != null)
			map['ClientId'] = clientId;
		return map;
	}
}

class FindCMSTemplateByUserRequest extends TokenRequest{
	String? clientId;

	FindCMSTemplateByUserRequest({
		this.clientId,
		String? token,
	}) : super(
			token: token,
		);

	factory FindCMSTemplateByUserRequest.fromJson(Map<String, dynamic> map) {
		return FindCMSTemplateByUserRequest( 
			clientId: map['ClientId'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(clientId != null)
			map['ClientId'] = clientId;
		return map;
	}
}

class FindCMSTemplateDetailRequest extends TokenRequest{
	String? cMSTemplateCode;

	FindCMSTemplateDetailRequest({
		this.cMSTemplateCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindCMSTemplateDetailRequest.fromJson(Map<String, dynamic> map) {
		return FindCMSTemplateDetailRequest( 
			cMSTemplateCode: map['CMSTemplateCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		return map;
	}
}

class FindCMSTemplatePageRequest extends PageRequest{
	String? searchKey;

	FindCMSTemplatePageRequest({
		this.searchKey,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindCMSTemplatePageRequest.fromJson(Map<String, dynamic> map) {
		return FindCMSTemplatePageRequest( 
			searchKey: map['SearchKey'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(searchKey != null)
			map['SearchKey'] = searchKey;
		return map;
	}
}

class FindContentConfigRequest extends TokenRequest{
	int type;
	String? parentCode;

	FindContentConfigRequest({
		this.type = 0,
		this.parentCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindContentConfigRequest.fromJson(Map<String, dynamic> map) {
		return FindContentConfigRequest( 
			type: map['Type'],
			parentCode: map['ParentCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['Type'] = type;
		if(parentCode != null)
			map['ParentCode'] = parentCode;
		return map;
	}
}

class FindDeviceDiagnosisModulesRequest2 extends TokenRequest{
	String? deviceCode;

	FindDeviceDiagnosisModulesRequest2({
		this.deviceCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindDeviceDiagnosisModulesRequest2.fromJson(Map<String, dynamic> map) {
		return FindDeviceDiagnosisModulesRequest2( 
			deviceCode: map['DeviceCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		return map;
	}
}

class FindDiagnosisModuleByPageRequest extends PageRequest{

	FindDiagnosisModuleByPageRequest({
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindDiagnosisModuleByPageRequest.fromJson(Map<String, dynamic> map) {
		return FindDiagnosisModuleByPageRequest( 
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class FindGradingProtectionConfigByPageRequest extends PageRequest{
	String? keyword;

	FindGradingProtectionConfigByPageRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindGradingProtectionConfigByPageRequest.fromJson(Map<String, dynamic> map) {
		return FindGradingProtectionConfigByPageRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindOrganizationDiagnosisModulesRequest extends TokenRequest{
	String? organizationCode;

	FindOrganizationDiagnosisModulesRequest({
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindOrganizationDiagnosisModulesRequest.fromJson(Map<String, dynamic> map) {
		return FindOrganizationDiagnosisModulesRequest( 
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class FindReferralRecordSettingRequest extends TokenRequest{

	FindReferralRecordSettingRequest({
		String? token,
	}) : super(
			token: token,
		);

	factory FindReferralRecordSettingRequest.fromJson(Map<String, dynamic> map) {
		return FindReferralRecordSettingRequest( 
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class FindRelatedDeviceCodesRequest extends TokenRequest{
	String? reportPosterCode;

	FindRelatedDeviceCodesRequest({
		this.reportPosterCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindRelatedDeviceCodesRequest.fromJson(Map<String, dynamic> map) {
		return FindRelatedDeviceCodesRequest( 
			reportPosterCode: map['ReportPosterCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		return map;
	}
}

class FindReportLabelByCodeRequest extends TokenRequest{
	String? reportLabelCode;

	FindReportLabelByCodeRequest({
		this.reportLabelCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindReportLabelByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindReportLabelByCodeRequest( 
			reportLabelCode: map['ReportLabelCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportLabelCode != null)
			map['ReportLabelCode'] = reportLabelCode;
		return map;
	}
}

class FindReportLabelByPageRequest extends PageRequest{
	String? keyword;

	FindReportLabelByPageRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindReportLabelByPageRequest.fromJson(Map<String, dynamic> map) {
		return FindReportLabelByPageRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindReportPosterByCodeRequest extends TokenRequest{
	String? reportPosterCode;

	FindReportPosterByCodeRequest({
		this.reportPosterCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindReportPosterByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindReportPosterByCodeRequest( 
			reportPosterCode: map['ReportPosterCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		return map;
	}
}

class FindReportPosterByPageRequest extends PageRequest{
	String? keyword;

	FindReportPosterByPageRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindReportPosterByPageRequest.fromJson(Map<String, dynamic> map) {
		return FindReportPosterByPageRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindReportPreviewUrlRequest extends TokenRequest{
	String? reportCode;
	String? languageCode;

	FindReportPreviewUrlRequest({
		this.reportCode,
		this.languageCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindReportPreviewUrlRequest.fromJson(Map<String, dynamic> map) {
		return FindReportPreviewUrlRequest( 
			reportCode: map['ReportCode'],
			languageCode: map['LanguageCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportCode != null)
			map['ReportCode'] = reportCode;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		return map;
	}
}

enum PushDataStateEnum {
	UnDo,
	Successful,
	Failed,
	All,
}

class FindReportPushRecordsByPageRequest extends PageRequest{
	String? keyword;
	PushDataStateEnum queryState;

	FindReportPushRecordsByPageRequest({
		this.keyword,
		this.queryState = PushDataStateEnum.UnDo,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindReportPushRecordsByPageRequest.fromJson(Map<String, dynamic> map) {
		return FindReportPushRecordsByPageRequest( 
			keyword: map['Keyword'],
			queryState: PushDataStateEnum.values.firstWhere((e) => e.index == map['QueryState']),
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		map['QueryState'] = queryState.index;
		return map;
	}
}

class FindReportShareConentRequest extends TokenRequest{
	String? shortCode;

	FindReportShareConentRequest({
		this.shortCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindReportShareConentRequest.fromJson(Map<String, dynamic> map) {
		return FindReportShareConentRequest( 
			shortCode: map['ShortCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(shortCode != null)
			map['ShortCode'] = shortCode;
		return map;
	}
}

class FindReportTemplateUserPagesRequest extends PageRequest{
	String? reportTemplateCode;
	String? keyword;

	FindReportTemplateUserPagesRequest({
		this.reportTemplateCode,
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindReportTemplateUserPagesRequest.fromJson(Map<String, dynamic> map) {
		return FindReportTemplateUserPagesRequest( 
			reportTemplateCode: map['ReportTemplateCode'],
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportTemplateCode != null)
			map['ReportTemplateCode'] = reportTemplateCode;
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindRoleByCodeRequest extends TokenRequest{
	String? roleCode;

	FindRoleByCodeRequest({
		this.roleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindRoleByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindRoleByCodeRequest( 
			roleCode: map['RoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleCode != null)
			map['RoleCode'] = roleCode;
		return map;
	}
}

class FindThesaurusByCodeRequest extends TokenRequest{
	String? thesaurusCode;

	FindThesaurusByCodeRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindThesaurusByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindThesaurusByCodeRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class FindThesaurusPagesRequest extends PageRequest{
	String? keyword;

	FindThesaurusPagesRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindThesaurusPagesRequest.fromJson(Map<String, dynamic> map) {
		return FindThesaurusPagesRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindThesaurusUserPagesRequest extends PageRequest{
	String? thesaurusCode;
	String? keyword;

	FindThesaurusUserPagesRequest({
		this.thesaurusCode,
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory FindThesaurusUserPagesRequest.fromJson(Map<String, dynamic> map) {
		return FindThesaurusUserPagesRequest( 
			thesaurusCode: map['ThesaurusCode'],
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class FindThirdPartyInfoByCodeRequest extends TokenRequest{
	String? code;

	FindThirdPartyInfoByCodeRequest({
		this.code,
		String? token,
	}) : super(
			token: token,
		);

	factory FindThirdPartyInfoByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindThirdPartyInfoByCodeRequest( 
			code: map['Code'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class FindUserByCodeRequest extends TokenRequest{
	String? userCode;

	FindUserByCodeRequest({
		this.userCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindUserByCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindUserByCodeRequest( 
			userCode: map['UserCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		return map;
	}
}

class GetAdminPagesRequest extends PageRequest{
	String? queryType;
	String? keyWord;
	String? roleCode;
	bool isShowSuperRoleCode;
	String? fatherCode;

	GetAdminPagesRequest({
		this.queryType,
		this.keyWord,
		this.roleCode,
		this.isShowSuperRoleCode = false,
		this.fatherCode,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetAdminPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetAdminPagesRequest( 
			queryType: map['QueryType'],
			keyWord: map['KeyWord'],
			roleCode: map['RoleCode'],
			isShowSuperRoleCode: map['IsShowSuperRoleCode'],
			fatherCode: map['FatherCode'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyWord != null)
			map['KeyWord'] = keyWord;
		if(roleCode != null)
			map['RoleCode'] = roleCode;
		map['IsShowSuperRoleCode'] = isShowSuperRoleCode;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		return map;
	}
}

class GetAdminRolePagesRequest extends PageRequest{
	String? roleName;

	GetAdminRolePagesRequest({
		this.roleName,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetAdminRolePagesRequest.fromJson(Map<String, dynamic> map) {
		return GetAdminRolePagesRequest( 
			roleName: map['RoleName'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleName != null)
			map['RoleName'] = roleName;
		return map;
	}
}

class GetDeviceModelSelectRequest extends TokenRequest{
	String? parentCode;

	GetDeviceModelSelectRequest({
		this.parentCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetDeviceModelSelectRequest.fromJson(Map<String, dynamic> map) {
		return GetDeviceModelSelectRequest( 
			parentCode: map['ParentCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(parentCode != null)
			map['ParentCode'] = parentCode;
		return map;
	}
}

class GetDeviceOutputConfigRequest extends TokenRequest{
	DeviceVideoOutputTypeEnum deviceVideoOutputType;

	GetDeviceOutputConfigRequest({
		this.deviceVideoOutputType = DeviceVideoOutputTypeEnum.MergedVideo,
		String? token,
	}) : super(
			token: token,
		);

	factory GetDeviceOutputConfigRequest.fromJson(Map<String, dynamic> map) {
		return GetDeviceOutputConfigRequest( 
			deviceVideoOutputType: DeviceVideoOutputTypeEnum.values.firstWhere((e) => e.index == map['DeviceVideoOutputType']),
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['DeviceVideoOutputType'] = deviceVideoOutputType.index;
		return map;
	}
}

class GetDeviceBrandModelPageRequest extends PageRequest{
	String? keyword;

	GetDeviceBrandModelPageRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDeviceBrandModelPageRequest.fromJson(Map<String, dynamic> map) {
		return GetDeviceBrandModelPageRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class GetDevicePagesRequest extends PageRequest{
	String? queryType;
	String? keyword;
	List<String >? hospitals;
	String? adminName;
	String? userName;

	GetDevicePagesRequest({
		this.queryType,
		this.keyword,
		this.hospitals,
		this.adminName,
		this.userName,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDevicePagesRequest.fromJson(Map<String, dynamic> map) {
		return GetDevicePagesRequest( 
			queryType: map['QueryType'],
			keyword: map['Keyword'],
			hospitals: map['Hospitals'] != null ? map['Hospitals'].cast<String>().toList() : null,
			adminName: map['AdminName'],
			userName: map['UserName'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyword != null)
			map['Keyword'] = keyword;
		if(hospitals != null)
			map['Hospitals'] = hospitals;
		if(adminName != null)
			map['AdminName'] = adminName;
		if(userName != null)
			map['UserName'] = userName;
		return map;
	}
}

class GetDeviceTypePagesRequest extends PageRequest{
	String? deviceType;
	String? deviceModel;

	GetDeviceTypePagesRequest({
		this.deviceType,
		this.deviceModel,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDeviceTypePagesRequest.fromJson(Map<String, dynamic> map) {
		return GetDeviceTypePagesRequest( 
			deviceType: map['DeviceType'],
			deviceModel: map['DeviceModel'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceType != null)
			map['DeviceType'] = deviceType;
		if(deviceModel != null)
			map['DeviceModel'] = deviceModel;
		return map;
	}
}

class GetDeviceUserPagesRequest extends PageRequest{
	List<String >? deviceCodes;
	String? queryType;
	String? keyword;
	int type;

	GetDeviceUserPagesRequest({
		this.deviceCodes,
		this.queryType,
		this.keyword,
		this.type = 0,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDeviceUserPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetDeviceUserPagesRequest( 
			deviceCodes: map['DeviceCodes'] != null ? map['DeviceCodes'].cast<String>().toList() : null,
			queryType: map['QueryType'],
			keyword: map['Keyword'],
			type: map['Type'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCodes != null)
			map['DeviceCodes'] = deviceCodes;
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyword != null)
			map['Keyword'] = keyword;
		map['Type'] = type;
		return map;
	}
}

class GetDistributedServerRequest extends PageRequest{
	String? keyword;

	GetDistributedServerRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetDistributedServerRequest.fromJson(Map<String, dynamic> map) {
		return GetDistributedServerRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class GetLogPagesRequest extends PageRequest{
	String? level;
	String? keyWord;
	String? exclude;
	DateTime? startTime;
	DateTime? endTime;
	String? requestServerHost;

	GetLogPagesRequest({
		this.level,
		this.keyWord,
		this.exclude,
		this.startTime,
		this.endTime,
		this.requestServerHost,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetLogPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetLogPagesRequest( 
			level: map['Level'],
			keyWord: map['KeyWord'],
			exclude: map['Exclude'],
			startTime: map['StartTime'] != null ? DateTime.parse(map['StartTime']) : null,
			endTime: map['EndTime'] != null ? DateTime.parse(map['EndTime']) : null,
			requestServerHost: map['RequestServerHost'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(level != null)
			map['Level'] = level;
		if(keyWord != null)
			map['KeyWord'] = keyWord;
		if(exclude != null)
			map['Exclude'] = exclude;
		if(startTime != null)
			map['StartTime'] = JsonRpcUtils.dateFormat(startTime!);
		if(endTime != null)
			map['EndTime'] = JsonRpcUtils.dateFormat(endTime!);
		if(requestServerHost != null)
			map['RequestServerHost'] = requestServerHost;
		return map;
	}
}

class GetOrganizationCustomSettingRequest extends TokenRequest{
	String? langugeKey;
	String? settingModule;
	String? organizationCode;

	GetOrganizationCustomSettingRequest({
		this.langugeKey,
		this.settingModule,
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetOrganizationCustomSettingRequest.fromJson(Map<String, dynamic> map) {
		return GetOrganizationCustomSettingRequest( 
			langugeKey: map['LangugeKey'],
			settingModule: map['SettingModule'],
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(langugeKey != null)
			map['LangugeKey'] = langugeKey;
		if(settingModule != null)
			map['SettingModule'] = settingModule;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class GetOrganizationPagesRequest extends PageRequest{
	String? queryType;
	String? keyword;
	String? state;
	String? isinvented;

	GetOrganizationPagesRequest({
		this.queryType,
		this.keyword,
		this.state,
		this.isinvented,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetOrganizationPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetOrganizationPagesRequest( 
			queryType: map['QueryType'],
			keyword: map['Keyword'],
			state: map['State'],
			isinvented: map['Isinvented'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyword != null)
			map['Keyword'] = keyword;
		if(state != null)
			map['State'] = state;
		if(isinvented != null)
			map['Isinvented'] = isinvented;
		return map;
	}
}

class GetOrganizationRequest extends TokenRequest{
	String? organizationCode;

	GetOrganizationRequest({
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetOrganizationRequest.fromJson(Map<String, dynamic> map) {
		return GetOrganizationRequest( 
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class GetOrganizationSettingRequest extends TokenRequest{
	OrganizationSettingTypeEnum settingType;
	String? organizationCode;

	GetOrganizationSettingRequest({
		this.settingType = OrganizationSettingTypeEnum.Patient,
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetOrganizationSettingRequest.fromJson(Map<String, dynamic> map) {
		return GetOrganizationSettingRequest( 
			settingType: OrganizationSettingTypeEnum.values.firstWhere((e) => e.index == map['SettingType']),
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['SettingType'] = settingType.index;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class GetOrganizationUserPagesRequest extends PageRequest{
	String? organizationCode;
	String? queryType;
	String? keyword;

	GetOrganizationUserPagesRequest({
		this.organizationCode,
		this.queryType,
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetOrganizationUserPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetOrganizationUserPagesRequest( 
			organizationCode: map['OrganizationCode'],
			queryType: map['QueryType'],
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class GetRolePagesRequest extends PageRequest{
	String? roleName;

	GetRolePagesRequest({
		this.roleName,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetRolePagesRequest.fromJson(Map<String, dynamic> map) {
		return GetRolePagesRequest( 
			roleName: map['RoleName'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleName != null)
			map['RoleName'] = roleName;
		return map;
	}
}

class GetShareExamUrlRequest {
	String? requestUrl;
	String? languageCode;

	GetShareExamUrlRequest({
		this.requestUrl,
		this.languageCode,
	});

	factory GetShareExamUrlRequest.fromJson(Map<String, dynamic> map) {
		return GetShareExamUrlRequest( 
			requestUrl: map['RequestUrl'],
			languageCode: map['LanguageCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(requestUrl != null)
			map['RequestUrl'] = requestUrl;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		return map;
	}
}

class GetThesaurusItemRequest extends TokenRequest{
	String? thesaurusCode;
	String? thesaurusItemCode;

	GetThesaurusItemRequest({
		this.thesaurusCode,
		this.thesaurusItemCode,
		String? token,
	}) : super(
			token: token,
		);

	factory GetThesaurusItemRequest.fromJson(Map<String, dynamic> map) {
		return GetThesaurusItemRequest( 
			thesaurusCode: map['ThesaurusCode'],
			thesaurusItemCode: map['ThesaurusItemCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		if(thesaurusItemCode != null)
			map['ThesaurusItemCode'] = thesaurusItemCode;
		return map;
	}
}

class GetThirdPartyInfoPagesRequest extends PageRequest{
	String? name;
	String? isValid;

	GetThirdPartyInfoPagesRequest({
		this.name,
		this.isValid,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetThirdPartyInfoPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetThirdPartyInfoPagesRequest( 
			name: map['Name'],
			isValid: map['IsValid'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(name != null)
			map['Name'] = name;
		if(isValid != null)
			map['IsValid'] = isValid;
		return map;
	}
}

class GetUserPagesRequest extends PageRequest{
	String? queryType;
	String? keyword;
	String? queryState;

	GetUserPagesRequest({
		this.queryType,
		this.keyword,
		this.queryState,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetUserPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetUserPagesRequest( 
			queryType: map['QueryType'],
			keyword: map['Keyword'],
			queryState: map['QueryState'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyword != null)
			map['Keyword'] = keyword;
		if(queryState != null)
			map['QueryState'] = queryState;
		return map;
	}
}

class ImitateLoginRequest {
	String? account;
	String? password;
	AccountType accountType;

	ImitateLoginRequest({
		this.account,
		this.password,
		this.accountType = AccountType.Admin,
	});

	factory ImitateLoginRequest.fromJson(Map<String, dynamic> map) {
		return ImitateLoginRequest( 
			account: map['Account'],
			password: map['Password'],
			accountType: AccountType.values.firstWhere((e) => e.index == map['AccountType']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(account != null)
			map['Account'] = account;
		if(password != null)
			map['Password'] = password;
		map['AccountType'] = accountType.index;
		return map;
	}
}

class ImitateLoginResult {
	String? clientId;

	ImitateLoginResult({
		this.clientId,
	});

	factory ImitateLoginResult.fromJson(Map<String, dynamic> map) {
		return ImitateLoginResult( 
			clientId: map['ClientId'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(clientId != null)
			map['ClientId'] = clientId;
		return map;
	}
}

class LoginRequest {
	String? adminName;
	String? password;

	LoginRequest({
		this.adminName,
		this.password,
	});

	factory LoginRequest.fromJson(Map<String, dynamic> map) {
		return LoginRequest( 
			adminName: map['AdminName'],
			password: map['Password'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(adminName != null)
			map['AdminName'] = adminName;
		if(password != null)
			map['Password'] = password;
		return map;
	}
}

enum ProductStatusEnum {
	SoldOut,
	Putaway,
}

enum ProductTypeEnum {
	Course,
	Other,
}

class ManageCreateProductRequest extends TokenRequest{
	String? name;
	String? headImage;
	double price;
	ProductStatusEnum status;
	ProductTypeEnum productType;
	String? belongerCode;
	String? relationInfo;

	ManageCreateProductRequest({
		this.name,
		this.headImage,
		this.price = 0,
		this.status = ProductStatusEnum.SoldOut,
		this.productType = ProductTypeEnum.Course,
		this.belongerCode,
		this.relationInfo,
		String? token,
	}) : super(
			token: token,
		);

	factory ManageCreateProductRequest.fromJson(Map<String, dynamic> map) {
		return ManageCreateProductRequest( 
			name: map['Name'],
			headImage: map['HeadImage'],
			price: double.parse(map['Price'].toString()),
			status: ProductStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			productType: ProductTypeEnum.values.firstWhere((e) => e.index == map['ProductType']),
			belongerCode: map['BelongerCode'],
			relationInfo: map['RelationInfo'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(name != null)
			map['Name'] = name;
		if(headImage != null)
			map['HeadImage'] = headImage;
		map['Price'] = price;
		map['Status'] = status.index;
		map['ProductType'] = productType.index;
		if(belongerCode != null)
			map['BelongerCode'] = belongerCode;
		if(relationInfo != null)
			map['RelationInfo'] = relationInfo;
		return map;
	}
}

class ManageGetOrderDetailRequest extends TokenRequest{
	String? orderCode;

	ManageGetOrderDetailRequest({
		this.orderCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ManageGetOrderDetailRequest.fromJson(Map<String, dynamic> map) {
		return ManageGetOrderDetailRequest( 
			orderCode: map['OrderCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(orderCode != null)
			map['OrderCode'] = orderCode;
		return map;
	}
}

class ManageGetOrderPagesRequest extends PageRequest{
	String? keyWord;

	ManageGetOrderPagesRequest({
		this.keyWord,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory ManageGetOrderPagesRequest.fromJson(Map<String, dynamic> map) {
		return ManageGetOrderPagesRequest( 
			keyWord: map['KeyWord'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyWord != null)
			map['KeyWord'] = keyWord;
		return map;
	}
}

class ManageGetPaymentRecordsRequest extends PageRequest{
	String? keyword;

	ManageGetPaymentRecordsRequest({
		this.keyword,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory ManageGetPaymentRecordsRequest.fromJson(Map<String, dynamic> map) {
		return ManageGetPaymentRecordsRequest( 
			keyword: map['Keyword'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(keyword != null)
			map['Keyword'] = keyword;
		return map;
	}
}

class ManageUpdateProductRequest extends TokenRequest{
	String? code;
	String? name;
	String? headImage;
	double price;
	ProductStatusEnum status;
	ProductTypeEnum productType;
	String? belongerCode;
	String? relationInfo;

	ManageUpdateProductRequest({
		this.code,
		this.name,
		this.headImage,
		this.price = 0,
		this.status = ProductStatusEnum.SoldOut,
		this.productType = ProductTypeEnum.Course,
		this.belongerCode,
		this.relationInfo,
		String? token,
	}) : super(
			token: token,
		);

	factory ManageUpdateProductRequest.fromJson(Map<String, dynamic> map) {
		return ManageUpdateProductRequest( 
			code: map['Code'],
			name: map['Name'],
			headImage: map['HeadImage'],
			price: double.parse(map['Price'].toString()),
			status: ProductStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			productType: ProductTypeEnum.values.firstWhere((e) => e.index == map['ProductType']),
			belongerCode: map['BelongerCode'],
			relationInfo: map['RelationInfo'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		if(headImage != null)
			map['HeadImage'] = headImage;
		map['Price'] = price;
		map['Status'] = status.index;
		map['ProductType'] = productType.index;
		if(belongerCode != null)
			map['BelongerCode'] = belongerCode;
		if(relationInfo != null)
			map['RelationInfo'] = relationInfo;
		return map;
	}
}

class BaseFeatureInfoDTO extends BaseDTO{
	String? featureCode;
	String? featureName;
	String? fatherCode;
	String? uniqueCode;

	BaseFeatureInfoDTO({
		this.featureCode,
		this.featureName,
		this.fatherCode,
		this.uniqueCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory BaseFeatureInfoDTO.fromJson(Map<String, dynamic> map) {
		return BaseFeatureInfoDTO( 
			featureCode: map['FeatureCode'],
			featureName: map['FeatureName'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(featureCode != null)
			map['FeatureCode'] = featureCode;
		if(featureName != null)
			map['FeatureName'] = featureName;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		if(uniqueCode != null)
			map['UniqueCode'] = uniqueCode;
		return map;
	}
}

class AdminFeatureInfoDTO extends BaseFeatureInfoDTO{

	AdminFeatureInfoDTO({
		String? featureCode,
		String? featureName,
		String? fatherCode,
		String? uniqueCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			featureCode: featureCode,
			featureName: featureName,
			fatherCode: fatherCode,
			uniqueCode: uniqueCode,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminFeatureInfoDTO.fromJson(Map<String, dynamic> map) {
		return AdminFeatureInfoDTO( 
			featureCode: map['FeatureCode'],
			featureName: map['FeatureName'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ModifyAdminFeatureRequest extends AdminFeatureInfoDTO{
	String? token;

	ModifyAdminFeatureRequest({
		this.token,
		String? featureCode,
		String? featureName,
		String? fatherCode,
		String? uniqueCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			featureCode: featureCode,
			featureName: featureName,
			fatherCode: fatherCode,
			uniqueCode: uniqueCode,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyAdminFeatureRequest.fromJson(Map<String, dynamic> map) {
		return ModifyAdminFeatureRequest( 
			token: map['Token'],
			featureCode: map['FeatureCode'],
			featureName: map['FeatureName'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class ModifyAdminPasswordRequest extends TokenRequest{
	String? adminCode;
	String? oldPassword;
	String? newPassword;

	ModifyAdminPasswordRequest({
		this.adminCode,
		this.oldPassword,
		this.newPassword,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyAdminPasswordRequest.fromJson(Map<String, dynamic> map) {
		return ModifyAdminPasswordRequest( 
			adminCode: map['AdminCode'],
			oldPassword: map['OldPassword'],
			newPassword: map['NewPassword'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminCode != null)
			map['AdminCode'] = adminCode;
		if(oldPassword != null)
			map['OldPassword'] = oldPassword;
		if(newPassword != null)
			map['NewPassword'] = newPassword;
		return map;
	}
}

class ClearLogOperateDTO {
	String? serverHost;
	DateTime? lastClearTime;
	DateTime? lastClearOperateTime;

	ClearLogOperateDTO({
		this.serverHost,
		this.lastClearTime,
		this.lastClearOperateTime,
	});

	factory ClearLogOperateDTO.fromJson(Map<String, dynamic> map) {
		return ClearLogOperateDTO( 
			serverHost: map['ServerHost'],
			lastClearTime: map['LastClearTime'] != null ? DateTime.parse(map['LastClearTime']) : null,
			lastClearOperateTime: map['LastClearOperateTime'] != null ? DateTime.parse(map['LastClearOperateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(serverHost != null)
			map['ServerHost'] = serverHost;
		if(lastClearTime != null)
			map['LastClearTime'] = JsonRpcUtils.dateFormat(lastClearTime!);
		if(lastClearOperateTime != null)
			map['LastClearOperateTime'] = JsonRpcUtils.dateFormat(lastClearOperateTime!);
		return map;
	}
}

class AdminInfoDTO extends BaseDTO{
	String? adminCode;
	String? fatherCode;
	String? adminName;
	String? fullName;
	String? secretPassword;
	String? headImageToken;
	String? licenseKey;
	String? lastIP;
	String? phone;
	String? email;
	List<String >? roleCodes;
	LoginLockInfoDTO? loginLockInfo;
	DateTime? passwordUpdateTime;
	List<String >? passwordRecords;
	List<ClearLogOperateDTO >? clearLogOperateList;

	AdminInfoDTO({
		this.adminCode,
		this.fatherCode,
		this.adminName,
		this.fullName,
		this.secretPassword,
		this.headImageToken,
		this.licenseKey,
		this.lastIP,
		this.phone,
		this.email,
		this.roleCodes,
		this.loginLockInfo,
		this.passwordUpdateTime,
		this.passwordRecords,
		this.clearLogOperateList,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminInfoDTO.fromJson(Map<String, dynamic> map) {
		return AdminInfoDTO( 
			adminCode: map['AdminCode'],
			fatherCode: map['FatherCode'],
			adminName: map['AdminName'],
			fullName: map['FullName'],
			secretPassword: map['SecretPassword'],
			headImageToken: map['HeadImageToken'],
			licenseKey: map['LicenseKey'],
			lastIP: map['LastIP'],
			phone: map['Phone'],
			email: map['Email'],
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			passwordUpdateTime: map['PasswordUpdateTime'] != null ? DateTime.parse(map['PasswordUpdateTime']) : null,
			passwordRecords: map['PasswordRecords'] != null ? map['PasswordRecords'].cast<String>().toList() : null,
			clearLogOperateList: map['ClearLogOperateList'] != null ? (map['ClearLogOperateList'] as List).map((e)=>ClearLogOperateDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminCode != null)
			map['AdminCode'] = adminCode;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		if(adminName != null)
			map['AdminName'] = adminName;
		if(fullName != null)
			map['FullName'] = fullName;
		if(secretPassword != null)
			map['SecretPassword'] = secretPassword;
		if(headImageToken != null)
			map['HeadImageToken'] = headImageToken;
		if(licenseKey != null)
			map['LicenseKey'] = licenseKey;
		if(lastIP != null)
			map['LastIP'] = lastIP;
		if(phone != null)
			map['Phone'] = phone;
		if(email != null)
			map['Email'] = email;
		if(roleCodes != null)
			map['RoleCodes'] = roleCodes;
		if(loginLockInfo != null)
			map['LoginLockInfo'] = loginLockInfo;
		if(passwordUpdateTime != null)
			map['PasswordUpdateTime'] = JsonRpcUtils.dateFormat(passwordUpdateTime!);
		if(passwordRecords != null)
			map['PasswordRecords'] = passwordRecords;
		if(clearLogOperateList != null)
			map['ClearLogOperateList'] = clearLogOperateList;
		return map;
	}
}

class ModifyAdminRequest extends AdminInfoDTO{
	String? token;

	ModifyAdminRequest({
		this.token,
		String? adminCode,
		String? fatherCode,
		String? adminName,
		String? fullName,
		String? secretPassword,
		String? headImageToken,
		String? licenseKey,
		String? lastIP,
		String? phone,
		String? email,
		List<String >? roleCodes,
		LoginLockInfoDTO? loginLockInfo,
		DateTime? passwordUpdateTime,
		List<String >? passwordRecords,
		List<ClearLogOperateDTO >? clearLogOperateList,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			adminCode: adminCode,
			fatherCode: fatherCode,
			adminName: adminName,
			fullName: fullName,
			secretPassword: secretPassword,
			headImageToken: headImageToken,
			licenseKey: licenseKey,
			lastIP: lastIP,
			phone: phone,
			email: email,
			roleCodes: roleCodes,
			loginLockInfo: loginLockInfo,
			passwordUpdateTime: passwordUpdateTime,
			passwordRecords: passwordRecords,
			clearLogOperateList: clearLogOperateList,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyAdminRequest.fromJson(Map<String, dynamic> map) {
		return ModifyAdminRequest( 
			token: map['Token'],
			adminCode: map['AdminCode'],
			fatherCode: map['FatherCode'],
			adminName: map['AdminName'],
			fullName: map['FullName'],
			secretPassword: map['SecretPassword'],
			headImageToken: map['HeadImageToken'],
			licenseKey: map['LicenseKey'],
			lastIP: map['LastIP'],
			phone: map['Phone'],
			email: map['Email'],
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			passwordUpdateTime: map['PasswordUpdateTime'] != null ? DateTime.parse(map['PasswordUpdateTime']) : null,
			passwordRecords: map['PasswordRecords'] != null ? map['PasswordRecords'].cast<String>().toList() : null,
			clearLogOperateList: map['ClearLogOperateList'] != null ? (map['ClearLogOperateList'] as List).map((e)=>ClearLogOperateDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class AdminRoleDTO extends BaseRoleDTO{
	String? adminGroupCode;
	int adminNum;

	AdminRoleDTO({
		this.adminGroupCode,
		this.adminNum = 0,
		String? roleCode,
		String? roleName,
		String? description,
		List<UserRoleLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			roleCode: roleCode,
			roleName: roleName,
			description: description,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminRoleDTO.fromJson(Map<String, dynamic> map) {
		return AdminRoleDTO( 
			adminGroupCode: map['AdminGroupCode'],
			adminNum: map['AdminNum'],
			roleCode: map['RoleCode'],
			roleName: map['RoleName'],
			description: map['Description'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>UserRoleLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminGroupCode != null)
			map['AdminGroupCode'] = adminGroupCode;
		map['AdminNum'] = adminNum;
		return map;
	}
}

class ModifyAdminRoleInfoRequest extends AdminRoleDTO{
	String? token;
	List<String >? featuresCodeList;

	ModifyAdminRoleInfoRequest({
		this.token,
		this.featuresCodeList,
		String? adminGroupCode,
		int adminNum = 0,
		String? roleCode,
		String? roleName,
		String? description,
		List<UserRoleLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			adminGroupCode: adminGroupCode,
			adminNum: adminNum,
			roleCode: roleCode,
			roleName: roleName,
			description: description,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyAdminRoleInfoRequest.fromJson(Map<String, dynamic> map) {
		return ModifyAdminRoleInfoRequest( 
			token: map['Token'],
			featuresCodeList: map['FeaturesCodeList'] != null ? map['FeaturesCodeList'].cast<String>().toList() : null,
			adminGroupCode: map['AdminGroupCode'],
			adminNum: map['AdminNum'],
			roleCode: map['RoleCode'],
			roleName: map['RoleName'],
			description: map['Description'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>UserRoleLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		if(featuresCodeList != null)
			map['FeaturesCodeList'] = featuresCodeList;
		return map;
	}
}

class ModifyAdminsRolesRequest {
	String? token;
	List<String >? adminCodes;
	List<String >? adminRoleCodes;

	ModifyAdminsRolesRequest({
		this.token,
		this.adminCodes,
		this.adminRoleCodes,
	});

	factory ModifyAdminsRolesRequest.fromJson(Map<String, dynamic> map) {
		return ModifyAdminsRolesRequest( 
			token: map['Token'],
			adminCodes: map['AdminCodes'] != null ? map['AdminCodes'].cast<String>().toList() : null,
			adminRoleCodes: map['AdminRoleCodes'] != null ? map['AdminRoleCodes'].cast<String>().toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(token != null)
			map['Token'] = token;
		if(adminCodes != null)
			map['AdminCodes'] = adminCodes;
		if(adminRoleCodes != null)
			map['AdminRoleCodes'] = adminRoleCodes;
		return map;
	}
}

class ModifyDeviceRequest2 extends DeviceInfoDTO{
	String? token;

	ModifyDeviceRequest2({
		this.token,
		String? deviceCode,
		String? serialNumber,
		String? password,
		String? name,
		String? description,
		String? deviceModel,
		String? deviceType,
		String? headPicUrl,
		String? deviceSoftwareVersion,
		String? sDKSoftwareVersion,
		String? organizationCode,
		String? departmentCode,
		String? shortCode,
		bool isAutoShared = false,
		bool isEncryptedShow = false,
		DateTime? lastLoginTime,
		String? systemVersion,
		String? cPUModel,
		String? systemLanguage,
		List<String >? diagnosisModules,
		List<String >? reportPosterCodes,
		bool mergedChannel = false,
		int mergedVideoOutputWidth = 0,
		int mergedVideoOutputHeight = 0,
		List<VideoDeviceDTO >? videoDeviceInfos,
		DownloadModeSettingEnum downloadModeSetting = DownloadModeSettingEnum.Auto,
		bool liveOpened = false,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			deviceCode: deviceCode,
			serialNumber: serialNumber,
			password: password,
			name: name,
			description: description,
			deviceModel: deviceModel,
			deviceType: deviceType,
			headPicUrl: headPicUrl,
			deviceSoftwareVersion: deviceSoftwareVersion,
			sDKSoftwareVersion: sDKSoftwareVersion,
			organizationCode: organizationCode,
			departmentCode: departmentCode,
			shortCode: shortCode,
			isAutoShared: isAutoShared,
			isEncryptedShow: isEncryptedShow,
			lastLoginTime: lastLoginTime,
			systemVersion: systemVersion,
			cPUModel: cPUModel,
			systemLanguage: systemLanguage,
			diagnosisModules: diagnosisModules,
			reportPosterCodes: reportPosterCodes,
			mergedChannel: mergedChannel,
			mergedVideoOutputWidth: mergedVideoOutputWidth,
			mergedVideoOutputHeight: mergedVideoOutputHeight,
			videoDeviceInfos: videoDeviceInfos,
			downloadModeSetting: downloadModeSetting,
			liveOpened: liveOpened,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyDeviceRequest2.fromJson(Map<String, dynamic> map) {
		return ModifyDeviceRequest2( 
			token: map['Token'],
			deviceCode: map['DeviceCode'],
			serialNumber: map['SerialNumber'],
			password: map['Password'],
			name: map['Name'],
			description: map['Description'],
			deviceModel: map['DeviceModel'],
			deviceType: map['DeviceType'],
			headPicUrl: map['HeadPicUrl'],
			deviceSoftwareVersion: map['DeviceSoftwareVersion'],
			sDKSoftwareVersion: map['SDKSoftwareVersion'],
			organizationCode: map['OrganizationCode'],
			departmentCode: map['DepartmentCode'],
			shortCode: map['ShortCode'],
			isAutoShared: map['IsAutoShared'],
			isEncryptedShow: map['IsEncryptedShow'],
			lastLoginTime: map['LastLoginTime'] != null ? DateTime.parse(map['LastLoginTime']) : null,
			systemVersion: map['SystemVersion'],
			cPUModel: map['CPUModel'],
			systemLanguage: map['SystemLanguage'],
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			reportPosterCodes: map['ReportPosterCodes'] != null ? map['ReportPosterCodes'].cast<String>().toList() : null,
			mergedChannel: map['MergedChannel'],
			mergedVideoOutputWidth: map['MergedVideoOutputWidth'],
			mergedVideoOutputHeight: map['MergedVideoOutputHeight'],
			videoDeviceInfos: map['VideoDeviceInfos'] != null ? (map['VideoDeviceInfos'] as List).map((e)=>VideoDeviceDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			downloadModeSetting: DownloadModeSettingEnum.values.firstWhere((e) => e.index == map['DownloadModeSetting']),
			liveOpened: map['LiveOpened'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class ModifyDeviceDownloadModeRequest extends TokenRequest{
	String? deviceCode;
	DownloadModeSettingEnum downloadModeSetting;

	ModifyDeviceDownloadModeRequest({
		this.deviceCode,
		this.downloadModeSetting = DownloadModeSettingEnum.Auto,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyDeviceDownloadModeRequest.fromJson(Map<String, dynamic> map) {
		return ModifyDeviceDownloadModeRequest( 
			deviceCode: map['DeviceCode'],
			downloadModeSetting: DownloadModeSettingEnum.values.firstWhere((e) => e.index == map['DownloadModeSetting']),
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		map['DownloadModeSetting'] = downloadModeSetting.index;
		return map;
	}
}

class ModifyDeviceMergedVideoSizeRequest extends TokenRequest{
	String? deviceCode;
	bool mergedChannel;
	int mergedVideoOutputWidth;
	int mergedVideoOutputHeight;
	List<VideoDeviceDTO >? videoDeviceInfos;

	ModifyDeviceMergedVideoSizeRequest({
		this.deviceCode,
		this.mergedChannel = false,
		this.mergedVideoOutputWidth = 0,
		this.mergedVideoOutputHeight = 0,
		this.videoDeviceInfos,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyDeviceMergedVideoSizeRequest.fromJson(Map<String, dynamic> map) {
		return ModifyDeviceMergedVideoSizeRequest( 
			deviceCode: map['DeviceCode'],
			mergedChannel: map['MergedChannel'],
			mergedVideoOutputWidth: map['MergedVideoOutputWidth'],
			mergedVideoOutputHeight: map['MergedVideoOutputHeight'],
			videoDeviceInfos: map['VideoDeviceInfos'] != null ? (map['VideoDeviceInfos'] as List).map((e)=>VideoDeviceDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		map['MergedChannel'] = mergedChannel;
		map['MergedVideoOutputWidth'] = mergedVideoOutputWidth;
		map['MergedVideoOutputHeight'] = mergedVideoOutputHeight;
		if(videoDeviceInfos != null)
			map['VideoDeviceInfos'] = videoDeviceInfos;
		return map;
	}
}

class DeviceModelClass {
	String? deviceModelCode;
	String? deviceModelName;

	DeviceModelClass({
		this.deviceModelCode,
		this.deviceModelName,
	});

	factory DeviceModelClass.fromJson(Map<String, dynamic> map) {
		return DeviceModelClass( 
			deviceModelCode: map['DeviceModelCode'],
			deviceModelName: map['DeviceModelName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(deviceModelCode != null)
			map['DeviceModelCode'] = deviceModelCode;
		if(deviceModelName != null)
			map['DeviceModelName'] = deviceModelName;
		return map;
	}
}

class ModifyDeviceTypeRequest extends TokenRequest{
	String? deviceTypeCode;
	List<DictionaryLanguageConfigDTO >? languageConfigs;
	List<DeviceModelClass >? deviceModelList;

	ModifyDeviceTypeRequest({
		this.deviceTypeCode,
		this.languageConfigs,
		this.deviceModelList,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyDeviceTypeRequest.fromJson(Map<String, dynamic> map) {
		return ModifyDeviceTypeRequest( 
			deviceTypeCode: map['DeviceTypeCode'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>DictionaryLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			deviceModelList: map['DeviceModelList'] != null ? (map['DeviceModelList'] as List).map((e)=>DeviceModelClass.fromJson(e as Map<String,dynamic>)).toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceTypeCode != null)
			map['DeviceTypeCode'] = deviceTypeCode;
		if(languageConfigs != null)
			map['LanguageConfigs'] = languageConfigs;
		if(deviceModelList != null)
			map['DeviceModelList'] = deviceModelList;
		return map;
	}
}

class ModifyDiagnosisModuleEnableStateRequest extends TokenRequest{
	List<String >? diagnosisModules;
	bool enabled;

	ModifyDiagnosisModuleEnableStateRequest({
		this.diagnosisModules,
		this.enabled = false,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyDiagnosisModuleEnableStateRequest.fromJson(Map<String, dynamic> map) {
		return ModifyDiagnosisModuleEnableStateRequest( 
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			enabled: map['Enabled'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(diagnosisModules != null)
			map['DiagnosisModules'] = diagnosisModules;
		map['Enabled'] = enabled;
		return map;
	}
}

class ModifyDiagnosisModulesRequest extends TokenRequest{
	List<String >? diagnosisModules;

	ModifyDiagnosisModulesRequest({
		this.diagnosisModules,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyDiagnosisModulesRequest.fromJson(Map<String, dynamic> map) {
		return ModifyDiagnosisModulesRequest( 
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(diagnosisModules != null)
			map['DiagnosisModules'] = diagnosisModules;
		return map;
	}
}

class ModifyOrganizationCustomSettingRequest extends TokenRequest{
	String? langugeKey;
	String? settingModule;
	String? settingJson;
	String? organizationCode;

	ModifyOrganizationCustomSettingRequest({
		this.langugeKey,
		this.settingModule,
		this.settingJson,
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyOrganizationCustomSettingRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationCustomSettingRequest( 
			langugeKey: map['LangugeKey'],
			settingModule: map['SettingModule'],
			settingJson: map['SettingJson'],
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(langugeKey != null)
			map['LangugeKey'] = langugeKey;
		if(settingModule != null)
			map['SettingModule'] = settingModule;
		if(settingJson != null)
			map['SettingJson'] = settingJson;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class ModifyOrganizationDiagnosisModulesRequest extends TokenRequest{
	String? organizationCode;
	List<String >? diagnosisModules;

	ModifyOrganizationDiagnosisModulesRequest({
		this.organizationCode,
		this.diagnosisModules,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyOrganizationDiagnosisModulesRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationDiagnosisModulesRequest( 
			organizationCode: map['OrganizationCode'],
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(diagnosisModules != null)
			map['DiagnosisModules'] = diagnosisModules;
		return map;
	}
}

class ModifyOrganizationDirectorsRequest extends TokenRequest{
	String? organizationCode;
	List<String >? directors;

	ModifyOrganizationDirectorsRequest({
		this.organizationCode,
		this.directors,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyOrganizationDirectorsRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationDirectorsRequest( 
			organizationCode: map['OrganizationCode'],
			directors: map['Directors'] != null ? map['Directors'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(directors != null)
			map['Directors'] = directors;
		return map;
	}
}

class ModifyOrganizationRequest extends OrganizationDTO{
	String? token;

	ModifyOrganizationRequest({
		this.token,
		String? description,
		String? rootCode,
		OrganizationTypeEnum organizationType = OrganizationTypeEnum.Corporation,
		List<String >? authorityGroups,
		String? nautica,
		OrganizationStateEnum state = OrganizationStateEnum.WaitAudit,
		List<String >? directors,
		List<String >? assignedAdmins,
		String? patientSettingJson,
		String? examSettingJson,
		String? consultationSettingJson,
		String? patientSettingVersion,
		String? examSettingVersion,
		String? consultationSettingVersion,
		String? parentOrganizationName,
		String? regionCode,
		String? parentCode,
		String? logoUrl,
		OrganizationPatientTypeEnum patientType = OrganizationPatientTypeEnum.Person,
		bool isinvented = false,
		List<SettingDTOClass >? settings,
		List<String >? diagnosisModules,
		bool isEncryptedShow = false,
		double referralLimitHours = 0,
		List<String >? referralOrganizationCodes,
		List<ReferralOrganizationDTO >? referralOrganizations,
		String? organizationCode,
		String? organizationName,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			description: description,
			rootCode: rootCode,
			organizationType: organizationType,
			authorityGroups: authorityGroups,
			nautica: nautica,
			state: state,
			directors: directors,
			assignedAdmins: assignedAdmins,
			patientSettingJson: patientSettingJson,
			examSettingJson: examSettingJson,
			consultationSettingJson: consultationSettingJson,
			patientSettingVersion: patientSettingVersion,
			examSettingVersion: examSettingVersion,
			consultationSettingVersion: consultationSettingVersion,
			parentOrganizationName: parentOrganizationName,
			regionCode: regionCode,
			parentCode: parentCode,
			logoUrl: logoUrl,
			patientType: patientType,
			isinvented: isinvented,
			settings: settings,
			diagnosisModules: diagnosisModules,
			isEncryptedShow: isEncryptedShow,
			referralLimitHours: referralLimitHours,
			referralOrganizationCodes: referralOrganizationCodes,
			referralOrganizations: referralOrganizations,
			organizationCode: organizationCode,
			organizationName: organizationName,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyOrganizationRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationRequest( 
			token: map['Token'],
			description: map['Description'],
			rootCode: map['RootCode'],
			organizationType: OrganizationTypeEnum.values.firstWhere((e) => e.index == map['OrganizationType']),
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			nautica: map['Nautica'],
			state: OrganizationStateEnum.values.firstWhere((e) => e.index == map['State']),
			directors: map['Directors'] != null ? map['Directors'].cast<String>().toList() : null,
			assignedAdmins: map['AssignedAdmins'] != null ? map['AssignedAdmins'].cast<String>().toList() : null,
			patientSettingJson: map['PatientSettingJson'],
			examSettingJson: map['ExamSettingJson'],
			consultationSettingJson: map['ConsultationSettingJson'],
			patientSettingVersion: map['PatientSettingVersion'],
			examSettingVersion: map['ExamSettingVersion'],
			consultationSettingVersion: map['ConsultationSettingVersion'],
			parentOrganizationName: map['ParentOrganizationName'],
			regionCode: map['RegionCode'],
			parentCode: map['ParentCode'],
			logoUrl: map['LogoUrl'],
			patientType: OrganizationPatientTypeEnum.values.firstWhere((e) => e.index == map['PatientType']),
			isinvented: map['Isinvented'],
			settings: map['Settings'] != null ? (map['Settings'] as List).map((e)=>SettingDTOClass.fromJson(e as Map<String,dynamic>)).toList() : null,
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			isEncryptedShow: map['IsEncryptedShow'],
			referralLimitHours: double.parse(map['ReferralLimitHours'].toString()),
			referralOrganizationCodes: map['ReferralOrganizationCodes'] != null ? map['ReferralOrganizationCodes'].cast<String>().toList() : null,
			referralOrganizations: map['ReferralOrganizations'] != null ? (map['ReferralOrganizations'] as List).map((e)=>ReferralOrganizationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			organizationCode: map['OrganizationCode'],
			organizationName: map['OrganizationName'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class ModifyOrganizationSettingRequest extends TokenRequest{
	OrganizationSettingTypeEnum settingType;
	String? settingJson;
	String? organizationCode;
	String? cMSTemplateCode;

	ModifyOrganizationSettingRequest({
		this.settingType = OrganizationSettingTypeEnum.Patient,
		this.settingJson,
		this.organizationCode,
		this.cMSTemplateCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyOrganizationSettingRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationSettingRequest( 
			settingType: OrganizationSettingTypeEnum.values.firstWhere((e) => e.index == map['SettingType']),
			settingJson: map['SettingJson'],
			organizationCode: map['OrganizationCode'],
			cMSTemplateCode: map['CMSTemplateCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['SettingType'] = settingType.index;
		if(settingJson != null)
			map['SettingJson'] = settingJson;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		return map;
	}
}

class ConsultationBaseInfoItem {
	String? name;
	bool isDefult;
	bool isShow;
	bool required;

	ConsultationBaseInfoItem({
		this.name,
		this.isDefult = false,
		this.isShow = false,
		this.required = false,
	});

	factory ConsultationBaseInfoItem.fromJson(Map<String, dynamic> map) {
		return ConsultationBaseInfoItem( 
			name: map['Name'],
			isDefult: map['IsDefult'],
			isShow: map['IsShow'],
			required: map['Required'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(name != null)
			map['Name'] = name;
		map['IsDefult'] = isDefult;
		map['IsShow'] = isShow;
		map['Required'] = required;
		return map;
	}
}

class ModifycConsultationBaseInfoSettingRequest extends TokenRequest{
	List<ConsultationBaseInfoItem >? consultationBaseInfoList;
	String? organizationCode;

	ModifycConsultationBaseInfoSettingRequest({
		this.consultationBaseInfoList,
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifycConsultationBaseInfoSettingRequest.fromJson(Map<String, dynamic> map) {
		return ModifycConsultationBaseInfoSettingRequest( 
			consultationBaseInfoList: map['ConsultationBaseInfoList'] != null ? (map['ConsultationBaseInfoList'] as List).map((e)=>ConsultationBaseInfoItem.fromJson(e as Map<String,dynamic>)).toList() : null,
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(consultationBaseInfoList != null)
			map['ConsultationBaseInfoList'] = consultationBaseInfoList;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class ModifyOrganizationStateRequest extends TokenRequest{
	String? organizationCode;
	OrganizationStateEnum state;

	ModifyOrganizationStateRequest({
		this.organizationCode,
		this.state = OrganizationStateEnum.WaitAudit,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyOrganizationStateRequest.fromJson(Map<String, dynamic> map) {
		return ModifyOrganizationStateRequest( 
			organizationCode: map['OrganizationCode'],
			state: OrganizationStateEnum.values.firstWhere((e) => e.index == map['State']),
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		map['State'] = state.index;
		return map;
	}
}

class ModifyReferralRecordSettingRequest extends TokenRequest{
	double limitHours;

	ModifyReferralRecordSettingRequest({
		this.limitHours = 0,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyReferralRecordSettingRequest.fromJson(Map<String, dynamic> map) {
		return ModifyReferralRecordSettingRequest( 
			limitHours: double.parse(map['LimitHours'].toString()),
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['LimitHours'] = limitHours;
		return map;
	}
}

class ModifyReportPosterDevicesRequest extends TokenRequest{
	String? reportPosterCode;
	List<String >? deviceIds;

	ModifyReportPosterDevicesRequest({
		this.reportPosterCode,
		this.deviceIds,
		String? token,
	}) : super(
			token: token,
		);

	factory ModifyReportPosterDevicesRequest.fromJson(Map<String, dynamic> map) {
		return ModifyReportPosterDevicesRequest( 
			reportPosterCode: map['ReportPosterCode'],
			deviceIds: map['DeviceIds'] != null ? map['DeviceIds'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		if(deviceIds != null)
			map['DeviceIds'] = deviceIds;
		return map;
	}
}

class ModifyRoleInfoRequest extends RoleDTO{
	String? token;
	List<String >? featuresCodeList;

	ModifyRoleInfoRequest({
		this.token,
		this.featuresCodeList,
		RoleShowTypeEnum roleShowType = RoleShowTypeEnum.NotShow,
		String? iConUrl,
		String? colorStart,
		String? colorEnd,
		RoleQualificationEnum roleQualification = RoleQualificationEnum.NoNeed,
		String? userGroupCode,
		RoleShowTypeEnum fieldShowType = RoleShowTypeEnum.NotShow,
		List<String >? fieldList,
		String? roleCode,
		String? roleName,
		String? description,
		List<UserRoleLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			roleShowType: roleShowType,
			iConUrl: iConUrl,
			colorStart: colorStart,
			colorEnd: colorEnd,
			roleQualification: roleQualification,
			userGroupCode: userGroupCode,
			fieldShowType: fieldShowType,
			fieldList: fieldList,
			roleCode: roleCode,
			roleName: roleName,
			description: description,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyRoleInfoRequest.fromJson(Map<String, dynamic> map) {
		return ModifyRoleInfoRequest( 
			token: map['Token'],
			featuresCodeList: map['FeaturesCodeList'] != null ? map['FeaturesCodeList'].cast<String>().toList() : null,
			roleShowType: RoleShowTypeEnum.values.firstWhere((e) => e.index == map['RoleShowType']),
			iConUrl: map['IConUrl'],
			colorStart: map['ColorStart'],
			colorEnd: map['ColorEnd'],
			roleQualification: RoleQualificationEnum.values.firstWhere((e) => e.index == map['RoleQualification']),
			userGroupCode: map['UserGroupCode'],
			fieldShowType: RoleShowTypeEnum.values.firstWhere((e) => e.index == map['FieldShowType']),
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			roleCode: map['RoleCode'],
			roleName: map['RoleName'],
			description: map['Description'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>UserRoleLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		if(featuresCodeList != null)
			map['FeaturesCodeList'] = featuresCodeList;
		return map;
	}
}

class ThirdPartyInfoDTO extends BaseDTO{
	String? code;
	String? name;
	String? contactPersonName;
	String? contactPhone;
	List<String >? allowedInterfaces;
	bool isValid;
	String? token;

	ThirdPartyInfoDTO({
		this.code,
		this.name,
		this.contactPersonName,
		this.contactPhone,
		this.allowedInterfaces,
		this.isValid = false,
		this.token,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ThirdPartyInfoDTO.fromJson(Map<String, dynamic> map) {
		return ThirdPartyInfoDTO( 
			code: map['Code'],
			name: map['Name'],
			contactPersonName: map['ContactPersonName'],
			contactPhone: map['ContactPhone'],
			allowedInterfaces: map['AllowedInterfaces'] != null ? map['AllowedInterfaces'].cast<String>().toList() : null,
			isValid: map['IsValid'],
			token: map['Token'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		if(contactPersonName != null)
			map['ContactPersonName'] = contactPersonName;
		if(contactPhone != null)
			map['ContactPhone'] = contactPhone;
		if(allowedInterfaces != null)
			map['AllowedInterfaces'] = allowedInterfaces;
		map['IsValid'] = isValid;
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class ModifyThirdPartyInfoRequest extends ThirdPartyInfoDTO{

	ModifyThirdPartyInfoRequest({
		String? token,
		String? code,
		String? name,
		String? contactPersonName,
		String? contactPhone,
		List<String >? allowedInterfaces,
		bool isValid = false,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			code: code,
			name: name,
			contactPersonName: contactPersonName,
			contactPhone: contactPhone,
			allowedInterfaces: allowedInterfaces,
			isValid: isValid,
			token: token,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyThirdPartyInfoRequest.fromJson(Map<String, dynamic> map) {
		return ModifyThirdPartyInfoRequest( 
			token: map['Token'],
			code: map['Code'],
			name: map['Name'],
			contactPersonName: map['ContactPersonName'],
			contactPhone: map['ContactPhone'],
			allowedInterfaces: map['AllowedInterfaces'] != null ? map['AllowedInterfaces'].cast<String>().toList() : null,
			isValid: map['IsValid'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class UserFeatureInfoDTO extends BaseFeatureInfoDTO{

	UserFeatureInfoDTO({
		String? featureCode,
		String? featureName,
		String? fatherCode,
		String? uniqueCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			featureCode: featureCode,
			featureName: featureName,
			fatherCode: fatherCode,
			uniqueCode: uniqueCode,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory UserFeatureInfoDTO.fromJson(Map<String, dynamic> map) {
		return UserFeatureInfoDTO( 
			featureCode: map['FeatureCode'],
			featureName: map['FeatureName'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ModifyUserFeatureRequest extends UserFeatureInfoDTO{
	String? token;

	ModifyUserFeatureRequest({
		this.token,
		String? featureCode,
		String? featureName,
		String? fatherCode,
		String? uniqueCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			featureCode: featureCode,
			featureName: featureName,
			fatherCode: fatherCode,
			uniqueCode: uniqueCode,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyUserFeatureRequest.fromJson(Map<String, dynamic> map) {
		return ModifyUserFeatureRequest( 
			token: map['Token'],
			featureCode: map['FeatureCode'],
			featureName: map['FeatureName'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

enum ManagementUserInfoStateEnum {
	Nonactivated,
	Activated,
	Locked,
}

class ManageUserInfoDTO extends UserDTO{
	String? roleName;
	String? departmentName;
	String? hospitalName;
	String? identityApplyCode;
	List<String >? identityCard;
	List<String >? licenseCard;
	String? identityApplyRoleCode;
	String? identityApplyRoleName;
	ManagementUserInfoStateEnum managementUserState;

	ManageUserInfoDTO({
		this.roleName,
		this.departmentName,
		this.hospitalName,
		this.identityApplyCode,
		this.identityCard,
		this.licenseCard,
		this.identityApplyRoleCode,
		this.identityApplyRoleName,
		bool isBatchExportDiagnoseData = false,
		List<String >? fieldList,
		this.managementUserState = ManagementUserInfoStateEnum.Nonactivated,
		String? phone,
		String? email,
		String? nickName,
		String? fullName,
		String? organizationCode,
		String? organizationName,
		String? rootOrganizationCode,
		String? rootOrganizationName,
		List<String >? authorityGroups,
		List<String >? bindDevices,
		String? lastIP,
		int logintimes = 0,
		UserInfoStateEnum userState = UserInfoStateEnum.Nonactivated,
		List<String >? roleCodes,
		List<String >? rankCodes,
		List<String >? positionCodes,
		ApplyStateEnum applyState = ApplyStateEnum.NotApply,
		String? rankName,
		String? positionName,
		bool isDirector = false,
		List<String >? deletePatientCodes,
		String? bindAssistantUserCode,
		String? bindAssistantDoctorUserCode,
		LoginLockInfoDTO? loginLockInfo,
		String? signature,
		String? language,
		bool enableReportLabel = false,
		List<AssociatedInfoDTO >? associatedInfos,
		String? commonPlatformUserId,
		String? bindEmergencyDeviceCode,
		String? userCode,
		String? userName,
		String? headImageUrl,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			phone: phone,
			email: email,
			nickName: nickName,
			fullName: fullName,
			organizationCode: organizationCode,
			organizationName: organizationName,
			rootOrganizationCode: rootOrganizationCode,
			rootOrganizationName: rootOrganizationName,
			authorityGroups: authorityGroups,
			bindDevices: bindDevices,
			lastIP: lastIP,
			logintimes: logintimes,
			userState: userState,
			roleCodes: roleCodes,
			rankCodes: rankCodes,
			positionCodes: positionCodes,
			applyState: applyState,
			rankName: rankName,
			positionName: positionName,
			isDirector: isDirector,
			fieldList: fieldList,
			deletePatientCodes: deletePatientCodes,
			isBatchExportDiagnoseData: isBatchExportDiagnoseData,
			bindAssistantUserCode: bindAssistantUserCode,
			bindAssistantDoctorUserCode: bindAssistantDoctorUserCode,
			loginLockInfo: loginLockInfo,
			signature: signature,
			language: language,
			enableReportLabel: enableReportLabel,
			associatedInfos: associatedInfos,
			commonPlatformUserId: commonPlatformUserId,
			bindEmergencyDeviceCode: bindEmergencyDeviceCode,
			userCode: userCode,
			userName: userName,
			headImageUrl: headImageUrl,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageUserInfoDTO.fromJson(Map<String, dynamic> map) {
		return ManageUserInfoDTO( 
			roleName: map['RoleName'],
			departmentName: map['DepartmentName'],
			hospitalName: map['HospitalName'],
			identityApplyCode: map['IdentityApplyCode'],
			identityCard: map['IdentityCard'] != null ? map['IdentityCard'].cast<String>().toList() : null,
			licenseCard: map['LicenseCard'] != null ? map['LicenseCard'].cast<String>().toList() : null,
			identityApplyRoleCode: map['IdentityApplyRoleCode'],
			identityApplyRoleName: map['IdentityApplyRoleName'],
			isBatchExportDiagnoseData: map['IsBatchExportDiagnoseData'],
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			managementUserState: ManagementUserInfoStateEnum.values.firstWhere((e) => e.index == map['ManagementUserState']),
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			organizationCode: map['OrganizationCode'],
			organizationName: map['OrganizationName'],
			rootOrganizationCode: map['RootOrganizationCode'],
			rootOrganizationName: map['RootOrganizationName'],
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			bindDevices: map['BindDevices'] != null ? map['BindDevices'].cast<String>().toList() : null,
			lastIP: map['LastIP'],
			logintimes: map['Logintimes'],
			userState: UserInfoStateEnum.values.firstWhere((e) => e.index == map['UserState']),
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			rankCodes: map['RankCodes'] != null ? map['RankCodes'].cast<String>().toList() : null,
			positionCodes: map['PositionCodes'] != null ? map['PositionCodes'].cast<String>().toList() : null,
			applyState: ApplyStateEnum.values.firstWhere((e) => e.index == map['ApplyState']),
			rankName: map['RankName'],
			positionName: map['PositionName'],
			isDirector: map['IsDirector'],
			deletePatientCodes: map['DeletePatientCodes'] != null ? map['DeletePatientCodes'].cast<String>().toList() : null,
			bindAssistantUserCode: map['BindAssistantUserCode'],
			bindAssistantDoctorUserCode: map['BindAssistantDoctorUserCode'],
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			signature: map['Signature'],
			language: map['Language'],
			enableReportLabel: map['EnableReportLabel'],
			associatedInfos: map['AssociatedInfos'] != null ? (map['AssociatedInfos'] as List).map((e)=>AssociatedInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			commonPlatformUserId: map['CommonPlatformUserId'],
			bindEmergencyDeviceCode: map['BindEmergencyDeviceCode'],
			userCode: map['UserCode'],
			userName: map['UserName'],
			headImageUrl: map['HeadImageUrl'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleName != null)
			map['RoleName'] = roleName;
		if(departmentName != null)
			map['DepartmentName'] = departmentName;
		if(hospitalName != null)
			map['HospitalName'] = hospitalName;
		if(identityApplyCode != null)
			map['IdentityApplyCode'] = identityApplyCode;
		if(identityCard != null)
			map['IdentityCard'] = identityCard;
		if(licenseCard != null)
			map['LicenseCard'] = licenseCard;
		if(identityApplyRoleCode != null)
			map['IdentityApplyRoleCode'] = identityApplyRoleCode;
		if(identityApplyRoleName != null)
			map['IdentityApplyRoleName'] = identityApplyRoleName;
		map['ManagementUserState'] = managementUserState.index;
		return map;
	}
}

class ModifyUserRequest extends ManageUserInfoDTO{
	String? token;

	ModifyUserRequest({
		this.token,
		String? roleName,
		String? departmentName,
		String? hospitalName,
		String? identityApplyCode,
		List<String >? identityCard,
		List<String >? licenseCard,
		String? identityApplyRoleCode,
		String? identityApplyRoleName,
		bool isBatchExportDiagnoseData = false,
		List<String >? fieldList,
		ManagementUserInfoStateEnum managementUserState = ManagementUserInfoStateEnum.Nonactivated,
		String? phone,
		String? email,
		String? nickName,
		String? fullName,
		String? organizationCode,
		String? organizationName,
		String? rootOrganizationCode,
		String? rootOrganizationName,
		List<String >? authorityGroups,
		List<String >? bindDevices,
		String? lastIP,
		int logintimes = 0,
		UserInfoStateEnum userState = UserInfoStateEnum.Nonactivated,
		List<String >? roleCodes,
		List<String >? rankCodes,
		List<String >? positionCodes,
		ApplyStateEnum applyState = ApplyStateEnum.NotApply,
		String? rankName,
		String? positionName,
		bool isDirector = false,
		List<String >? deletePatientCodes,
		String? bindAssistantUserCode,
		String? bindAssistantDoctorUserCode,
		LoginLockInfoDTO? loginLockInfo,
		String? signature,
		String? language,
		bool enableReportLabel = false,
		List<AssociatedInfoDTO >? associatedInfos,
		String? commonPlatformUserId,
		String? bindEmergencyDeviceCode,
		String? userCode,
		String? userName,
		String? headImageUrl,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			roleName: roleName,
			departmentName: departmentName,
			hospitalName: hospitalName,
			identityApplyCode: identityApplyCode,
			identityCard: identityCard,
			licenseCard: licenseCard,
			identityApplyRoleCode: identityApplyRoleCode,
			identityApplyRoleName: identityApplyRoleName,
			isBatchExportDiagnoseData: isBatchExportDiagnoseData,
			fieldList: fieldList,
			managementUserState: managementUserState,
			phone: phone,
			email: email,
			nickName: nickName,
			fullName: fullName,
			organizationCode: organizationCode,
			organizationName: organizationName,
			rootOrganizationCode: rootOrganizationCode,
			rootOrganizationName: rootOrganizationName,
			authorityGroups: authorityGroups,
			bindDevices: bindDevices,
			lastIP: lastIP,
			logintimes: logintimes,
			userState: userState,
			roleCodes: roleCodes,
			rankCodes: rankCodes,
			positionCodes: positionCodes,
			applyState: applyState,
			rankName: rankName,
			positionName: positionName,
			isDirector: isDirector,
			deletePatientCodes: deletePatientCodes,
			bindAssistantUserCode: bindAssistantUserCode,
			bindAssistantDoctorUserCode: bindAssistantDoctorUserCode,
			loginLockInfo: loginLockInfo,
			signature: signature,
			language: language,
			enableReportLabel: enableReportLabel,
			associatedInfos: associatedInfos,
			commonPlatformUserId: commonPlatformUserId,
			bindEmergencyDeviceCode: bindEmergencyDeviceCode,
			userCode: userCode,
			userName: userName,
			headImageUrl: headImageUrl,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ModifyUserRequest.fromJson(Map<String, dynamic> map) {
		return ModifyUserRequest( 
			token: map['Token'],
			roleName: map['RoleName'],
			departmentName: map['DepartmentName'],
			hospitalName: map['HospitalName'],
			identityApplyCode: map['IdentityApplyCode'],
			identityCard: map['IdentityCard'] != null ? map['IdentityCard'].cast<String>().toList() : null,
			licenseCard: map['LicenseCard'] != null ? map['LicenseCard'].cast<String>().toList() : null,
			identityApplyRoleCode: map['IdentityApplyRoleCode'],
			identityApplyRoleName: map['IdentityApplyRoleName'],
			isBatchExportDiagnoseData: map['IsBatchExportDiagnoseData'],
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			managementUserState: ManagementUserInfoStateEnum.values.firstWhere((e) => e.index == map['ManagementUserState']),
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			organizationCode: map['OrganizationCode'],
			organizationName: map['OrganizationName'],
			rootOrganizationCode: map['RootOrganizationCode'],
			rootOrganizationName: map['RootOrganizationName'],
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			bindDevices: map['BindDevices'] != null ? map['BindDevices'].cast<String>().toList() : null,
			lastIP: map['LastIP'],
			logintimes: map['Logintimes'],
			userState: UserInfoStateEnum.values.firstWhere((e) => e.index == map['UserState']),
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			rankCodes: map['RankCodes'] != null ? map['RankCodes'].cast<String>().toList() : null,
			positionCodes: map['PositionCodes'] != null ? map['PositionCodes'].cast<String>().toList() : null,
			applyState: ApplyStateEnum.values.firstWhere((e) => e.index == map['ApplyState']),
			rankName: map['RankName'],
			positionName: map['PositionName'],
			isDirector: map['IsDirector'],
			deletePatientCodes: map['DeletePatientCodes'] != null ? map['DeletePatientCodes'].cast<String>().toList() : null,
			bindAssistantUserCode: map['BindAssistantUserCode'],
			bindAssistantDoctorUserCode: map['BindAssistantDoctorUserCode'],
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			signature: map['Signature'],
			language: map['Language'],
			enableReportLabel: map['EnableReportLabel'],
			associatedInfos: map['AssociatedInfos'] != null ? (map['AssociatedInfos'] as List).map((e)=>AssociatedInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			commonPlatformUserId: map['CommonPlatformUserId'],
			bindEmergencyDeviceCode: map['BindEmergencyDeviceCode'],
			userCode: map['UserCode'],
			userName: map['UserName'],
			headImageUrl: map['HeadImageUrl'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class PublishReportTemplateRequest extends TokenRequest{
	String? reportTemplateCode;

	PublishReportTemplateRequest({
		this.reportTemplateCode,
		String? token,
	}) : super(
			token: token,
		);

	factory PublishReportTemplateRequest.fromJson(Map<String, dynamic> map) {
		return PublishReportTemplateRequest( 
			reportTemplateCode: map['ReportTemplateCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportTemplateCode != null)
			map['ReportTemplateCode'] = reportTemplateCode;
		return map;
	}
}

class PublishThesaurusRequest extends TokenRequest{
	String? thesaurusCode;

	PublishThesaurusRequest({
		this.thesaurusCode,
		String? token,
	}) : super(
			token: token,
		);

	factory PublishThesaurusRequest.fromJson(Map<String, dynamic> map) {
		return PublishThesaurusRequest( 
			thesaurusCode: map['ThesaurusCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		return map;
	}
}

class QueryAnnouncementPageRequest extends PageRequest{
	AnnouncementTypeEnum announcementType;
	AnnouncementStatusEnum announcementStatus;
	String? keyword;
	DateTime? startTime;
	DateTime? endTime;

	QueryAnnouncementPageRequest({
		this.announcementType = AnnouncementTypeEnum.Broadcast,
		this.announcementStatus = AnnouncementStatusEnum.Released,
		this.keyword,
		this.startTime,
		this.endTime,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory QueryAnnouncementPageRequest.fromJson(Map<String, dynamic> map) {
		return QueryAnnouncementPageRequest( 
			announcementType: AnnouncementTypeEnum.values.firstWhere((e) => e.index == map['AnnouncementType']),
			announcementStatus: AnnouncementStatusEnum.values.firstWhere((e) => e.index == map['AnnouncementStatus']),
			keyword: map['Keyword'],
			startTime: map['StartTime'] != null ? DateTime.parse(map['StartTime']) : null,
			endTime: map['EndTime'] != null ? DateTime.parse(map['EndTime']) : null,
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['AnnouncementType'] = announcementType.index;
		map['AnnouncementStatus'] = announcementStatus.index;
		if(keyword != null)
			map['Keyword'] = keyword;
		if(startTime != null)
			map['StartTime'] = JsonRpcUtils.dateFormat(startTime!);
		if(endTime != null)
			map['EndTime'] = JsonRpcUtils.dateFormat(endTime!);
		return map;
	}
}

class QueryDeviceModelBindNumRequest extends TokenRequest{
	String? deviceModelCode;

	QueryDeviceModelBindNumRequest({
		this.deviceModelCode,
		String? token,
	}) : super(
			token: token,
		);

	factory QueryDeviceModelBindNumRequest.fromJson(Map<String, dynamic> map) {
		return QueryDeviceModelBindNumRequest( 
			deviceModelCode: map['DeviceModelCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(deviceModelCode != null)
			map['DeviceModelCode'] = deviceModelCode;
		return map;
	}
}

class QueryRoleAdminNumRequest extends TokenRequest{
	String? adminRoleCode;

	QueryRoleAdminNumRequest({
		this.adminRoleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory QueryRoleAdminNumRequest.fromJson(Map<String, dynamic> map) {
		return QueryRoleAdminNumRequest( 
			adminRoleCode: map['AdminRoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminRoleCode != null)
			map['AdminRoleCode'] = adminRoleCode;
		return map;
	}
}

class QueryRoleUserNumRequest extends TokenRequest{
	String? roleCode;

	QueryRoleUserNumRequest({
		this.roleCode,
		String? token,
	}) : super(
			token: token,
		);

	factory QueryRoleUserNumRequest.fromJson(Map<String, dynamic> map) {
		return QueryRoleUserNumRequest( 
			roleCode: map['RoleCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleCode != null)
			map['RoleCode'] = roleCode;
		return map;
	}
}

class RejectIdentityApplyRequest extends TokenRequest{
	String? identityApplyCode;
	String? rejectReason;

	RejectIdentityApplyRequest({
		this.identityApplyCode,
		this.rejectReason,
		String? token,
	}) : super(
			token: token,
		);

	factory RejectIdentityApplyRequest.fromJson(Map<String, dynamic> map) {
		return RejectIdentityApplyRequest( 
			identityApplyCode: map['IdentityApplyCode'],
			rejectReason: map['RejectReason'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(identityApplyCode != null)
			map['IdentityApplyCode'] = identityApplyCode;
		if(rejectReason != null)
			map['RejectReason'] = rejectReason;
		return map;
	}
}

class RemoveAdminRequest extends TokenRequest{
	String? adminCode;

	RemoveAdminRequest({
		this.adminCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveAdminRequest.fromJson(Map<String, dynamic> map) {
		return RemoveAdminRequest( 
			adminCode: map['AdminCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminCode != null)
			map['AdminCode'] = adminCode;
		return map;
	}
}

class RemoveOrganizationRequest extends TokenRequest{
	String? organizationCode;

	RemoveOrganizationRequest({
		this.organizationCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveOrganizationRequest.fromJson(Map<String, dynamic> map) {
		return RemoveOrganizationRequest( 
			organizationCode: map['OrganizationCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		return map;
	}
}

class RemoveReportLabelRequest extends TokenRequest{
	String? reportLabelCode;

	RemoveReportLabelRequest({
		this.reportLabelCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveReportLabelRequest.fromJson(Map<String, dynamic> map) {
		return RemoveReportLabelRequest( 
			reportLabelCode: map['ReportLabelCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportLabelCode != null)
			map['ReportLabelCode'] = reportLabelCode;
		return map;
	}
}

class RemoveReportPosterRequest extends TokenRequest{
	String? reportPosterCode;

	RemoveReportPosterRequest({
		this.reportPosterCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveReportPosterRequest.fromJson(Map<String, dynamic> map) {
		return RemoveReportPosterRequest( 
			reportPosterCode: map['ReportPosterCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		return map;
	}
}

class RemoveUserRequest extends TokenRequest{
	String? userCode;

	RemoveUserRequest({
		this.userCode,
		String? token,
	}) : super(
			token: token,
		);

	factory RemoveUserRequest.fromJson(Map<String, dynamic> map) {
		return RemoveUserRequest( 
			userCode: map['UserCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		return map;
	}
}

class UnlockAccountRequest extends TokenRequest{
	String? userCode;

	UnlockAccountRequest({
		this.userCode,
		String? token,
	}) : super(
			token: token,
		);

	factory UnlockAccountRequest.fromJson(Map<String, dynamic> map) {
		return UnlockAccountRequest( 
			userCode: map['UserCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		return map;
	}
}

class ResetUserPasswordRequest extends TokenRequest{
	String? userCode;
	String? passWord;

	ResetUserPasswordRequest({
		this.userCode,
		this.passWord,
		String? token,
	}) : super(
			token: token,
		);

	factory ResetUserPasswordRequest.fromJson(Map<String, dynamic> map) {
		return ResetUserPasswordRequest( 
			userCode: map['UserCode'],
			passWord: map['PassWord'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(passWord != null)
			map['PassWord'] = passWord;
		return map;
	}
}

class RetryPushReportRecordsRequest extends TokenRequest{
	List<String >? codes;

	RetryPushReportRecordsRequest({
		this.codes,
		String? token,
	}) : super(
			token: token,
		);

	factory RetryPushReportRecordsRequest.fromJson(Map<String, dynamic> map) {
		return RetryPushReportRecordsRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(codes != null)
			map['Codes'] = codes;
		return map;
	}
}

class SaveCMSTemplateDetailRequest extends TokenRequest{
	String? cMSTemplateCode;
	String? cMSTemplateName;
	CMSTemplateStatusTypeEnum cMSTemplateStateType;
	String? cMSTemplateJson;
	bool isDefault;

	SaveCMSTemplateDetailRequest({
		this.cMSTemplateCode,
		this.cMSTemplateName,
		this.cMSTemplateStateType = CMSTemplateStatusTypeEnum.UnPublished,
		this.cMSTemplateJson,
		this.isDefault = false,
		String? token,
	}) : super(
			token: token,
		);

	factory SaveCMSTemplateDetailRequest.fromJson(Map<String, dynamic> map) {
		return SaveCMSTemplateDetailRequest( 
			cMSTemplateCode: map['CMSTemplateCode'],
			cMSTemplateName: map['CMSTemplateName'],
			cMSTemplateStateType: CMSTemplateStatusTypeEnum.values.firstWhere((e) => e.index == map['CMSTemplateStateType']),
			cMSTemplateJson: map['CMSTemplateJson'],
			isDefault: map['IsDefault'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		if(cMSTemplateName != null)
			map['CMSTemplateName'] = cMSTemplateName;
		map['CMSTemplateStateType'] = cMSTemplateStateType.index;
		if(cMSTemplateJson != null)
			map['CMSTemplateJson'] = cMSTemplateJson;
		map['IsDefault'] = isDefault;
		return map;
	}
}

class SaveReportLabelRequest extends TokenRequest{
	String? reportLabelCode;
	String? labelName;
	String? languageCode;
	ReportLabelUsageTypeEnum usageType;
	List<String >? labelItems;

	SaveReportLabelRequest({
		this.reportLabelCode,
		this.labelName,
		this.languageCode,
		this.usageType = ReportLabelUsageTypeEnum.People,
		this.labelItems,
		String? token,
	}) : super(
			token: token,
		);

	factory SaveReportLabelRequest.fromJson(Map<String, dynamic> map) {
		return SaveReportLabelRequest( 
			reportLabelCode: map['ReportLabelCode'],
			labelName: map['LabelName'],
			languageCode: map['LanguageCode'],
			usageType: ReportLabelUsageTypeEnum.values.firstWhere((e) => e.index == map['UsageType']),
			labelItems: map['LabelItems'] != null ? map['LabelItems'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportLabelCode != null)
			map['ReportLabelCode'] = reportLabelCode;
		if(labelName != null)
			map['LabelName'] = labelName;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		map['UsageType'] = usageType.index;
		if(labelItems != null)
			map['LabelItems'] = labelItems;
		return map;
	}
}

enum ReportPosterTypeEnum {
	Default,
	BJAid,
}

enum ReportFormatEnum {
	Json,
	Xml,
}

class SaveReportPosterRequest extends TokenRequest{
	String? reportPosterCode;
	String? receiverName;
	String? contact;
	String? phone;
	String? targetUrl;
	String? template;
	ReportPosterTypeEnum posterType;
	ReportFormatEnum reportFormat;
	int postTimeout;

	SaveReportPosterRequest({
		this.reportPosterCode,
		this.receiverName,
		this.contact,
		this.phone,
		this.targetUrl,
		this.template,
		this.posterType = ReportPosterTypeEnum.Default,
		this.reportFormat = ReportFormatEnum.Json,
		this.postTimeout = 0,
		String? token,
	}) : super(
			token: token,
		);

	factory SaveReportPosterRequest.fromJson(Map<String, dynamic> map) {
		return SaveReportPosterRequest( 
			reportPosterCode: map['ReportPosterCode'],
			receiverName: map['ReceiverName'],
			contact: map['Contact'],
			phone: map['Phone'],
			targetUrl: map['TargetUrl'],
			template: map['Template'],
			posterType: ReportPosterTypeEnum.values.firstWhere((e) => e.index == map['PosterType']),
			reportFormat: ReportFormatEnum.values.firstWhere((e) => e.index == map['ReportFormat']),
			postTimeout: map['PostTimeout'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		if(receiverName != null)
			map['ReceiverName'] = receiverName;
		if(contact != null)
			map['Contact'] = contact;
		if(phone != null)
			map['Phone'] = phone;
		if(targetUrl != null)
			map['TargetUrl'] = targetUrl;
		if(template != null)
			map['Template'] = template;
		map['PosterType'] = posterType.index;
		map['ReportFormat'] = reportFormat.index;
		map['PostTimeout'] = postTimeout;
		return map;
	}
}

class SaveThesaurusRequest extends ThesaurusDTO{
	String? token;

	SaveThesaurusRequest({
		this.token,
		String? thesaurusCode,
		String? thesaurusName,
		ThesaurusStatusTypeEnum thesaurusStateType = ThesaurusStatusTypeEnum.Unpublished,
		ThesaurusTypeEnum thesaurusType = ThesaurusTypeEnum.Default,
		ThesaurusUsageTypeEnum thesaurusUsageType = ThesaurusUsageTypeEnum.People,
		String? organizationCode,
		String? personalCode,
		String? referenceThesaurusCode,
		bool isDefault = false,
		bool isUserDefault = false,
	}) : super(
			thesaurusCode: thesaurusCode,
			thesaurusName: thesaurusName,
			thesaurusStateType: thesaurusStateType,
			thesaurusType: thesaurusType,
			thesaurusUsageType: thesaurusUsageType,
			organizationCode: organizationCode,
			personalCode: personalCode,
			referenceThesaurusCode: referenceThesaurusCode,
			isDefault: isDefault,
			isUserDefault: isUserDefault,
		);

	factory SaveThesaurusRequest.fromJson(Map<String, dynamic> map) {
		return SaveThesaurusRequest( 
			token: map['Token'],
			thesaurusCode: map['ThesaurusCode'],
			thesaurusName: map['ThesaurusName'],
			thesaurusStateType: ThesaurusStatusTypeEnum.values.firstWhere((e) => e.index == map['ThesaurusStateType']),
			thesaurusType: ThesaurusTypeEnum.values.firstWhere((e) => e.index == map['ThesaurusType']),
			thesaurusUsageType: ThesaurusUsageTypeEnum.values.firstWhere((e) => e.index == map['ThesaurusUsageType']),
			organizationCode: map['OrganizationCode'],
			personalCode: map['PersonalCode'],
			referenceThesaurusCode: map['ReferenceThesaurusCode'],
			isDefault: map['IsDefault'],
			isUserDefault: map['IsUserDefault'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		return map;
	}
}

class SettingReloadRequest extends TokenRequest{
	String? settingKey;

	SettingReloadRequest({
		this.settingKey,
		String? token,
	}) : super(
			token: token,
		);

	factory SettingReloadRequest.fromJson(Map<String, dynamic> map) {
		return SettingReloadRequest( 
			settingKey: map['SettingKey'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(settingKey != null)
			map['SettingKey'] = settingKey;
		return map;
	}
}

class ShareDeviceRequest extends TokenRequest{
	List<String >? userCodeList;
	List<String >? deviceCodes;

	ShareDeviceRequest({
		this.userCodeList,
		this.deviceCodes,
		String? token,
	}) : super(
			token: token,
		);

	factory ShareDeviceRequest.fromJson(Map<String, dynamic> map) {
		return ShareDeviceRequest( 
			userCodeList: map['UserCodeList'] != null ? map['UserCodeList'].cast<String>().toList() : null,
			deviceCodes: map['DeviceCodes'] != null ? map['DeviceCodes'].cast<String>().toList() : null,
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCodeList != null)
			map['UserCodeList'] = userCodeList;
		if(deviceCodes != null)
			map['DeviceCodes'] = deviceCodes;
		return map;
	}
}

class ThesaurusItemRequest extends TokenRequest{
	String? thesaurusItemCode;
	ThesaurusItemTypeEnum thesaurusItemType;
	String? thesaurusItemName;
	String? parentItemCode;
	String? thesaurusCode;
	String? thesaurusItemDescription;
	String? thesaurusItemConclusion;

	ThesaurusItemRequest({
		this.thesaurusItemCode,
		this.thesaurusItemType = ThesaurusItemTypeEnum.Classification,
		this.thesaurusItemName,
		this.parentItemCode,
		this.thesaurusCode,
		this.thesaurusItemDescription,
		this.thesaurusItemConclusion,
		String? token,
	}) : super(
			token: token,
		);

	factory ThesaurusItemRequest.fromJson(Map<String, dynamic> map) {
		return ThesaurusItemRequest( 
			thesaurusItemCode: map['ThesaurusItemCode'],
			thesaurusItemType: ThesaurusItemTypeEnum.values.firstWhere((e) => e.index == map['ThesaurusItemType']),
			thesaurusItemName: map['ThesaurusItemName'],
			parentItemCode: map['ParentItemCode'],
			thesaurusCode: map['ThesaurusCode'],
			thesaurusItemDescription: map['ThesaurusItemDescription'],
			thesaurusItemConclusion: map['ThesaurusItemConclusion'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(thesaurusItemCode != null)
			map['ThesaurusItemCode'] = thesaurusItemCode;
		map['ThesaurusItemType'] = thesaurusItemType.index;
		if(thesaurusItemName != null)
			map['ThesaurusItemName'] = thesaurusItemName;
		if(parentItemCode != null)
			map['ParentItemCode'] = parentItemCode;
		if(thesaurusCode != null)
			map['ThesaurusCode'] = thesaurusCode;
		if(thesaurusItemDescription != null)
			map['ThesaurusItemDescription'] = thesaurusItemDescription;
		if(thesaurusItemConclusion != null)
			map['ThesaurusItemConclusion'] = thesaurusItemConclusion;
		return map;
	}
}

enum GradingConfigTypeEnum {
	Switch,
	Text,
}

class UpdateGradingProtectionConfigEnableRequest extends TokenRequest{
	List<String >? codes;
	GradingConfigTypeEnum configType;
	String? value;

	UpdateGradingProtectionConfigEnableRequest({
		this.codes,
		this.configType = GradingConfigTypeEnum.Switch,
		this.value,
		String? token,
	}) : super(
			token: token,
		);

	factory UpdateGradingProtectionConfigEnableRequest.fromJson(Map<String, dynamic> map) {
		return UpdateGradingProtectionConfigEnableRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
			configType: GradingConfigTypeEnum.values.firstWhere((e) => e.index == map['ConfigType']),
			value: map['Value'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(codes != null)
			map['Codes'] = codes;
		map['ConfigType'] = configType.index;
		if(value != null)
			map['Value'] = value;
		return map;
	}
}

class FindVideosByCourseCodeRequest extends TokenRequest{
	String? code;
	String? courseCode;

	FindVideosByCourseCodeRequest({
		this.code,
		this.courseCode,
		String? token,
	}) : super(
			token: token,
		);

	factory FindVideosByCourseCodeRequest.fromJson(Map<String, dynamic> map) {
		return FindVideosByCourseCodeRequest( 
			code: map['Code'],
			courseCode: map['CourseCode'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(courseCode != null)
			map['CourseCode'] = courseCode;
		return map;
	}
}

class GetOpLogsByCodesFormMasterRequest {
	List<String >? codes;

	GetOpLogsByCodesFormMasterRequest({
		this.codes,
	});

	factory GetOpLogsByCodesFormMasterRequest.fromJson(Map<String, dynamic> map) {
		return GetOpLogsByCodesFormMasterRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(codes != null)
			map['Codes'] = codes;
		return map;
	}
}

class GetOpLogsFormMasterRequest {
	int cursor;
	String? sourceUrl;

	GetOpLogsFormMasterRequest({
		this.cursor = 0,
		this.sourceUrl,
	});

	factory GetOpLogsFormMasterRequest.fromJson(Map<String, dynamic> map) {
		return GetOpLogsFormMasterRequest( 
			cursor: map['Cursor'],
			sourceUrl: map['SourceUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Cursor'] = cursor;
		if(sourceUrl != null)
			map['SourceUrl'] = sourceUrl;
		return map;
	}
}

enum MongoDBActionTypeEnum {
	InsertOne,
	InsertOneAsync,
	InsertMany,
	InsertManyAsync,
	DeleteOne,
	DeleteOneAsync,
	DeleteMany,
	DeleteManyAsync,
	FindOneAndDelete,
	FindOneAndDeleteAsync,
	ReplaceOne,
	ReplaceOneAsync,
	FindOneAndReplace,
	FindOneAndReplaceAsync,
	UpdateOne,
	UpdateOneAsync,
	UpdateMany,
	UpdateManyAsync,
	FindOneAndUpdate,
	FindOneAndUpdateAsync,
}

class OperationLogDTO {
	int id;
	String? collectionName;
	MongoDBActionTypeEnum actionType;
	String? bsonContent;
	String? filterContent;
	DateTime? createTime;
	String? code;
	String? sourceUrl;
	bool isSimple;

	OperationLogDTO({
		this.id = 0,
		this.collectionName,
		this.actionType = MongoDBActionTypeEnum.InsertOne,
		this.bsonContent,
		this.filterContent,
		this.createTime,
		this.code,
		this.sourceUrl,
		this.isSimple = false,
	});

	factory OperationLogDTO.fromJson(Map<String, dynamic> map) {
		return OperationLogDTO( 
			id: map['Id'],
			collectionName: map['CollectionName'],
			actionType: MongoDBActionTypeEnum.values.firstWhere((e) => e.index == map['ActionType']),
			bsonContent: map['BsonContent'],
			filterContent: map['FilterContent'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			code: map['Code'],
			sourceUrl: map['SourceUrl'],
			isSimple: map['IsSimple'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Id'] = id;
		if(collectionName != null)
			map['CollectionName'] = collectionName;
		map['ActionType'] = actionType.index;
		if(bsonContent != null)
			map['BsonContent'] = bsonContent;
		if(filterContent != null)
			map['FilterContent'] = filterContent;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(code != null)
			map['Code'] = code;
		if(sourceUrl != null)
			map['SourceUrl'] = sourceUrl;
		map['IsSimple'] = isSimple;
		return map;
	}
}

class SyncCompleteOpLogsRequest {
	List<OperationLogDTO >? oplogs;

	SyncCompleteOpLogsRequest({
		this.oplogs,
	});

	factory SyncCompleteOpLogsRequest.fromJson(Map<String, dynamic> map) {
		return SyncCompleteOpLogsRequest( 
			oplogs: map['Oplogs'] != null ? (map['Oplogs'] as List).map((e)=>OperationLogDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(oplogs != null)
			map['Oplogs'] = oplogs;
		return map;
	}
}

class SyncOpLogToMasterRequest {
	String? collectionName;
	MongoDBActionTypeEnum actionType;
	String? bsonContent;
	String? filterContent;
	DateTime? createTime;
	String? sourceUrl;
	String? code;
	String? serverID;
	bool isSimple;

	SyncOpLogToMasterRequest({
		this.collectionName,
		this.actionType = MongoDBActionTypeEnum.InsertOne,
		this.bsonContent,
		this.filterContent,
		this.createTime,
		this.sourceUrl,
		this.code,
		this.serverID,
		this.isSimple = false,
	});

	factory SyncOpLogToMasterRequest.fromJson(Map<String, dynamic> map) {
		return SyncOpLogToMasterRequest( 
			collectionName: map['CollectionName'],
			actionType: MongoDBActionTypeEnum.values.firstWhere((e) => e.index == map['ActionType']),
			bsonContent: map['BsonContent'],
			filterContent: map['FilterContent'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			sourceUrl: map['SourceUrl'],
			code: map['Code'],
			serverID: map['ServerID'],
			isSimple: map['IsSimple'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(collectionName != null)
			map['CollectionName'] = collectionName;
		map['ActionType'] = actionType.index;
		if(bsonContent != null)
			map['BsonContent'] = bsonContent;
		if(filterContent != null)
			map['FilterContent'] = filterContent;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(sourceUrl != null)
			map['SourceUrl'] = sourceUrl;
		if(code != null)
			map['Code'] = code;
		if(serverID != null)
			map['ServerID'] = serverID;
		map['IsSimple'] = isSimple;
		return map;
	}
}

class NotificationClientInfo {
	String? clientId;
	String? loginServerUrl;

	NotificationClientInfo({
		this.clientId,
		this.loginServerUrl,
	});

	factory NotificationClientInfo.fromJson(Map<String, dynamic> map) {
		return NotificationClientInfo( 
			clientId: map['ClientId'],
			loginServerUrl: map['LoginServerUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(clientId != null)
			map['ClientId'] = clientId;
		if(loginServerUrl != null)
			map['LoginServerUrl'] = loginServerUrl;
		return map;
	}
}

enum ConsultationMemeberAcceptStatus {
	Default,
	Accepted,
	Rejected,
}

enum LiveConsultationRoleEnum {
	Expert,
	General,
	OtherParticipant,
	AssistantDoctor,
	Assistant,
}

enum LiveConsultationRoomStatus {
	Default,
	Initiating,
	Cancelled,
	ConnectionTimeout,
	Connected,
	Closed,
}

enum VideoProtocol {
	Rtmp,
	Rtc,
}

class DeviceJoinLiveConsultationResult {
	String? consultationCode;
	String? deviceCode;
	int roomNo;
	int appId;
	String? deviceSign;
	List<LiveConsultationMember >? memberLiveDatas;
	List<InteractiveBoardDataDTO >? interactiveBoardDatas;

	DeviceJoinLiveConsultationResult({
		this.consultationCode,
		this.deviceCode,
		this.roomNo = 0,
		this.appId = 0,
		this.deviceSign,
		this.memberLiveDatas,
		this.interactiveBoardDatas,
	});

	factory DeviceJoinLiveConsultationResult.fromJson(Map<String, dynamic> map) {
		return DeviceJoinLiveConsultationResult( 
			consultationCode: map['ConsultationCode'],
			deviceCode: map['DeviceCode'],
			roomNo: map['RoomNo'],
			appId: map['AppId'],
			deviceSign: map['DeviceSign'],
			memberLiveDatas: map['MemberLiveDatas'] != null ? (map['MemberLiveDatas'] as List).map((e)=>LiveConsultationMember.fromJson(e as Map<String,dynamic>)).toList() : null,
			interactiveBoardDatas: map['InteractiveBoardDatas'] != null ? (map['InteractiveBoardDatas'] as List).map((e)=>InteractiveBoardDataDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(consultationCode != null)
			map['ConsultationCode'] = consultationCode;
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		map['RoomNo'] = roomNo;
		map['AppId'] = appId;
		if(deviceSign != null)
			map['DeviceSign'] = deviceSign;
		if(memberLiveDatas != null)
			map['MemberLiveDatas'] = memberLiveDatas;
		if(interactiveBoardDatas != null)
			map['InteractiveBoardDatas'] = interactiveBoardDatas;
		return map;
	}
}

class LiveConsultationRoomDTO {
	String? consultationCode;
	LiveConsultationMember? initiator;
	List<LiveConsultationMember >? members;
	List<LiveConsultationMember >? devices;
	LiveConsultationRoomStatus status;
	int roomNo;

	LiveConsultationRoomDTO({
		this.consultationCode,
		this.initiator,
		this.members,
		this.devices,
		this.status = LiveConsultationRoomStatus.Default,
		this.roomNo = 0,
	});

	factory LiveConsultationRoomDTO.fromJson(Map<String, dynamic> map) {
		return LiveConsultationRoomDTO( 
			consultationCode: map['ConsultationCode'],
			initiator: map['Initiator'] != null ? LiveConsultationMember.fromJson(map['Initiator']) : null,
			members: map['Members'] != null ? (map['Members'] as List).map((e)=>LiveConsultationMember.fromJson(e as Map<String,dynamic>)).toList() : null,
			devices: map['Devices'] != null ? (map['Devices'] as List).map((e)=>LiveConsultationMember.fromJson(e as Map<String,dynamic>)).toList() : null,
			status: LiveConsultationRoomStatus.values.firstWhere((e) => e.index == map['Status']),
			roomNo: map['RoomNo'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(consultationCode != null)
			map['ConsultationCode'] = consultationCode;
		if(initiator != null)
			map['Initiator'] = initiator;
		if(members != null)
			map['Members'] = members;
		if(devices != null)
			map['Devices'] = devices;
		map['Status'] = status.index;
		map['RoomNo'] = roomNo;
		return map;
	}
}

enum BoardTypeEnum {
	ReadOnly,
	Ink,
	Line,
	Erase,
}

class FindConsultationSettingRequest extends TokenRequest{
	String? version;

	FindConsultationSettingRequest({
		this.version,
		String? token,
	}) : super(
			token: token,
		);

	factory FindConsultationSettingRequest.fromJson(Map<String, dynamic> map) {
		return FindConsultationSettingRequest( 
			version: map['Version'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(version != null)
			map['Version'] = version;
		return map;
	}
}

class FindOrganizationBindExpertsRequest extends TokenRequest{

	FindOrganizationBindExpertsRequest({
		String? token,
	}) : super(
			token: token,
		);

	factory FindOrganizationBindExpertsRequest.fromJson(Map<String, dynamic> map) {
		return FindOrganizationBindExpertsRequest( 
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class GetEmergencyOrderRequest extends TokenRequest{
	String? emergencySerialNumber;

	GetEmergencyOrderRequest({
		this.emergencySerialNumber,
		String? token,
	}) : super(
			token: token,
		);

	factory GetEmergencyOrderRequest.fromJson(Map<String, dynamic> map) {
		return GetEmergencyOrderRequest( 
			emergencySerialNumber: map['EmergencySerialNumber'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(emergencySerialNumber != null)
			map['EmergencySerialNumber'] = emergencySerialNumber;
		return map;
	}
}

enum AgeUnitsEnum {
	Year,
	YearAndMonth,
	MonthAndWeek,
	WeekAndDay,
}

enum AnnounceTypeEnum {
	Broadcast,
	Maintain,
}

enum MessageCategoryEnum {
	Consultation,
	Diagnosis,
	Course,
}

enum BusinessModuleEnum {
	placeHolder_0,
	RemoteDiagnosis,
	LivingConsultation,
	LivingCourse,
	DeviceLiving,
	RemoteControl,
}

enum QueryCMSTemplateStatusTypeEnum {
	UnPublished,
	Published,
}

enum QueryCMSMessageStatusEnum {
	UnRead,
	Read,
}

enum CMSMessageStatusEnum {
	UnRead,
	Read,
}

enum StatisticsPlatformEnum {
	Management,
	CMS,
}

enum StatisticsBannerTypeEnum {
	PlatActivity,
	Devices,
	Download,
}

enum QueryStatisticsBannerTypeEnum {
	PlatActivity,
	Devices,
	Download,
}

enum LogEventLevel {
	Verbose,
	Debug,
	Information,
	Warning,
	Error,
	Fatal,
}

enum DiagnosisLabelEnum {
	BIRads1,
	Lipomyoma,
	BIRads2,
	BIRads3,
	BIRads4A,
	BIRads4B,
	BIRads4C,
	BIRads5,
	IntrahepaticHyperechoic,
	HHE,
	CYST,
	PossibleCancer,
	FattyLiver,
	DiffuseLesions,
	Cirrhosis,
	PCLD,
}

enum DiagnosisLiverLabelEnum {
	BIRads1,
	Hyperechoic,
	HHE,
	CYST,
	PossibleCancer,
	FattyLiver,
	DiffuseLesions,
	Cirrhosis,
	PCLD,
}

enum AIThyroidLabelEnum {
	TIRADS0,
	TIRADS2,
	TIRADS3,
	TIRADS4a,
	TIRADS4b,
	TIRADS4c,
	TIRADS5,
	DiffuseDisease,
}

enum FollowUpVisitStatusEnum {
	Unknown,
	PendingVisit,
	VisitCompleted,
}

enum GestationalAgeOriginEnum {
	GestationalAge,
	IVF,
	OospermForm,
	BBT,
	LMP,
}

enum GetUserListTypeEnum {
	FullName,
	Phone,
}

enum HeartbeatTypeEnum {
	ClientToken,
	TerminalToken,
	ThirdpartyToken,
	LiveState,
	RTCState,
}

enum LabFileTypeEnum {
	Media,
	ZipFile,
}

enum LiveMemberStatusEnum {
	Default,
	Accepted,
	Rejected,
	Joined,
	Left,
}

enum LiveProtocolEnum {
	placeHolder_0,
	RTMP,
	RTC,
}

enum LiveRoomStatus {
	Default,
	Initiating,
	Cancelled,
	ConnectionTimeout,
	Connected,
	Closed,
}

enum LoginProcessorTypeEnum {
	Official,
	Wechat,
	Phone,
	Email,
	placeHolder_4,
	placeHolder_5,
	placeHolder_6,
	placeHolder_7,
	placeHolder_8,
	placeHolder_9,
	placeHolder_10,
	placeHolder_11,
	placeHolder_12,
	placeHolder_13,
	placeHolder_14,
	placeHolder_15,
	placeHolder_16,
	placeHolder_17,
	placeHolder_18,
	placeHolder_19,
	placeHolder_20,
	placeHolder_21,
	placeHolder_22,
	placeHolder_23,
	placeHolder_24,
	placeHolder_25,
	placeHolder_26,
	placeHolder_27,
	placeHolder_28,
	placeHolder_29,
	placeHolder_30,
	placeHolder_31,
	placeHolder_32,
	placeHolder_33,
	placeHolder_34,
	placeHolder_35,
	placeHolder_36,
	placeHolder_37,
	placeHolder_38,
	placeHolder_39,
	placeHolder_40,
	placeHolder_41,
	placeHolder_42,
	placeHolder_43,
	placeHolder_44,
	placeHolder_45,
	placeHolder_46,
	placeHolder_47,
	placeHolder_48,
	placeHolder_49,
	placeHolder_50,
	placeHolder_51,
	placeHolder_52,
	placeHolder_53,
	placeHolder_54,
	placeHolder_55,
	placeHolder_56,
	placeHolder_57,
	placeHolder_58,
	placeHolder_59,
	placeHolder_60,
	placeHolder_61,
	placeHolder_62,
	placeHolder_63,
	placeHolder_64,
	placeHolder_65,
	placeHolder_66,
	placeHolder_67,
	placeHolder_68,
	placeHolder_69,
	placeHolder_70,
	placeHolder_71,
	placeHolder_72,
	placeHolder_73,
	placeHolder_74,
	placeHolder_75,
	placeHolder_76,
	placeHolder_77,
	placeHolder_78,
	placeHolder_79,
	placeHolder_80,
	placeHolder_81,
	placeHolder_82,
	placeHolder_83,
	placeHolder_84,
	placeHolder_85,
	placeHolder_86,
	placeHolder_87,
	placeHolder_88,
	placeHolder_89,
	placeHolder_90,
	placeHolder_91,
	placeHolder_92,
	placeHolder_93,
	placeHolder_94,
	placeHolder_95,
	placeHolder_96,
	placeHolder_97,
	placeHolder_98,
	placeHolder_99,
	placeHolder_100,
	placeHolder_101,
	placeHolder_102,
	placeHolder_103,
	placeHolder_104,
	placeHolder_105,
	placeHolder_106,
	placeHolder_107,
	placeHolder_108,
	placeHolder_109,
	placeHolder_110,
	placeHolder_111,
	placeHolder_112,
	placeHolder_113,
	placeHolder_114,
	placeHolder_115,
	placeHolder_116,
	placeHolder_117,
	placeHolder_118,
	placeHolder_119,
	placeHolder_120,
	placeHolder_121,
	placeHolder_122,
	placeHolder_123,
	placeHolder_124,
	placeHolder_125,
	placeHolder_126,
	placeHolder_127,
	placeHolder_128,
	placeHolder_129,
	placeHolder_130,
	placeHolder_131,
	placeHolder_132,
	placeHolder_133,
	placeHolder_134,
	placeHolder_135,
	placeHolder_136,
	placeHolder_137,
	placeHolder_138,
	placeHolder_139,
	placeHolder_140,
	placeHolder_141,
	placeHolder_142,
	placeHolder_143,
	placeHolder_144,
	placeHolder_145,
	placeHolder_146,
	placeHolder_147,
	placeHolder_148,
	placeHolder_149,
	placeHolder_150,
	placeHolder_151,
	placeHolder_152,
	placeHolder_153,
	placeHolder_154,
	placeHolder_155,
	placeHolder_156,
	placeHolder_157,
	placeHolder_158,
	placeHolder_159,
	placeHolder_160,
	placeHolder_161,
	placeHolder_162,
	placeHolder_163,
	placeHolder_164,
	placeHolder_165,
	placeHolder_166,
	placeHolder_167,
	placeHolder_168,
	placeHolder_169,
	placeHolder_170,
	placeHolder_171,
	placeHolder_172,
	placeHolder_173,
	placeHolder_174,
	placeHolder_175,
	placeHolder_176,
	placeHolder_177,
	placeHolder_178,
	placeHolder_179,
	placeHolder_180,
	placeHolder_181,
	placeHolder_182,
	placeHolder_183,
	placeHolder_184,
	placeHolder_185,
	placeHolder_186,
	placeHolder_187,
	placeHolder_188,
	placeHolder_189,
	placeHolder_190,
	placeHolder_191,
	placeHolder_192,
	placeHolder_193,
	placeHolder_194,
	placeHolder_195,
	placeHolder_196,
	placeHolder_197,
	placeHolder_198,
	placeHolder_199,
	placeHolder_200,
	placeHolder_201,
	placeHolder_202,
	placeHolder_203,
	placeHolder_204,
	placeHolder_205,
	placeHolder_206,
	placeHolder_207,
	placeHolder_208,
	placeHolder_209,
	placeHolder_210,
	placeHolder_211,
	placeHolder_212,
	placeHolder_213,
	placeHolder_214,
	placeHolder_215,
	placeHolder_216,
	placeHolder_217,
	placeHolder_218,
	placeHolder_219,
	placeHolder_220,
	placeHolder_221,
	placeHolder_222,
	placeHolder_223,
	placeHolder_224,
	placeHolder_225,
	placeHolder_226,
	placeHolder_227,
	placeHolder_228,
	placeHolder_229,
	placeHolder_230,
	placeHolder_231,
	placeHolder_232,
	placeHolder_233,
	placeHolder_234,
	placeHolder_235,
	placeHolder_236,
	placeHolder_237,
	placeHolder_238,
	placeHolder_239,
	placeHolder_240,
	placeHolder_241,
	placeHolder_242,
	placeHolder_243,
	placeHolder_244,
	placeHolder_245,
	placeHolder_246,
	placeHolder_247,
	placeHolder_248,
	placeHolder_249,
	placeHolder_250,
	placeHolder_251,
	placeHolder_252,
	placeHolder_253,
	placeHolder_254,
	placeHolder_255,
	placeHolder_256,
	placeHolder_257,
	placeHolder_258,
	placeHolder_259,
	placeHolder_260,
	placeHolder_261,
	placeHolder_262,
	placeHolder_263,
	placeHolder_264,
	placeHolder_265,
	placeHolder_266,
	placeHolder_267,
	placeHolder_268,
	placeHolder_269,
	placeHolder_270,
	placeHolder_271,
	placeHolder_272,
	placeHolder_273,
	placeHolder_274,
	placeHolder_275,
	placeHolder_276,
	placeHolder_277,
	placeHolder_278,
	placeHolder_279,
	placeHolder_280,
	placeHolder_281,
	placeHolder_282,
	placeHolder_283,
	placeHolder_284,
	placeHolder_285,
	placeHolder_286,
	placeHolder_287,
	placeHolder_288,
	placeHolder_289,
	placeHolder_290,
	placeHolder_291,
	placeHolder_292,
	placeHolder_293,
	placeHolder_294,
	placeHolder_295,
	placeHolder_296,
	placeHolder_297,
	placeHolder_298,
	placeHolder_299,
	placeHolder_300,
	placeHolder_301,
	placeHolder_302,
	placeHolder_303,
	placeHolder_304,
	placeHolder_305,
	placeHolder_306,
	placeHolder_307,
	placeHolder_308,
	placeHolder_309,
	placeHolder_310,
	placeHolder_311,
	placeHolder_312,
	placeHolder_313,
	placeHolder_314,
	placeHolder_315,
	placeHolder_316,
	placeHolder_317,
	placeHolder_318,
	placeHolder_319,
	placeHolder_320,
	placeHolder_321,
	placeHolder_322,
	placeHolder_323,
	placeHolder_324,
	placeHolder_325,
	placeHolder_326,
	placeHolder_327,
	placeHolder_328,
	placeHolder_329,
	placeHolder_330,
	placeHolder_331,
	placeHolder_332,
	placeHolder_333,
	placeHolder_334,
	placeHolder_335,
	placeHolder_336,
	placeHolder_337,
	placeHolder_338,
	placeHolder_339,
	placeHolder_340,
	placeHolder_341,
	placeHolder_342,
	placeHolder_343,
	placeHolder_344,
	placeHolder_345,
	placeHolder_346,
	placeHolder_347,
	placeHolder_348,
	placeHolder_349,
	placeHolder_350,
	placeHolder_351,
	placeHolder_352,
	placeHolder_353,
	placeHolder_354,
	placeHolder_355,
	placeHolder_356,
	placeHolder_357,
	placeHolder_358,
	placeHolder_359,
	placeHolder_360,
	placeHolder_361,
	placeHolder_362,
	placeHolder_363,
	placeHolder_364,
	placeHolder_365,
	placeHolder_366,
	placeHolder_367,
	placeHolder_368,
	placeHolder_369,
	placeHolder_370,
	placeHolder_371,
	placeHolder_372,
	placeHolder_373,
	placeHolder_374,
	placeHolder_375,
	placeHolder_376,
	placeHolder_377,
	placeHolder_378,
	placeHolder_379,
	placeHolder_380,
	placeHolder_381,
	placeHolder_382,
	placeHolder_383,
	placeHolder_384,
	placeHolder_385,
	placeHolder_386,
	placeHolder_387,
	placeHolder_388,
	placeHolder_389,
	placeHolder_390,
	placeHolder_391,
	placeHolder_392,
	placeHolder_393,
	placeHolder_394,
	placeHolder_395,
	placeHolder_396,
	placeHolder_397,
	placeHolder_398,
	placeHolder_399,
	placeHolder_400,
	placeHolder_401,
	placeHolder_402,
	placeHolder_403,
	placeHolder_404,
	placeHolder_405,
	placeHolder_406,
	placeHolder_407,
	placeHolder_408,
	placeHolder_409,
	placeHolder_410,
	placeHolder_411,
	placeHolder_412,
	placeHolder_413,
	placeHolder_414,
	placeHolder_415,
	placeHolder_416,
	placeHolder_417,
	placeHolder_418,
	placeHolder_419,
	placeHolder_420,
	placeHolder_421,
	placeHolder_422,
	placeHolder_423,
	placeHolder_424,
	placeHolder_425,
	placeHolder_426,
	placeHolder_427,
	placeHolder_428,
	placeHolder_429,
	placeHolder_430,
	placeHolder_431,
	placeHolder_432,
	placeHolder_433,
	placeHolder_434,
	placeHolder_435,
	placeHolder_436,
	placeHolder_437,
	placeHolder_438,
	placeHolder_439,
	placeHolder_440,
	placeHolder_441,
	placeHolder_442,
	placeHolder_443,
	placeHolder_444,
	placeHolder_445,
	placeHolder_446,
	placeHolder_447,
	placeHolder_448,
	placeHolder_449,
	placeHolder_450,
	placeHolder_451,
	placeHolder_452,
	placeHolder_453,
	placeHolder_454,
	placeHolder_455,
	placeHolder_456,
	placeHolder_457,
	placeHolder_458,
	placeHolder_459,
	placeHolder_460,
	placeHolder_461,
	placeHolder_462,
	placeHolder_463,
	placeHolder_464,
	placeHolder_465,
	placeHolder_466,
	placeHolder_467,
	placeHolder_468,
	placeHolder_469,
	placeHolder_470,
	placeHolder_471,
	placeHolder_472,
	placeHolder_473,
	placeHolder_474,
	placeHolder_475,
	placeHolder_476,
	placeHolder_477,
	placeHolder_478,
	placeHolder_479,
	placeHolder_480,
	placeHolder_481,
	placeHolder_482,
	placeHolder_483,
	placeHolder_484,
	placeHolder_485,
	placeHolder_486,
	placeHolder_487,
	placeHolder_488,
	placeHolder_489,
	placeHolder_490,
	placeHolder_491,
	placeHolder_492,
	placeHolder_493,
	placeHolder_494,
	placeHolder_495,
	placeHolder_496,
	placeHolder_497,
	placeHolder_498,
	placeHolder_499,
	placeHolder_500,
	placeHolder_501,
	placeHolder_502,
	placeHolder_503,
	placeHolder_504,
	placeHolder_505,
	placeHolder_506,
	placeHolder_507,
	placeHolder_508,
	placeHolder_509,
	placeHolder_510,
	placeHolder_511,
	placeHolder_512,
	placeHolder_513,
	placeHolder_514,
	placeHolder_515,
	placeHolder_516,
	placeHolder_517,
	placeHolder_518,
	placeHolder_519,
	placeHolder_520,
	placeHolder_521,
	placeHolder_522,
	placeHolder_523,
	placeHolder_524,
	placeHolder_525,
	placeHolder_526,
	placeHolder_527,
	placeHolder_528,
	placeHolder_529,
	placeHolder_530,
	placeHolder_531,
	placeHolder_532,
	placeHolder_533,
	placeHolder_534,
	placeHolder_535,
	placeHolder_536,
	placeHolder_537,
	placeHolder_538,
	placeHolder_539,
	placeHolder_540,
	placeHolder_541,
	placeHolder_542,
	placeHolder_543,
	placeHolder_544,
	placeHolder_545,
	placeHolder_546,
	placeHolder_547,
	placeHolder_548,
	placeHolder_549,
	placeHolder_550,
	placeHolder_551,
	placeHolder_552,
	placeHolder_553,
	placeHolder_554,
	placeHolder_555,
	placeHolder_556,
	placeHolder_557,
	placeHolder_558,
	placeHolder_559,
	placeHolder_560,
	placeHolder_561,
	placeHolder_562,
	placeHolder_563,
	placeHolder_564,
	placeHolder_565,
	placeHolder_566,
	placeHolder_567,
	placeHolder_568,
	placeHolder_569,
	placeHolder_570,
	placeHolder_571,
	placeHolder_572,
	placeHolder_573,
	placeHolder_574,
	placeHolder_575,
	placeHolder_576,
	placeHolder_577,
	placeHolder_578,
	placeHolder_579,
	placeHolder_580,
	placeHolder_581,
	placeHolder_582,
	placeHolder_583,
	placeHolder_584,
	placeHolder_585,
	placeHolder_586,
	placeHolder_587,
	placeHolder_588,
	placeHolder_589,
	placeHolder_590,
	placeHolder_591,
	placeHolder_592,
	placeHolder_593,
	placeHolder_594,
	placeHolder_595,
	placeHolder_596,
	placeHolder_597,
	placeHolder_598,
	placeHolder_599,
	placeHolder_600,
	placeHolder_601,
	placeHolder_602,
	placeHolder_603,
	placeHolder_604,
	placeHolder_605,
	placeHolder_606,
	placeHolder_607,
	placeHolder_608,
	placeHolder_609,
	placeHolder_610,
	placeHolder_611,
	placeHolder_612,
	placeHolder_613,
	placeHolder_614,
	placeHolder_615,
	placeHolder_616,
	placeHolder_617,
	placeHolder_618,
	placeHolder_619,
	placeHolder_620,
	placeHolder_621,
	placeHolder_622,
	placeHolder_623,
	placeHolder_624,
	placeHolder_625,
	placeHolder_626,
	placeHolder_627,
	placeHolder_628,
	placeHolder_629,
	placeHolder_630,
	placeHolder_631,
	placeHolder_632,
	placeHolder_633,
	placeHolder_634,
	placeHolder_635,
	placeHolder_636,
	placeHolder_637,
	placeHolder_638,
	placeHolder_639,
	placeHolder_640,
	placeHolder_641,
	placeHolder_642,
	placeHolder_643,
	placeHolder_644,
	placeHolder_645,
	placeHolder_646,
	placeHolder_647,
	placeHolder_648,
	placeHolder_649,
	placeHolder_650,
	placeHolder_651,
	placeHolder_652,
	placeHolder_653,
	placeHolder_654,
	placeHolder_655,
	placeHolder_656,
	placeHolder_657,
	placeHolder_658,
	placeHolder_659,
	placeHolder_660,
	placeHolder_661,
	placeHolder_662,
	placeHolder_663,
	placeHolder_664,
	placeHolder_665,
	placeHolder_666,
	placeHolder_667,
	placeHolder_668,
	placeHolder_669,
	placeHolder_670,
	placeHolder_671,
	placeHolder_672,
	placeHolder_673,
	placeHolder_674,
	placeHolder_675,
	placeHolder_676,
	placeHolder_677,
	placeHolder_678,
	placeHolder_679,
	placeHolder_680,
	placeHolder_681,
	placeHolder_682,
	placeHolder_683,
	placeHolder_684,
	placeHolder_685,
	placeHolder_686,
	placeHolder_687,
	placeHolder_688,
	placeHolder_689,
	placeHolder_690,
	placeHolder_691,
	placeHolder_692,
	placeHolder_693,
	placeHolder_694,
	placeHolder_695,
	placeHolder_696,
	placeHolder_697,
	placeHolder_698,
	placeHolder_699,
	placeHolder_700,
	placeHolder_701,
	placeHolder_702,
	placeHolder_703,
	placeHolder_704,
	placeHolder_705,
	placeHolder_706,
	placeHolder_707,
	placeHolder_708,
	placeHolder_709,
	placeHolder_710,
	placeHolder_711,
	placeHolder_712,
	placeHolder_713,
	placeHolder_714,
	placeHolder_715,
	placeHolder_716,
	placeHolder_717,
	placeHolder_718,
	placeHolder_719,
	placeHolder_720,
	placeHolder_721,
	placeHolder_722,
	placeHolder_723,
	placeHolder_724,
	placeHolder_725,
	placeHolder_726,
	placeHolder_727,
	placeHolder_728,
	placeHolder_729,
	placeHolder_730,
	placeHolder_731,
	placeHolder_732,
	placeHolder_733,
	placeHolder_734,
	placeHolder_735,
	placeHolder_736,
	placeHolder_737,
	placeHolder_738,
	placeHolder_739,
	placeHolder_740,
	placeHolder_741,
	placeHolder_742,
	placeHolder_743,
	placeHolder_744,
	placeHolder_745,
	placeHolder_746,
	placeHolder_747,
	placeHolder_748,
	placeHolder_749,
	placeHolder_750,
	placeHolder_751,
	placeHolder_752,
	placeHolder_753,
	placeHolder_754,
	placeHolder_755,
	placeHolder_756,
	placeHolder_757,
	placeHolder_758,
	placeHolder_759,
	placeHolder_760,
	placeHolder_761,
	placeHolder_762,
	placeHolder_763,
	placeHolder_764,
	placeHolder_765,
	placeHolder_766,
	placeHolder_767,
	placeHolder_768,
	placeHolder_769,
	placeHolder_770,
	placeHolder_771,
	placeHolder_772,
	placeHolder_773,
	placeHolder_774,
	placeHolder_775,
	placeHolder_776,
	placeHolder_777,
	placeHolder_778,
	placeHolder_779,
	placeHolder_780,
	placeHolder_781,
	placeHolder_782,
	placeHolder_783,
	placeHolder_784,
	placeHolder_785,
	placeHolder_786,
	placeHolder_787,
	placeHolder_788,
	placeHolder_789,
	placeHolder_790,
	placeHolder_791,
	placeHolder_792,
	placeHolder_793,
	placeHolder_794,
	placeHolder_795,
	placeHolder_796,
	placeHolder_797,
	placeHolder_798,
	placeHolder_799,
	placeHolder_800,
	placeHolder_801,
	placeHolder_802,
	placeHolder_803,
	placeHolder_804,
	placeHolder_805,
	placeHolder_806,
	placeHolder_807,
	placeHolder_808,
	placeHolder_809,
	placeHolder_810,
	placeHolder_811,
	placeHolder_812,
	placeHolder_813,
	placeHolder_814,
	placeHolder_815,
	placeHolder_816,
	placeHolder_817,
	placeHolder_818,
	placeHolder_819,
	placeHolder_820,
	placeHolder_821,
	placeHolder_822,
	placeHolder_823,
	placeHolder_824,
	placeHolder_825,
	placeHolder_826,
	placeHolder_827,
	placeHolder_828,
	placeHolder_829,
	placeHolder_830,
	placeHolder_831,
	placeHolder_832,
	placeHolder_833,
	placeHolder_834,
	placeHolder_835,
	placeHolder_836,
	placeHolder_837,
	placeHolder_838,
	placeHolder_839,
	placeHolder_840,
	placeHolder_841,
	placeHolder_842,
	placeHolder_843,
	placeHolder_844,
	placeHolder_845,
	placeHolder_846,
	placeHolder_847,
	placeHolder_848,
	placeHolder_849,
	placeHolder_850,
	placeHolder_851,
	placeHolder_852,
	placeHolder_853,
	placeHolder_854,
	placeHolder_855,
	placeHolder_856,
	placeHolder_857,
	placeHolder_858,
	placeHolder_859,
	placeHolder_860,
	placeHolder_861,
	placeHolder_862,
	placeHolder_863,
	placeHolder_864,
	placeHolder_865,
	placeHolder_866,
	placeHolder_867,
	placeHolder_868,
	placeHolder_869,
	placeHolder_870,
	placeHolder_871,
	placeHolder_872,
	placeHolder_873,
	placeHolder_874,
	placeHolder_875,
	placeHolder_876,
	placeHolder_877,
	placeHolder_878,
	placeHolder_879,
	placeHolder_880,
	placeHolder_881,
	placeHolder_882,
	placeHolder_883,
	placeHolder_884,
	placeHolder_885,
	placeHolder_886,
	placeHolder_887,
	placeHolder_888,
	placeHolder_889,
	placeHolder_890,
	placeHolder_891,
	placeHolder_892,
	placeHolder_893,
	placeHolder_894,
	placeHolder_895,
	placeHolder_896,
	placeHolder_897,
	placeHolder_898,
	placeHolder_899,
	placeHolder_900,
	placeHolder_901,
	placeHolder_902,
	placeHolder_903,
	placeHolder_904,
	placeHolder_905,
	placeHolder_906,
	placeHolder_907,
	placeHolder_908,
	placeHolder_909,
	placeHolder_910,
	placeHolder_911,
	placeHolder_912,
	placeHolder_913,
	placeHolder_914,
	placeHolder_915,
	placeHolder_916,
	placeHolder_917,
	placeHolder_918,
	placeHolder_919,
	placeHolder_920,
	placeHolder_921,
	placeHolder_922,
	placeHolder_923,
	placeHolder_924,
	placeHolder_925,
	placeHolder_926,
	placeHolder_927,
	placeHolder_928,
	placeHolder_929,
	placeHolder_930,
	placeHolder_931,
	placeHolder_932,
	placeHolder_933,
	placeHolder_934,
	placeHolder_935,
	placeHolder_936,
	placeHolder_937,
	placeHolder_938,
	placeHolder_939,
	placeHolder_940,
	placeHolder_941,
	placeHolder_942,
	placeHolder_943,
	placeHolder_944,
	placeHolder_945,
	placeHolder_946,
	placeHolder_947,
	placeHolder_948,
	placeHolder_949,
	placeHolder_950,
	placeHolder_951,
	placeHolder_952,
	placeHolder_953,
	placeHolder_954,
	placeHolder_955,
	placeHolder_956,
	placeHolder_957,
	placeHolder_958,
	placeHolder_959,
	placeHolder_960,
	placeHolder_961,
	placeHolder_962,
	placeHolder_963,
	placeHolder_964,
	placeHolder_965,
	placeHolder_966,
	placeHolder_967,
	placeHolder_968,
	placeHolder_969,
	placeHolder_970,
	placeHolder_971,
	placeHolder_972,
	placeHolder_973,
	placeHolder_974,
	placeHolder_975,
	placeHolder_976,
	placeHolder_977,
	placeHolder_978,
	placeHolder_979,
	placeHolder_980,
	placeHolder_981,
	placeHolder_982,
	placeHolder_983,
	placeHolder_984,
	placeHolder_985,
	placeHolder_986,
	placeHolder_987,
	placeHolder_988,
	placeHolder_989,
	placeHolder_990,
	placeHolder_991,
	placeHolder_992,
	placeHolder_993,
	placeHolder_994,
	placeHolder_995,
	placeHolder_996,
	placeHolder_997,
	placeHolder_998,
	Unregistered,
}

enum PatientGenderEnum {
	NotFilled,
	Male,
	Female,
}

enum AnimalGenderEnum {
	AnimalInfoNotFilled,
	AnimalInfoMale,
	AnimalInfoFemale,
}

enum RegionGradeEnum {
	Country,
	Province,
	City,
	Area,
}

enum RelevanceTypeEnum {
	Course,
}

enum RemedicalAIDiagnosisStatusEnum {
	Null,
	NoObviousLesion,
	Benign,
	Malignant,
	BenignAndMalignant,
}

enum RemedicalApparatusTypeEnum {
	BreastOuterUpper,
	BreastInnerUpper,
	BreastOuterLower,
	BreastInnerLower,
	Lobe,
	LobeOfUnder,
	LobeOfInter,
	Thyroid,
	Abdomen,
}

enum RemedicalImageLocationTypeEnum {
	BreastImageLocation,
	LiverImageLocation,
	ThyroidImageLocation,
	PositionImageLocation,
}

enum RemedicalImagePositionTypeEnum {
	None,
	Left,
	Right,
	Middle,
}

enum ReportTemplateQueryTypeEnum {
	All,
	Personal,
	Organization,
}

enum SyncTypeEnum {
	Initiate,
	Accept,
	Reject,
	CancelInitiate,
	HeartRateJoin,
	NetworkErr,
	HeartRateLeave,
	Leave,
	Close,
	ChangeMuteState,
	ChangeVideoOpenState,
	InviteIn,
	CancelInviteIn,
	AcceptIn,
	RejectIn,
	ChangeConsultationStatus,
	Agree,
	Notification,
	EmergencyAccept,
	ChangeControllingParameter,
	SendInteractiveBoardData,
	ChangeRoom,
	SaveViewer,
	DeleteViewer,
	DeviceAcceptIn,
	SyncControllingParameter,
}

enum SyncServiceEnum {
	Live,
	LiveConsultation,
	Notification,
	ScanLogin,
	Device,
}

enum WSConnectTypeEnum {
	Default,
	ConsultationSecondWindow,
	EducationSecondWindow,
}

enum ASETypeEnum {
	Off,
	Max,
	Mean,
	Both,
}

enum StraightLineShapeEnum {
	StraightLine,
	HalfCircle,
	AutoPWVSlope,
}

enum DefinitionMeasureItemsEnum {
	Default,
	UserDefined,
}

enum DefinitionPriorityEnum {
	Notset,
	Root,
	Global,
	GlobalCategory,
	GlobalApp,
	FactoryDefault,
	OemDefault,
	UserDefined,
}

enum MeasureTypeUnitEnum {
	None,
	AreaUnit,
	VelocityUnit,
	TimeUnit,
}

enum UnExecuteAction {
	None,
	OneStep,
	AllSteps,
	GeometryOnly,
}

class PriorityPair {
	DefinitionPriorityEnum target;
	DefinitionPriorityEnum? base;

	PriorityPair({
		this.target = DefinitionPriorityEnum.Notset,
		this.base,
	});

	factory PriorityPair.fromJson(Map<String, dynamic> map) {
		return PriorityPair( 
			target: DefinitionPriorityEnum.values.firstWhere((e) => e.index == map['Target']),
			base: map['Base'] != null ? DefinitionPriorityEnum.values.firstWhere((e) => e.index == map['Base']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Target'] = target.index;
		if(base != null)
			map['Base'] = base;
		return map;
	}
}

class DefinitionPriorityEnumExtension {

	DefinitionPriorityEnumExtension();

	factory DefinitionPriorityEnumExtension.fromJson(Map<String, dynamic> map) {
		return DefinitionPriorityEnumExtension( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		return map;
	}
}

enum TracePeakType {
	Normal,
	OnePeak,
	TwoPeaks,
}

enum LineWeightType {
	NormalWeight,
	Thin,
}

enum IMTType {
	placeHolder_0,
	Post,
	Ant,
	Both,
}

enum MeasureSectionType {
	None,
	Root,
	Application,
	MeasureMode,
	Group,
	Folder,
	Item,
	Calculator,
	OutPut,
	Formular,
	Processor,
	TypeParams,
}

enum ModeTypeEnum {
	Undefined,
	Tissue,
	Flow,
	Doppler,
	TissueTM,
}

enum ResourceDefPriorityEnum {
	Root,
	placeHolder_1,
	placeHolder_2,
	placeHolder_3,
	placeHolder_4,
	placeHolder_5,
	placeHolder_6,
	placeHolder_7,
	placeHolder_8,
	placeHolder_9,
	placeHolder_10,
	placeHolder_11,
	placeHolder_12,
	placeHolder_13,
	placeHolder_14,
	placeHolder_15,
	placeHolder_16,
	placeHolder_17,
	placeHolder_18,
	placeHolder_19,
	placeHolder_20,
	placeHolder_21,
	placeHolder_22,
	placeHolder_23,
	placeHolder_24,
	placeHolder_25,
	placeHolder_26,
	placeHolder_27,
	placeHolder_28,
	placeHolder_29,
	placeHolder_30,
	placeHolder_31,
	placeHolder_32,
	placeHolder_33,
	placeHolder_34,
	placeHolder_35,
	placeHolder_36,
	placeHolder_37,
	placeHolder_38,
	placeHolder_39,
	FactoryDefault,
	placeHolder_41,
	placeHolder_42,
	placeHolder_43,
	placeHolder_44,
	PackageDefault,
	placeHolder_46,
	placeHolder_47,
	placeHolder_48,
	placeHolder_49,
	OemDefault,
	placeHolder_51,
	placeHolder_52,
	placeHolder_53,
	placeHolder_54,
	placeHolder_55,
	placeHolder_56,
	placeHolder_57,
	placeHolder_58,
	placeHolder_59,
	UserDefined,
}

enum Unit {
	None,
	percent,
	fraction,
	placeHolder_3,
	placeHolder_4,
	placeHolder_5,
	placeHolder_6,
	placeHolder_7,
	placeHolder_8,
	placeHolder_9,
	cm,
	mm,
	inch,
	ft,
	placeHolder_14,
	placeHolder_15,
	placeHolder_16,
	placeHolder_17,
	placeHolder_18,
	placeHolder_19,
	s,
	minute,
	hour,
	day,
	week,
	week_day,
	Tick,
	msec,
	placeHolder_28,
	placeHolder_29,
	degree,
	radian,
	placeHolder_32,
	placeHolder_33,
	placeHolder_34,
	placeHolder_35,
	placeHolder_36,
	placeHolder_37,
	placeHolder_38,
	placeHolder_39,
	g,
	mg,
	ng,
	kg,
	oz,
	lb,
	lb_oz,
	placeHolder_47,
	placeHolder_48,
	placeHolder_49,
	cm2,
	mm2,
	m2,
	placeHolder_53,
	placeHolder_54,
	placeHolder_55,
	placeHolder_56,
	placeHolder_57,
	placeHolder_58,
	placeHolder_59,
	cm3,
	mm3,
	ml,
	L,
	placeHolder_64,
	placeHolder_65,
	placeHolder_66,
	placeHolder_67,
	placeHolder_68,
	placeHolder_69,
	cms,
	mms,
	ms,
	placeHolder_73,
	placeHolder_74,
	placeHolder_75,
	placeHolder_76,
	placeHolder_77,
	placeHolder_78,
	placeHolder_79,
	cms2,
	mms2,
	placeHolder_82,
	placeHolder_83,
	placeHolder_84,
	placeHolder_85,
	placeHolder_86,
	placeHolder_87,
	placeHolder_88,
	placeHolder_89,
	cm3s,
	mls,
	mlmin,
	Lmin,
	placeHolder_94,
	placeHolder_95,
	placeHolder_96,
	placeHolder_97,
	placeHolder_98,
	placeHolder_99,
	gcm3,
	gml,
	ngml,
	placeHolder_103,
	placeHolder_104,
	placeHolder_105,
	placeHolder_106,
	placeHolder_107,
	placeHolder_108,
	placeHolder_109,
	mmHg,
	placeHolder_111,
	placeHolder_112,
	placeHolder_113,
	placeHolder_114,
	placeHolder_115,
	placeHolder_116,
	placeHolder_117,
	placeHolder_118,
	placeHolder_119,
	mV,
	placeHolder_121,
	placeHolder_122,
	placeHolder_123,
	placeHolder_124,
	placeHolder_125,
	placeHolder_126,
	placeHolder_127,
	placeHolder_128,
	placeHolder_129,
	Hz,
	KHz,
	HR,
	placeHolder_133,
	placeHolder_134,
	placeHolder_135,
	placeHolder_136,
	placeHolder_137,
	placeHolder_138,
	placeHolder_139,
	cm3m2,
	mlm2,
	placeHolder_142,
	placeHolder_143,
	placeHolder_144,
	placeHolder_145,
	placeHolder_146,
	placeHolder_147,
	placeHolder_148,
	placeHolder_149,
	cm3sm2,
	mlsm2,
	placeHolder_152,
	cm3minm2,
	mlminm2,
	Lminm2,
	placeHolder_156,
	placeHolder_157,
	placeHolder_158,
	placeHolder_159,
	circs,
	placeHolder_161,
	placeHolder_162,
	placeHolder_163,
	placeHolder_164,
	placeHolder_165,
	placeHolder_166,
	placeHolder_167,
	placeHolder_168,
	placeHolder_169,
	mlbeat,
	placeHolder_171,
	placeHolder_172,
	placeHolder_173,
	placeHolder_174,
	placeHolder_175,
	placeHolder_176,
	placeHolder_177,
	placeHolder_178,
	placeHolder_179,
	mm2pa,
	d1mpa,
	kpa,
	placeHolder_183,
	placeHolder_184,
	placeHolder_185,
	placeHolder_186,
	placeHolder_187,
	placeHolder_188,
	placeHolder_189,
	mmHgs,
	placeHolder_191,
	placeHolder_192,
	placeHolder_193,
	placeHolder_194,
	placeHolder_195,
	placeHolder_196,
	placeHolder_197,
	placeHolder_198,
	placeHolder_199,
	gm2,
	kgm2,
	placeHolder_202,
	placeHolder_203,
	placeHolder_204,
	placeHolder_205,
	placeHolder_206,
	placeHolder_207,
	placeHolder_208,
	placeHolder_209,
	cm2m2,
	placeHolder_211,
	placeHolder_212,
	placeHolder_213,
	placeHolder_214,
	placeHolder_215,
	placeHolder_216,
	placeHolder_217,
	placeHolder_218,
	placeHolder_219,
	cmm2,
	mmm2,
	placeHolder_222,
	placeHolder_223,
	placeHolder_224,
	placeHolder_225,
	placeHolder_226,
	placeHolder_227,
	placeHolder_228,
	placeHolder_229,
	pers,
	placeHolder_231,
	placeHolder_232,
	placeHolder_233,
	placeHolder_234,
	placeHolder_235,
	placeHolder_236,
	placeHolder_237,
	placeHolder_238,
	placeHolder_239,
	placeHolder_240,
	placeHolder_241,
	placeHolder_242,
	placeHolder_243,
	placeHolder_244,
	placeHolder_245,
	placeHolder_246,
	placeHolder_247,
	placeHolder_248,
	placeHolder_249,
	Celsius,
	Fahrenheit,
	placeHolder_252,
	placeHolder_253,
	placeHolder_254,
	placeHolder_255,
	placeHolder_256,
	placeHolder_257,
	placeHolder_258,
	placeHolder_259,
	Ohm,
	placeHolder_261,
	placeHolder_262,
	placeHolder_263,
	placeHolder_264,
	placeHolder_265,
	placeHolder_266,
	placeHolder_267,
	placeHolder_268,
	placeHolder_269,
	mmHgml,
}

enum ArrowOrientation {
	Down,
	Left,
	Up,
	Right,
}

class UserScanInfo {
	String? scanCode;
	ScanLoginSource scanLoginSource;
	Platform platform;
	DateTime? createTime;
	DateTime? expireTime;
	String? installVersion;
	LoginResult? loginResult;

	UserScanInfo({
		this.scanCode,
		this.scanLoginSource = ScanLoginSource.PC,
		this.platform = Platform.Windows,
		this.createTime,
		this.expireTime,
		this.installVersion,
		this.loginResult,
	});

	factory UserScanInfo.fromJson(Map<String, dynamic> map) {
		return UserScanInfo( 
			scanCode: map['ScanCode'],
			scanLoginSource: ScanLoginSource.values.firstWhere((e) => e.index == map['ScanLoginSource']),
			platform: Platform.values.firstWhere((e) => e.index == map['Platform']),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			expireTime: map['ExpireTime'] != null ? DateTime.parse(map['ExpireTime']) : null,
			installVersion: map['InstallVersion'],
			loginResult: map['LoginResult'] != null ? LoginResult.fromJson(map['LoginResult']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(scanCode != null)
			map['ScanCode'] = scanCode;
		map['ScanLoginSource'] = scanLoginSource.index;
		map['Platform'] = platform.index;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(expireTime != null)
			map['ExpireTime'] = JsonRpcUtils.dateFormat(expireTime!);
		if(installVersion != null)
			map['InstallVersion'] = installVersion;
		if(loginResult != null)
			map['LoginResult'] = loginResult;
		return map;
	}
}

class UserCMSDTO {
	String? cMSData;

	UserCMSDTO({
		this.cMSData,
	});

	factory UserCMSDTO.fromJson(Map<String, dynamic> map) {
		return UserCMSDTO( 
			cMSData: map['CMSData'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(cMSData != null)
			map['CMSData'] = cMSData;
		return map;
	}
}

class UserPasswordDTO extends BaseDTO{
	String? userCode;
	String? userName;
	String? secretPassword;
	String? phone;
	String? email;
	String? nickName;
	String? fullName;
	String? headImageUrl;
	String? organizationCode;
	String? rootOrganizationCode;
	List<String >? authorityGroups;
	List<String >? bindDevices;
	String? lastIP;
	int logintimes;
	UserInfoStateEnum userState;
	List<String >? roleCodes;
	List<String >? rankCodes;
	List<String >? positionCodes;
	ApplyStateEnum applyState;
	List<String >? fieldList;
	List<String >? deletePatientCodes;
	bool isBatchExportDiagnoseData;
	String? bindAssistantUserCode;
	String? bindAssistantDoctorUserCode;
	DateTime? passwordUpdateTime;
	List<String >? passwordRecords;
	String? signature;
	String? language;
	bool enableReportLabel;

	UserPasswordDTO({
		this.userCode,
		this.userName,
		this.secretPassword,
		this.phone,
		this.email,
		this.nickName,
		this.fullName,
		this.headImageUrl,
		this.organizationCode,
		this.rootOrganizationCode,
		this.authorityGroups,
		this.bindDevices,
		this.lastIP,
		this.logintimes = 0,
		this.userState = UserInfoStateEnum.Nonactivated,
		this.roleCodes,
		this.rankCodes,
		this.positionCodes,
		this.applyState = ApplyStateEnum.NotApply,
		this.fieldList,
		this.deletePatientCodes,
		this.isBatchExportDiagnoseData = false,
		this.bindAssistantUserCode,
		this.bindAssistantDoctorUserCode,
		this.passwordUpdateTime,
		this.passwordRecords,
		this.signature,
		this.language,
		this.enableReportLabel = false,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory UserPasswordDTO.fromJson(Map<String, dynamic> map) {
		return UserPasswordDTO( 
			userCode: map['UserCode'],
			userName: map['UserName'],
			secretPassword: map['SecretPassword'],
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			headImageUrl: map['HeadImageUrl'],
			organizationCode: map['OrganizationCode'],
			rootOrganizationCode: map['RootOrganizationCode'],
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			bindDevices: map['BindDevices'] != null ? map['BindDevices'].cast<String>().toList() : null,
			lastIP: map['LastIP'],
			logintimes: map['Logintimes'],
			userState: UserInfoStateEnum.values.firstWhere((e) => e.index == map['UserState']),
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			rankCodes: map['RankCodes'] != null ? map['RankCodes'].cast<String>().toList() : null,
			positionCodes: map['PositionCodes'] != null ? map['PositionCodes'].cast<String>().toList() : null,
			applyState: ApplyStateEnum.values.firstWhere((e) => e.index == map['ApplyState']),
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			deletePatientCodes: map['DeletePatientCodes'] != null ? map['DeletePatientCodes'].cast<String>().toList() : null,
			isBatchExportDiagnoseData: map['IsBatchExportDiagnoseData'],
			bindAssistantUserCode: map['BindAssistantUserCode'],
			bindAssistantDoctorUserCode: map['BindAssistantDoctorUserCode'],
			passwordUpdateTime: map['PasswordUpdateTime'] != null ? DateTime.parse(map['PasswordUpdateTime']) : null,
			passwordRecords: map['PasswordRecords'] != null ? map['PasswordRecords'].cast<String>().toList() : null,
			signature: map['Signature'],
			language: map['Language'],
			enableReportLabel: map['EnableReportLabel'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(userName != null)
			map['UserName'] = userName;
		if(secretPassword != null)
			map['SecretPassword'] = secretPassword;
		if(phone != null)
			map['Phone'] = phone;
		if(email != null)
			map['Email'] = email;
		if(nickName != null)
			map['NickName'] = nickName;
		if(fullName != null)
			map['FullName'] = fullName;
		if(headImageUrl != null)
			map['HeadImageUrl'] = headImageUrl;
		if(organizationCode != null)
			map['OrganizationCode'] = organizationCode;
		if(rootOrganizationCode != null)
			map['RootOrganizationCode'] = rootOrganizationCode;
		if(authorityGroups != null)
			map['AuthorityGroups'] = authorityGroups;
		if(bindDevices != null)
			map['BindDevices'] = bindDevices;
		if(lastIP != null)
			map['LastIP'] = lastIP;
		map['Logintimes'] = logintimes;
		map['UserState'] = userState.index;
		if(roleCodes != null)
			map['RoleCodes'] = roleCodes;
		if(rankCodes != null)
			map['RankCodes'] = rankCodes;
		if(positionCodes != null)
			map['PositionCodes'] = positionCodes;
		map['ApplyState'] = applyState.index;
		if(fieldList != null)
			map['FieldList'] = fieldList;
		if(deletePatientCodes != null)
			map['DeletePatientCodes'] = deletePatientCodes;
		map['IsBatchExportDiagnoseData'] = isBatchExportDiagnoseData;
		if(bindAssistantUserCode != null)
			map['BindAssistantUserCode'] = bindAssistantUserCode;
		if(bindAssistantDoctorUserCode != null)
			map['BindAssistantDoctorUserCode'] = bindAssistantDoctorUserCode;
		if(passwordUpdateTime != null)
			map['PasswordUpdateTime'] = JsonRpcUtils.dateFormat(passwordUpdateTime!);
		if(passwordRecords != null)
			map['PasswordRecords'] = passwordRecords;
		if(signature != null)
			map['Signature'] = signature;
		if(language != null)
			map['Language'] = language;
		map['EnableReportLabel'] = enableReportLabel;
		return map;
	}
}

class UserTokenDTO {
	String? token;
	bool passwordExpired;

	UserTokenDTO({
		this.token,
		this.passwordExpired = false,
	});

	factory UserTokenDTO.fromJson(Map<String, dynamic> map) {
		return UserTokenDTO( 
			token: map['Token'],
			passwordExpired: map['PasswordExpired'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(token != null)
			map['Token'] = token;
		map['PasswordExpired'] = passwordExpired;
		return map;
	}
}

class BaseFeatureItemBaseDTO<T> {
	String? id;
	String? label;
	String? fatherCode;
	String? uniqueCode;
	List<T>? children;

	BaseFeatureItemBaseDTO({
		this.id,
		this.label,
		this.fatherCode,
		this.uniqueCode,
		this.children,
	});

	factory BaseFeatureItemBaseDTO.fromJson(Map<String, dynamic> map) {
		List<T> childrenList = [];
		if (map['Children'] != null) {
			childrenList.addAll(
					(map['Children'] as List).map((e) => FJsonConvert.fromJson<T>(e)!));
		}
		return BaseFeatureItemBaseDTO( 
			id: map['Id'],
			label: map['Label'],
			fatherCode: map['FatherCode'],
			uniqueCode: map['UniqueCode'],
			children: childrenList,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(id != null)
			map['Id'] = id;
		if(label != null)
			map['Label'] = label;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		if(uniqueCode != null)
			map['UniqueCode'] = uniqueCode;
		if(children != null)
			map['Children'] = children;
		return map;
	}
}

class UserFeatureItemDTO extends BaseFeatureItemBaseDTO<UserFeatureItemDTO>{

	UserFeatureItemDTO(
	);

	factory UserFeatureItemDTO.fromJson(Map<String, dynamic> map) {
		return UserFeatureItemDTO( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class UserAuthorityGroupDTO extends BaseDTO{
	String? userGroupCode;
	String? description;
	List<String >? adminCodes;
	List<String >? features;
	String? createAdmin;

	UserAuthorityGroupDTO({
		this.userGroupCode,
		this.description,
		this.adminCodes,
		this.features,
		this.createAdmin,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory UserAuthorityGroupDTO.fromJson(Map<String, dynamic> map) {
		return UserAuthorityGroupDTO( 
			userGroupCode: map['UserGroupCode'],
			description: map['Description'],
			adminCodes: map['AdminCodes'] != null ? map['AdminCodes'].cast<String>().toList() : null,
			features: map['Features'] != null ? map['Features'].cast<String>().toList() : null,
			createAdmin: map['CreateAdmin'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userGroupCode != null)
			map['UserGroupCode'] = userGroupCode;
		if(description != null)
			map['Description'] = description;
		if(adminCodes != null)
			map['AdminCodes'] = adminCodes;
		if(features != null)
			map['Features'] = features;
		if(createAdmin != null)
			map['CreateAdmin'] = createAdmin;
		return map;
	}
}

class StorageInfoDTO extends BaseDTO{
	String? token;
	String? fileName;
	String? storageRoute;

	StorageInfoDTO({
		this.token,
		this.fileName,
		this.storageRoute,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory StorageInfoDTO.fromJson(Map<String, dynamic> map) {
		return StorageInfoDTO( 
			token: map['Token'],
			fileName: map['FileName'],
			storageRoute: map['StorageRoute'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(token != null)
			map['Token'] = token;
		if(fileName != null)
			map['FileName'] = fileName;
		if(storageRoute != null)
			map['StorageRoute'] = storageRoute;
		return map;
	}
}

class StatisticDTO extends BaseDTO{
	String? statisticCode;
	String? name;
	String? description;
	String? intervalSetting;
	bool enabled;
	String? handleClass;
	String? serverHost;

	StatisticDTO({
		this.statisticCode,
		this.name,
		this.description,
		this.intervalSetting,
		this.enabled = false,
		this.handleClass,
		this.serverHost,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory StatisticDTO.fromJson(Map<String, dynamic> map) {
		return StatisticDTO( 
			statisticCode: map['StatisticCode'],
			name: map['Name'],
			description: map['Description'],
			intervalSetting: map['IntervalSetting'],
			enabled: map['Enabled'],
			handleClass: map['HandleClass'],
			serverHost: map['ServerHost'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(statisticCode != null)
			map['StatisticCode'] = statisticCode;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		if(intervalSetting != null)
			map['IntervalSetting'] = intervalSetting;
		map['Enabled'] = enabled;
		if(handleClass != null)
			map['HandleClass'] = handleClass;
		if(serverHost != null)
			map['ServerHost'] = serverHost;
		return map;
	}
}

class StatisticInfoDTO {
	List<String >? xAxisDatas;
	List<List<double> >? yAxisDatas;
	List<StatisticInfoDTO >? children;

	StatisticInfoDTO({
		this.xAxisDatas,
		this.yAxisDatas,
		this.children,
	});

	factory StatisticInfoDTO.fromJson(Map<String, dynamic> map) {
		return StatisticInfoDTO( 
			xAxisDatas: map['XAxisDatas'] != null ? map['XAxisDatas'].cast<String>().toList() : null,
			yAxisDatas: map['YAxisDatas'] != null ? map['YAxisDatas'].cast<List<double>>().toList() : null,
			children: map['Children'] != null ? (map['Children'] as List).map((e)=>StatisticInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(xAxisDatas != null)
			map['XAxisDatas'] = xAxisDatas;
		if(yAxisDatas != null)
			map['YAxisDatas'] = yAxisDatas;
		if(children != null)
			map['Children'] = children;
		return map;
	}
}

class StatisticRecordDTO extends BaseDTO{
	String? statisticRecordCode;
	String? statisticCode;
	String? statisticName;
	String? userCode;
	DateTime? lastestUpdateTime;
	DateTime? nextHandleTime;
	List<String >? xAxisDatas;
	List<List<double> >? yAxisDatas;
	List<StatisticInfoDTO >? children;

	StatisticRecordDTO({
		this.statisticRecordCode,
		this.statisticCode,
		this.statisticName,
		this.userCode,
		this.lastestUpdateTime,
		this.nextHandleTime,
		this.xAxisDatas,
		this.yAxisDatas,
		this.children,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory StatisticRecordDTO.fromJson(Map<String, dynamic> map) {
		return StatisticRecordDTO( 
			statisticRecordCode: map['StatisticRecordCode'],
			statisticCode: map['StatisticCode'],
			statisticName: map['StatisticName'],
			userCode: map['UserCode'],
			lastestUpdateTime: map['LastestUpdateTime'] != null ? DateTime.parse(map['LastestUpdateTime']) : null,
			nextHandleTime: map['NextHandleTime'] != null ? DateTime.parse(map['NextHandleTime']) : null,
			xAxisDatas: map['XAxisDatas'] != null ? map['XAxisDatas'].cast<String>().toList() : null,
			yAxisDatas: map['YAxisDatas'] != null ? map['YAxisDatas'].cast<List<double>>().toList() : null,
			children: map['Children'] != null ? (map['Children'] as List).map((e)=>StatisticInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(statisticRecordCode != null)
			map['StatisticRecordCode'] = statisticRecordCode;
		if(statisticCode != null)
			map['StatisticCode'] = statisticCode;
		if(statisticName != null)
			map['StatisticName'] = statisticName;
		if(userCode != null)
			map['UserCode'] = userCode;
		if(lastestUpdateTime != null)
			map['LastestUpdateTime'] = JsonRpcUtils.dateFormat(lastestUpdateTime!);
		if(nextHandleTime != null)
			map['NextHandleTime'] = JsonRpcUtils.dateFormat(nextHandleTime!);
		if(xAxisDatas != null)
			map['XAxisDatas'] = xAxisDatas;
		if(yAxisDatas != null)
			map['YAxisDatas'] = yAxisDatas;
		if(children != null)
			map['Children'] = children;
		return map;
	}
}

class ServerListResult extends BaseServerResult{
	bool isDistributed;
	List<ServerInfoDTO >? serverList;

	ServerListResult({
		this.isDistributed = false,
		this.serverList,
		int code = 0,
	}) : super(
			code: code,
		);

	factory ServerListResult.fromJson(Map<String, dynamic> map) {
		return ServerListResult( 
			isDistributed: map['IsDistributed'],
			serverList: map['ServerList'] != null ? (map['ServerList'] as List).map((e)=>ServerInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			code: map['Code'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['IsDistributed'] = isDistributed;
		if(serverList != null)
			map['ServerList'] = serverList;
		return map;
	}
}

class LoginSuccessResult extends BaseServerResult{

	LoginSuccessResult({
		int code = 0,
	}) : super(
			code: code,
		);

	factory LoginSuccessResult.fromJson(Map<String, dynamic> map) {
		return LoginSuccessResult( 
			code: map['Code'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ScheduleDTO extends ClientScheduleDTO{
	List<String >? userCodes;
	String? code;

	ScheduleDTO({
		this.userCodes,
		this.code,
		String? title,
		TransactionStatusEnum status = TransactionStatusEnum.Applied,
		ScheduleTypeEnum scheduleType = ScheduleTypeEnum.Consultation,
		DateTime? startTime,
		DateTime? endTime,
		String? relevanceCode,
	}) : super(
			title: title,
			status: status,
			scheduleType: scheduleType,
			startTime: startTime,
			endTime: endTime,
			relevanceCode: relevanceCode,
		);

	factory ScheduleDTO.fromJson(Map<String, dynamic> map) {
		return ScheduleDTO( 
			userCodes: map['UserCodes'] != null ? map['UserCodes'].cast<String>().toList() : null,
			code: map['Code'],
			title: map['Title'],
			status: TransactionStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			scheduleType: ScheduleTypeEnum.values.firstWhere((e) => e.index == map['ScheduleType']),
			startTime: map['StartTime'] != null ? DateTime.parse(map['StartTime']) : null,
			endTime: map['EndTime'] != null ? DateTime.parse(map['EndTime']) : null,
			relevanceCode: map['RelevanceCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCodes != null)
			map['UserCodes'] = userCodes;
		if(code != null)
			map['Code'] = code;
		return map;
	}
}

class LiveMemberDTO {
	String? code;
	LiveMemberEnum memberType;
	String? name;
	String? headImageToken;
	LiveMemberStatus status;
	bool muteOpened;
	bool videoOpened;
	LiveDataDTO? liveData;
	bool isControllingParameter;
	DateTime? firstJoinTime;
	int sortLevel;
	List<VideoDeviceInfoDTO >? videoDeviceInfos;
	LoginSource loginSource;

	LiveMemberDTO({
		this.code,
		this.memberType = LiveMemberEnum.User,
		this.name,
		this.headImageToken,
		this.status = LiveMemberStatus.Default,
		this.muteOpened = false,
		this.videoOpened = false,
		this.liveData,
		this.isControllingParameter = false,
		this.firstJoinTime,
		this.sortLevel = 0,
		this.videoDeviceInfos,
		this.loginSource = LoginSource.PC,
	});

	factory LiveMemberDTO.fromJson(Map<String, dynamic> map) {
		return LiveMemberDTO( 
			code: map['Code'],
			memberType: LiveMemberEnum.values.firstWhere((e) => e.index == map['MemberType']),
			name: map['Name'],
			headImageToken: map['HeadImageToken'],
			status: LiveMemberStatus.values.firstWhere((e) => e.index == map['Status']),
			muteOpened: map['MuteOpened'],
			videoOpened: map['VideoOpened'],
			liveData: map['LiveData'] != null ? LiveDataDTO.fromJson(map['LiveData']) : null,
			isControllingParameter: map['IsControllingParameter'],
			firstJoinTime: map['FirstJoinTime'] != null ? DateTime.parse(map['FirstJoinTime']) : null,
			sortLevel: map['SortLevel'],
			videoDeviceInfos: map['VideoDeviceInfos'] != null ? (map['VideoDeviceInfos'] as List).map((e)=>VideoDeviceInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			loginSource: LoginSource.values.firstWhere((e) => e.index == map['LoginSource']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(code != null)
			map['Code'] = code;
		map['MemberType'] = memberType.index;
		if(name != null)
			map['Name'] = name;
		if(headImageToken != null)
			map['HeadImageToken'] = headImageToken;
		map['Status'] = status.index;
		map['MuteOpened'] = muteOpened;
		map['VideoOpened'] = videoOpened;
		if(liveData != null)
			map['LiveData'] = liveData;
		map['IsControllingParameter'] = isControllingParameter;
		if(firstJoinTime != null)
			map['FirstJoinTime'] = JsonRpcUtils.dateFormat(firstJoinTime!);
		map['SortLevel'] = sortLevel;
		if(videoDeviceInfos != null)
			map['VideoDeviceInfos'] = videoDeviceInfos;
		map['LoginSource'] = loginSource.index;
		return map;
	}
}

class LiveViewerDTO {
	String? userCode;
	String? name;
	DateTime? lastReportTime;

	LiveViewerDTO({
		this.userCode,
		this.name,
		this.lastReportTime,
	});

	factory LiveViewerDTO.fromJson(Map<String, dynamic> map) {
		return LiveViewerDTO( 
			userCode: map['UserCode'],
			name: map['Name'],
			lastReportTime: map['LastReportTime'] != null ? DateTime.parse(map['LastReportTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(name != null)
			map['Name'] = name;
		if(lastReportTime != null)
			map['LastReportTime'] = JsonRpcUtils.dateFormat(lastReportTime!);
		return map;
	}
}

class LiveRoomInfoDTO {
	String? roomId;
	int roomNo;
	String? msgQueueId;
	List<LiveMemberDTO >? members;
	List<LiveViewerDTO >? viewerInfos;
	LiveMemberDTO? initiator;
	List<LiveMemberDTO >? userInfos;
	List<LiveMemberDTO >? deviceInfos;
	List<LiveMemberDTO >? expertUserInfos;
	List<LiveMemberDTO >? assistantsInfos;
	LiveRoomStatus status;
	String? name;
	DateTime? liveTime;
	int liveStatus;
	List<InteractiveBoardDataDTO >? interactiveBoardDatas;

	LiveRoomInfoDTO({
		this.roomId,
		this.roomNo = 0,
		this.msgQueueId,
		this.members,
		this.viewerInfos,
		this.initiator,
		this.userInfos,
		this.deviceInfos,
		this.expertUserInfos,
		this.assistantsInfos,
		this.status = LiveRoomStatus.Default,
		this.name,
		this.liveTime,
		this.liveStatus = 0,
		this.interactiveBoardDatas,
	});

	factory LiveRoomInfoDTO.fromJson(Map<String, dynamic> map) {
		return LiveRoomInfoDTO( 
			roomId: map['RoomId'],
			roomNo: map['RoomNo'],
			msgQueueId: map['MsgQueueId'],
			members: map['Members'] != null ? (map['Members'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			viewerInfos: map['ViewerInfos'] != null ? (map['ViewerInfos'] as List).map((e)=>LiveViewerDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			initiator: map['Initiator'] != null ? LiveMemberDTO.fromJson(map['Initiator']) : null,
			userInfos: map['UserInfos'] != null ? (map['UserInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			deviceInfos: map['DeviceInfos'] != null ? (map['DeviceInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			expertUserInfos: map['ExpertUserInfos'] != null ? (map['ExpertUserInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			assistantsInfos: map['AssistantsInfos'] != null ? (map['AssistantsInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			status: LiveRoomStatus.values.firstWhere((e) => e.index == map['Status']),
			name: map['Name'],
			liveTime: map['LiveTime'] != null ? DateTime.parse(map['LiveTime']) : null,
			liveStatus: map['LiveStatus'],
			interactiveBoardDatas: map['InteractiveBoardDatas'] != null ? (map['InteractiveBoardDatas'] as List).map((e)=>InteractiveBoardDataDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(roomId != null)
			map['RoomId'] = roomId;
		map['RoomNo'] = roomNo;
		if(msgQueueId != null)
			map['MsgQueueId'] = msgQueueId;
		if(members != null)
			map['Members'] = members;
		if(viewerInfos != null)
			map['ViewerInfos'] = viewerInfos;
		if(initiator != null)
			map['Initiator'] = initiator;
		if(userInfos != null)
			map['UserInfos'] = userInfos;
		if(deviceInfos != null)
			map['DeviceInfos'] = deviceInfos;
		if(expertUserInfos != null)
			map['ExpertUserInfos'] = expertUserInfos;
		if(assistantsInfos != null)
			map['AssistantsInfos'] = assistantsInfos;
		map['Status'] = status.index;
		if(name != null)
			map['Name'] = name;
		if(liveTime != null)
			map['LiveTime'] = JsonRpcUtils.dateFormat(liveTime!);
		map['LiveStatus'] = liveStatus;
		if(interactiveBoardDatas != null)
			map['InteractiveBoardDatas'] = interactiveBoardDatas;
		return map;
	}
}

class RtcBoardDataDTO {
	String? userCode;
	String? boardData;
	DateTime? interactiveTime;

	RtcBoardDataDTO({
		this.userCode,
		this.boardData,
		this.interactiveTime,
	});

	factory RtcBoardDataDTO.fromJson(Map<String, dynamic> map) {
		return RtcBoardDataDTO( 
			userCode: map['UserCode'],
			boardData: map['BoardData'],
			interactiveTime: map['InteractiveTime'] != null ? DateTime.parse(map['InteractiveTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(boardData != null)
			map['BoardData'] = boardData;
		if(interactiveTime != null)
			map['InteractiveTime'] = JsonRpcUtils.dateFormat(interactiveTime!);
		return map;
	}
}

class RtcLiveDataDTO {
	String? pullUrl;

	RtcLiveDataDTO({
		this.pullUrl,
	});

	factory RtcLiveDataDTO.fromJson(Map<String, dynamic> map) {
		return RtcLiveDataDTO( 
			pullUrl: map['PullUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(pullUrl != null)
			map['PullUrl'] = pullUrl;
		return map;
	}
}

class RtcMemberDTO {
	String? id;
	String? name;
	String? avatarUrl;
	LiveMemberEnum memberType;
	LiveMemberStatus status;
	bool muteOpened;
	bool videoOpened;
	bool isInitiator;
	bool isControllingParameter;
	RtcLiveDataDTO? rtcLiveData;

	RtcMemberDTO({
		this.id,
		this.name,
		this.avatarUrl,
		this.memberType = LiveMemberEnum.User,
		this.status = LiveMemberStatus.Default,
		this.muteOpened = false,
		this.videoOpened = false,
		this.isInitiator = false,
		this.isControllingParameter = false,
		this.rtcLiveData,
	});

	factory RtcMemberDTO.fromJson(Map<String, dynamic> map) {
		return RtcMemberDTO( 
			id: map['Id'],
			name: map['Name'],
			avatarUrl: map['AvatarUrl'],
			memberType: LiveMemberEnum.values.firstWhere((e) => e.index == map['MemberType']),
			status: LiveMemberStatus.values.firstWhere((e) => e.index == map['Status']),
			muteOpened: map['MuteOpened'],
			videoOpened: map['VideoOpened'],
			isInitiator: map['IsInitiator'],
			isControllingParameter: map['IsControllingParameter'],
			rtcLiveData: map['RtcLiveData'] != null ? RtcLiveDataDTO.fromJson(map['RtcLiveData']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(id != null)
			map['Id'] = id;
		if(name != null)
			map['Name'] = name;
		if(avatarUrl != null)
			map['AvatarUrl'] = avatarUrl;
		map['MemberType'] = memberType.index;
		map['Status'] = status.index;
		map['MuteOpened'] = muteOpened;
		map['VideoOpened'] = videoOpened;
		map['IsInitiator'] = isInitiator;
		map['IsControllingParameter'] = isControllingParameter;
		if(rtcLiveData != null)
			map['RtcLiveData'] = rtcLiveData;
		return map;
	}
}

class RtcViewerDTO {
	String? userCode;
	DateTime? lastReportTime;

	RtcViewerDTO({
		this.userCode,
		this.lastReportTime,
	});

	factory RtcViewerDTO.fromJson(Map<String, dynamic> map) {
		return RtcViewerDTO( 
			userCode: map['UserCode'],
			lastReportTime: map['LastReportTime'] != null ? DateTime.parse(map['LastReportTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(lastReportTime != null)
			map['LastReportTime'] = JsonRpcUtils.dateFormat(lastReportTime!);
		return map;
	}
}

class RtcRoomDTO {
	String? liveRoomCode;
	String? name;
	String? initiateCode;
	int rtcRoomId;
	int sdkAppId;
	String? msgQueueId;
	LiveRoomStatus status;
	List<RtcMemberDTO >? members;
	List<RtcViewerDTO >? viewers;
	List<RtcBoardDataDTO >? interactiveBoardDatas;

	RtcRoomDTO({
		this.liveRoomCode,
		this.name,
		this.initiateCode,
		this.rtcRoomId = 0,
		this.sdkAppId = 0,
		this.msgQueueId,
		this.status = LiveRoomStatus.Default,
		this.members,
		this.viewers,
		this.interactiveBoardDatas,
	});

	factory RtcRoomDTO.fromJson(Map<String, dynamic> map) {
		return RtcRoomDTO( 
			liveRoomCode: map['LiveRoomCode'],
			name: map['Name'],
			initiateCode: map['InitiateCode'],
			rtcRoomId: map['RtcRoomId'],
			sdkAppId: map['SdkAppId'],
			msgQueueId: map['MsgQueueId'],
			status: LiveRoomStatus.values.firstWhere((e) => e.index == map['Status']),
			members: map['Members'] != null ? (map['Members'] as List).map((e)=>RtcMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			viewers: map['Viewers'] != null ? (map['Viewers'] as List).map((e)=>RtcViewerDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			interactiveBoardDatas: map['InteractiveBoardDatas'] != null ? (map['InteractiveBoardDatas'] as List).map((e)=>RtcBoardDataDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(liveRoomCode != null)
			map['LiveRoomCode'] = liveRoomCode;
		if(name != null)
			map['Name'] = name;
		if(initiateCode != null)
			map['InitiateCode'] = initiateCode;
		map['RtcRoomId'] = rtcRoomId;
		map['SdkAppId'] = sdkAppId;
		if(msgQueueId != null)
			map['MsgQueueId'] = msgQueueId;
		map['Status'] = status.index;
		if(members != null)
			map['Members'] = members;
		if(viewers != null)
			map['Viewers'] = viewers;
		if(interactiveBoardDatas != null)
			map['InteractiveBoardDatas'] = interactiveBoardDatas;
		return map;
	}
}

class ReportElementDTO {
	String? key;
	String? tagId;
	String? name;
	String? aILanguage;

	ReportElementDTO({
		this.key,
		this.tagId,
		this.name,
		this.aILanguage,
	});

	factory ReportElementDTO.fromJson(Map<String, dynamic> map) {
		return ReportElementDTO( 
			key: map['Key'],
			tagId: map['TagId'],
			name: map['Name'],
			aILanguage: map['AILanguage'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(key != null)
			map['Key'] = key;
		if(tagId != null)
			map['TagId'] = tagId;
		if(name != null)
			map['Name'] = name;
		if(aILanguage != null)
			map['AILanguage'] = aILanguage;
		return map;
	}
}

class ReportPosterDTO extends BaseDTO{
	String? reportPosterCode;
	String? receiverName;
	String? contact;
	String? phone;
	String? targetUrl;
	String? template;
	ReportPosterTypeEnum posterType;
	ReportFormatEnum reportFormat;
	int postTimeout;
	List<String >? deviceIds;

	ReportPosterDTO({
		this.reportPosterCode,
		this.receiverName,
		this.contact,
		this.phone,
		this.targetUrl,
		this.template,
		this.posterType = ReportPosterTypeEnum.Default,
		this.reportFormat = ReportFormatEnum.Json,
		this.postTimeout = 0,
		this.deviceIds,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ReportPosterDTO.fromJson(Map<String, dynamic> map) {
		return ReportPosterDTO( 
			reportPosterCode: map['ReportPosterCode'],
			receiverName: map['ReceiverName'],
			contact: map['Contact'],
			phone: map['Phone'],
			targetUrl: map['TargetUrl'],
			template: map['Template'],
			posterType: ReportPosterTypeEnum.values.firstWhere((e) => e.index == map['PosterType']),
			reportFormat: ReportFormatEnum.values.firstWhere((e) => e.index == map['ReportFormat']),
			postTimeout: map['PostTimeout'],
			deviceIds: map['DeviceIds'] != null ? map['DeviceIds'].cast<String>().toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(reportPosterCode != null)
			map['ReportPosterCode'] = reportPosterCode;
		if(receiverName != null)
			map['ReceiverName'] = receiverName;
		if(contact != null)
			map['Contact'] = contact;
		if(phone != null)
			map['Phone'] = phone;
		if(targetUrl != null)
			map['TargetUrl'] = targetUrl;
		if(template != null)
			map['Template'] = template;
		map['PosterType'] = posterType.index;
		map['ReportFormat'] = reportFormat.index;
		map['PostTimeout'] = postTimeout;
		if(deviceIds != null)
			map['DeviceIds'] = deviceIds;
		return map;
	}
}

class ReportPushRecordDTO extends BaseDTO{
	String? pushRecordCode;
	String? patientId;
	String? patientName;
	String? poseterConfigId;
	PushDataStateEnum state;
	String? poseterConfigName;
	String? reportId;
	String? patientRecordId;
	String? pushResultToken;
	String? pushResponse;

	ReportPushRecordDTO({
		this.pushRecordCode,
		this.patientId,
		this.patientName,
		this.poseterConfigId,
		this.state = PushDataStateEnum.UnDo,
		this.poseterConfigName,
		this.reportId,
		this.patientRecordId,
		this.pushResultToken,
		this.pushResponse,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ReportPushRecordDTO.fromJson(Map<String, dynamic> map) {
		return ReportPushRecordDTO( 
			pushRecordCode: map['PushRecordCode'],
			patientId: map['PatientId'],
			patientName: map['PatientName'],
			poseterConfigId: map['PoseterConfigId'],
			state: PushDataStateEnum.values.firstWhere((e) => e.index == map['State']),
			poseterConfigName: map['PoseterConfigName'],
			reportId: map['ReportId'],
			patientRecordId: map['PatientRecordId'],
			pushResultToken: map['PushResultToken'],
			pushResponse: map['PushResponse'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(pushRecordCode != null)
			map['PushRecordCode'] = pushRecordCode;
		if(patientId != null)
			map['PatientId'] = patientId;
		if(patientName != null)
			map['PatientName'] = patientName;
		if(poseterConfigId != null)
			map['PoseterConfigId'] = poseterConfigId;
		map['State'] = state.index;
		if(poseterConfigName != null)
			map['PoseterConfigName'] = poseterConfigName;
		if(reportId != null)
			map['ReportId'] = reportId;
		if(patientRecordId != null)
			map['PatientRecordId'] = patientRecordId;
		if(pushResultToken != null)
			map['PushResultToken'] = pushResultToken;
		if(pushResponse != null)
			map['PushResponse'] = pushResponse;
		return map;
	}
}

class ProbeSettingInfoDTO {
	String? name;
	List<ApplicationSettingInfoDTO >? applications;

	ProbeSettingInfoDTO({
		this.name,
		this.applications,
	});

	factory ProbeSettingInfoDTO.fromJson(Map<String, dynamic> map) {
		return ProbeSettingInfoDTO( 
			name: map['Name'],
			applications: map['Applications'] != null ? (map['Applications'] as List).map((e)=>ApplicationSettingInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(name != null)
			map['Name'] = name;
		if(applications != null)
			map['Applications'] = applications;
		return map;
	}
}

class ProbeApplicationSettingInfoDTO {
	List<ProbeSettingInfoDTO >? probes;
	String? activeProbe;
	String? activeApplication;
	int maxNumberForApplication;
	int maxNumberForApplicationOfUserDefine;

	ProbeApplicationSettingInfoDTO({
		this.probes,
		this.activeProbe,
		this.activeApplication,
		this.maxNumberForApplication = 0,
		this.maxNumberForApplicationOfUserDefine = 0,
	});

	factory ProbeApplicationSettingInfoDTO.fromJson(Map<String, dynamic> map) {
		return ProbeApplicationSettingInfoDTO( 
			probes: map['Probes'] != null ? (map['Probes'] as List).map((e)=>ProbeSettingInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			activeProbe: map['ActiveProbe'],
			activeApplication: map['ActiveApplication'],
			maxNumberForApplication: map['MaxNumberForApplication'],
			maxNumberForApplicationOfUserDefine: map['MaxNumberForApplicationOfUserDefine'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(probes != null)
			map['Probes'] = probes;
		if(activeProbe != null)
			map['ActiveProbe'] = activeProbe;
		if(activeApplication != null)
			map['ActiveApplication'] = activeApplication;
		map['MaxNumberForApplication'] = maxNumberForApplication;
		map['MaxNumberForApplicationOfUserDefine'] = maxNumberForApplicationOfUserDefine;
		return map;
	}
}

class RegionItemDTO {
	String? c;
	String? g;
	String? f;
	String? n;

	RegionItemDTO({
		this.c,
		this.g,
		this.f,
		this.n,
	});

	factory RegionItemDTO.fromJson(Map<String, dynamic> map) {
		return RegionItemDTO( 
			c: map['c'],
			g: map['g'],
			f: map['f'],
			n: map['n'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(c != null)
			map['c'] = c;
		if(g != null)
			map['g'] = g;
		if(f != null)
			map['f'] = f;
		if(n != null)
			map['n'] = n;
		return map;
	}
}

class RegionDataDTO {
	String? lang;
	List<RegionItemDTO >? datas;

	RegionDataDTO({
		this.lang,
		this.datas,
	});

	factory RegionDataDTO.fromJson(Map<String, dynamic> map) {
		return RegionDataDTO( 
			lang: map['lang'],
			datas: map['datas'] != null ? (map['datas'] as List).map((e)=>RegionItemDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(lang != null)
			map['lang'] = lang;
		if(datas != null)
			map['datas'] = datas;
		return map;
	}
}

class ReferralRecordSettingDTO extends BaseDTO{
	String? referralRecordSettingCode;
	double limitHours;

	ReferralRecordSettingDTO({
		this.referralRecordSettingCode,
		this.limitHours = 0,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ReferralRecordSettingDTO.fromJson(Map<String, dynamic> map) {
		return ReferralRecordSettingDTO( 
			referralRecordSettingCode: map['ReferralRecordSettingCode'],
			limitHours: double.parse(map['LimitHours'].toString()),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(referralRecordSettingCode != null)
			map['ReferralRecordSettingCode'] = referralRecordSettingCode;
		map['LimitHours'] = limitHours;
		return map;
	}
}

class CreatePaymentRecordResultDTO {
	String? paymentRecordCode;

	CreatePaymentRecordResultDTO({
		this.paymentRecordCode,
	});

	factory CreatePaymentRecordResultDTO.fromJson(Map<String, dynamic> map) {
		return CreatePaymentRecordResultDTO( 
			paymentRecordCode: map['PaymentRecordCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(paymentRecordCode != null)
			map['PaymentRecordCode'] = paymentRecordCode;
		return map;
	}
}

class CreateProductDTO extends BaseDTO{
	String? productCode;

	CreateProductDTO({
		this.productCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory CreateProductDTO.fromJson(Map<String, dynamic> map) {
		return CreateProductDTO( 
			productCode: map['ProductCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(productCode != null)
			map['ProductCode'] = productCode;
		return map;
	}
}

class PaymentRecordDTO extends BaseDTO{
	String? orderCode;
	double payAmount;
	DateTime? payTime;
	PayStatusEnum payStatus;
	PayTypeEnum payType;
	String? payReqContent;
	String? payResContent;

	PaymentRecordDTO({
		this.orderCode,
		this.payAmount = 0,
		this.payTime,
		this.payStatus = PayStatusEnum.NoPay,
		this.payType = PayTypeEnum.Alipay_PAGE,
		this.payReqContent,
		this.payResContent,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory PaymentRecordDTO.fromJson(Map<String, dynamic> map) {
		return PaymentRecordDTO( 
			orderCode: map['OrderCode'],
			payAmount: double.parse(map['PayAmount'].toString()),
			payTime: map['PayTime'] != null ? DateTime.parse(map['PayTime']) : null,
			payStatus: PayStatusEnum.values.firstWhere((e) => e.index == map['PayStatus']),
			payType: PayTypeEnum.values.firstWhere((e) => e.index == map['PayType']),
			payReqContent: map['PayReqContent'],
			payResContent: map['PayResContent'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(orderCode != null)
			map['OrderCode'] = orderCode;
		map['PayAmount'] = payAmount;
		if(payTime != null)
			map['PayTime'] = JsonRpcUtils.dateFormat(payTime!);
		map['PayStatus'] = payStatus.index;
		map['PayType'] = payType.index;
		if(payReqContent != null)
			map['PayReqContent'] = payReqContent;
		if(payResContent != null)
			map['PayResContent'] = payResContent;
		return map;
	}
}

class ProductDetailDTO extends BaseDTO{
	String? code;
	String? name;
	String? headImage;
	double price;
	ProductStatusEnum status;
	ProductTypeEnum productType;
	String? belongerCode;
	String? relationInfo;

	ProductDetailDTO({
		this.code,
		this.name,
		this.headImage,
		this.price = 0,
		this.status = ProductStatusEnum.SoldOut,
		this.productType = ProductTypeEnum.Course,
		this.belongerCode,
		this.relationInfo,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ProductDetailDTO.fromJson(Map<String, dynamic> map) {
		return ProductDetailDTO( 
			code: map['Code'],
			name: map['Name'],
			headImage: map['HeadImage'],
			price: double.parse(map['Price'].toString()),
			status: ProductStatusEnum.values.firstWhere((e) => e.index == map['Status']),
			productType: ProductTypeEnum.values.firstWhere((e) => e.index == map['ProductType']),
			belongerCode: map['BelongerCode'],
			relationInfo: map['RelationInfo'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		if(headImage != null)
			map['HeadImage'] = headImage;
		map['Price'] = price;
		map['Status'] = status.index;
		map['ProductType'] = productType.index;
		if(belongerCode != null)
			map['BelongerCode'] = belongerCode;
		if(relationInfo != null)
			map['RelationInfo'] = relationInfo;
		return map;
	}
}

class UpdateOrderResultDTO {
	bool isSuccess;

	UpdateOrderResultDTO({
		this.isSuccess = false,
	});

	factory UpdateOrderResultDTO.fromJson(Map<String, dynamic> map) {
		return UpdateOrderResultDTO( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		return map;
	}
}

class UpdatePaymentRecordResultDTO {
	bool isSuccess;

	UpdatePaymentRecordResultDTO({
		this.isSuccess = false,
	});

	factory UpdatePaymentRecordResultDTO.fromJson(Map<String, dynamic> map) {
		return UpdatePaymentRecordResultDTO( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		return map;
	}
}

class UpdateProductDTO {
	bool isSuccess;

	UpdateProductDTO({
		this.isSuccess = false,
	});

	factory UpdateProductDTO.fromJson(Map<String, dynamic> map) {
		return UpdateProductDTO( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['IsSuccess'] = isSuccess;
		return map;
	}
}

class StatisticDetailSettingDTO {
	String? cMSTemplateCode;

	StatisticDetailSettingDTO({
		this.cMSTemplateCode,
	});

	factory StatisticDetailSettingDTO.fromJson(Map<String, dynamic> map) {
		return StatisticDetailSettingDTO( 
			cMSTemplateCode: map['CMSTemplateCode'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		return map;
	}
}

class ClientInfoDTO {
	String? clientId;
	String? name;
	bool isReaded;
	DateTime? deliveryTime;
	DateTime? readTime;

	ClientInfoDTO({
		this.clientId,
		this.name,
		this.isReaded = false,
		this.deliveryTime,
		this.readTime,
	});

	factory ClientInfoDTO.fromJson(Map<String, dynamic> map) {
		return ClientInfoDTO( 
			clientId: map['ClientId'],
			name: map['Name'],
			isReaded: map['IsReaded'],
			deliveryTime: map['DeliveryTime'] != null ? DateTime.parse(map['DeliveryTime']) : null,
			readTime: map['ReadTime'] != null ? DateTime.parse(map['ReadTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(clientId != null)
			map['ClientId'] = clientId;
		if(name != null)
			map['Name'] = name;
		map['IsReaded'] = isReaded;
		if(deliveryTime != null)
			map['DeliveryTime'] = JsonRpcUtils.dateFormat(deliveryTime!);
		if(readTime != null)
			map['ReadTime'] = JsonRpcUtils.dateFormat(readTime!);
		return map;
	}
}

class MessageInfoDTO extends BaseDTO{
	String? code;
	NotificationTypeEnum notificationType;
	String? content;
	String? serverHost;
	DateTime? notifyTime;
	ApplicantTypeEnum receiverType;
	TransactionTypeEnum transactionType;
	String? relevanceCode;
	List<ClientInfoDTO >? clientInfos;

	MessageInfoDTO({
		this.code,
		this.notificationType = NotificationTypeEnum.Unknown,
		this.content,
		this.serverHost,
		this.notifyTime,
		this.receiverType = ApplicantTypeEnum.Client,
		this.transactionType = TransactionTypeEnum.Consultion,
		this.relevanceCode,
		this.clientInfos,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory MessageInfoDTO.fromJson(Map<String, dynamic> map) {
		return MessageInfoDTO( 
			code: map['Code'],
			notificationType: NotificationTypeEnum.values.firstWhere((e) => e.index == map['NotificationType']),
			content: map['Content'],
			serverHost: map['ServerHost'],
			notifyTime: map['NotifyTime'] != null ? DateTime.parse(map['NotifyTime']) : null,
			receiverType: ApplicantTypeEnum.values.firstWhere((e) => e.index == map['ReceiverType']),
			transactionType: TransactionTypeEnum.values.firstWhere((e) => e.index == map['TransactionType']),
			relevanceCode: map['RelevanceCode'],
			clientInfos: map['ClientInfos'] != null ? (map['ClientInfos'] as List).map((e)=>ClientInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		map['NotificationType'] = notificationType.index;
		if(content != null)
			map['Content'] = content;
		if(serverHost != null)
			map['ServerHost'] = serverHost;
		if(notifyTime != null)
			map['NotifyTime'] = JsonRpcUtils.dateFormat(notifyTime!);
		map['ReceiverType'] = receiverType.index;
		map['TransactionType'] = transactionType.index;
		if(relevanceCode != null)
			map['RelevanceCode'] = relevanceCode;
		if(clientInfos != null)
			map['ClientInfos'] = clientInfos;
		return map;
	}
}

class OutputUnitDTO {
	int unit;

	OutputUnitDTO({
		this.unit = 0,
	});

	factory OutputUnitDTO.fromJson(Map<String, dynamic> map) {
		return OutputUnitDTO( 
			unit: map['Unit'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Unit'] = unit;
		return map;
	}
}

class FormularMetaDTO {
	String? name;

	FormularMetaDTO({
		this.name,
	});

	factory FormularMetaDTO.fromJson(Map<String, dynamic> map) {
		return FormularMetaDTO( 
			name: map['Name'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(name != null)
			map['Name'] = name;
		return map;
	}
}

class MeasuredValueDTO {
	String? typeName;
	String? name;
	String? description;
	bool worksheetAffinity;
	String? briefDescription;
	String? value;
	Unit unit;
	Unit targetUnit;

	MeasuredValueDTO({
		this.typeName,
		this.name,
		this.description,
		this.worksheetAffinity = false,
		this.briefDescription,
		this.value,
		this.unit = Unit.None,
		this.targetUnit = Unit.None,
	});

	factory MeasuredValueDTO.fromJson(Map<String, dynamic> map) {
		return MeasuredValueDTO( 
			typeName: map['TypeName'],
			name: map['Name'],
			description: map['Description'],
			worksheetAffinity: map['WorksheetAffinity'],
			briefDescription: map['BriefDescription'],
			value: map['Value'],
			unit: Unit.values.firstWhere((e) => e.index == map['Unit']),
			targetUnit: Unit.values.firstWhere((e) => e.index == map['TargetUnit']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(typeName != null)
			map['TypeName'] = typeName;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		map['WorksheetAffinity'] = worksheetAffinity;
		if(briefDescription != null)
			map['BriefDescription'] = briefDescription;
		if(value != null)
			map['Value'] = value;
		map['Unit'] = unit.index;
		map['TargetUnit'] = targetUnit.index;
		return map;
	}
}

class MeasuredFeatureDTO {
	String? typeName;
	String? creator;
	String? guid;
	bool showChildFeatures;
	DateTime? timeStamp;
	bool isAutoCalculated;
	List<MeasuredValueDTO >? values;
	List<MeasuredFeatureDTO >? childFeatures;

	MeasuredFeatureDTO({
		this.typeName,
		this.creator,
		this.guid,
		this.showChildFeatures = false,
		this.timeStamp,
		this.isAutoCalculated = false,
		this.values,
		this.childFeatures,
	});

	factory MeasuredFeatureDTO.fromJson(Map<String, dynamic> map) {
		return MeasuredFeatureDTO( 
			typeName: map['TypeName'],
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(typeName != null)
			map['TypeName'] = typeName;
		if(creator != null)
			map['Creator'] = creator;
		if(guid != null)
			map['Guid'] = guid;
		map['ShowChildFeatures'] = showChildFeatures;
		if(timeStamp != null)
			map['TimeStamp'] = JsonRpcUtils.dateFormat(timeStamp!);
		map['IsAutoCalculated'] = isAutoCalculated;
		if(values != null)
			map['Values'] = values;
		if(childFeatures != null)
			map['ChildFeatures'] = childFeatures;
		return map;
	}
}

class MeasureExportRecordDTO {
	String? languageCode;
	List<String >? remedicalMeasuredInfoCodes;
	String? exportFileToken;
	DateTime? createTime;
	DateTime? updateTime;

	MeasureExportRecordDTO({
		this.languageCode,
		this.remedicalMeasuredInfoCodes,
		this.exportFileToken,
		this.createTime,
		this.updateTime,
	});

	factory MeasureExportRecordDTO.fromJson(Map<String, dynamic> map) {
		return MeasureExportRecordDTO( 
			languageCode: map['LanguageCode'],
			remedicalMeasuredInfoCodes: map['RemedicalMeasuredInfoCodes'] != null ? map['RemedicalMeasuredInfoCodes'].cast<String>().toList() : null,
			exportFileToken: map['ExportFileToken'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		if(remedicalMeasuredInfoCodes != null)
			map['RemedicalMeasuredInfoCodes'] = remedicalMeasuredInfoCodes;
		if(exportFileToken != null)
			map['ExportFileToken'] = exportFileToken;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(updateTime != null)
			map['UpdateTime'] = JsonRpcUtils.dateFormat(updateTime!);
		return map;
	}
}

class MeasureItemDTO {
	String? name;
	String? description;
	String? briefAnnotation;
	String? typeName;

	MeasureItemDTO({
		this.name,
		this.description,
		this.briefAnnotation,
		this.typeName,
	});

	factory MeasureItemDTO.fromJson(Map<String, dynamic> map) {
		return MeasureItemDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		if(briefAnnotation != null)
			map['BriefAnnotation'] = briefAnnotation;
		if(typeName != null)
			map['TypeName'] = typeName;
		return map;
	}
}

class MeasureResultExcelDTO {
	String? number;
	String? measureItem;
	String? measureResult;

	MeasureResultExcelDTO({
		this.number,
		this.measureItem,
		this.measureResult,
	});

	factory MeasureResultExcelDTO.fromJson(Map<String, dynamic> map) {
		return MeasureResultExcelDTO( 
			number: map['Number'],
			measureItem: map['MeasureItem'],
			measureResult: map['MeasureResult'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(number != null)
			map['Number'] = number;
		if(measureItem != null)
			map['MeasureItem'] = measureItem;
		if(measureResult != null)
			map['MeasureResult'] = measureResult;
		return map;
	}
}

class MultiMethodItemDTO extends MeasureItemDTO{

	MultiMethodItemDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory MultiMethodItemDTO.fromJson(Map<String, dynamic> map) {
		return MultiMethodItemDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class UserDefinedMeasureApplicationDTO {
	String? version;
	String? id;
	String? categoryName;
	List<UserDefinedMeasureModeDTO >? modes;

	UserDefinedMeasureApplicationDTO({
		this.version,
		this.id,
		this.categoryName,
		this.modes,
	});

	factory UserDefinedMeasureApplicationDTO.fromJson(Map<String, dynamic> map) {
		return UserDefinedMeasureApplicationDTO( 
			version: map['Version'],
			id: map['Id'],
			categoryName: map['CategoryName'],
			modes: map['Modes'] != null ? (map['Modes'] as List).map((e)=>UserDefinedMeasureModeDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(version != null)
			map['Version'] = version;
		if(id != null)
			map['Id'] = id;
		if(categoryName != null)
			map['CategoryName'] = categoryName;
		if(modes != null)
			map['Modes'] = modes;
		return map;
	}
}

class UserDefinedCommentDataDTO {
	String? version;
	String? languageCode;
	String? categoryName;
	String? applicationName;
	List<CommentItemDTO >? commentItems;

	UserDefinedCommentDataDTO({
		this.version,
		this.languageCode,
		this.categoryName,
		this.applicationName,
		this.commentItems,
	});

	factory UserDefinedCommentDataDTO.fromJson(Map<String, dynamic> map) {
		return UserDefinedCommentDataDTO( 
			version: map['Version'],
			languageCode: map['LanguageCode'],
			categoryName: map['CategoryName'],
			applicationName: map['ApplicationName'],
			commentItems: map['CommentItems'] != null ? (map['CommentItems'] as List).map((e)=>CommentItemDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(version != null)
			map['Version'] = version;
		if(languageCode != null)
			map['LanguageCode'] = languageCode;
		if(categoryName != null)
			map['CategoryName'] = categoryName;
		if(applicationName != null)
			map['ApplicationName'] = applicationName;
		if(commentItems != null)
			map['CommentItems'] = commentItems;
		return map;
	}
}

class UserDefinedMeasureInfoDTO {
	String? userId;
	Map<String,String>? systemSettings;
	List<UserDefinedMeasureApplicationDTO >? measureApplications;
	List<UserDefinedCommentDataDTO >? commentItems;

	UserDefinedMeasureInfoDTO({
		this.userId,
		this.systemSettings,
		this.measureApplications,
		this.commentItems,
	});

	factory UserDefinedMeasureInfoDTO.fromJson(Map<String, dynamic> map) {
		return UserDefinedMeasureInfoDTO( 
			userId: map['UserId'],
			systemSettings: map['SystemSettings'] != null ? map['SystemSettings'].cast<String,String>() : null,
			measureApplications: map['MeasureApplications'] != null ? (map['MeasureApplications'] as List).map((e)=>UserDefinedMeasureApplicationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			commentItems: map['CommentItems'] != null ? (map['CommentItems'] as List).map((e)=>UserDefinedCommentDataDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userId != null)
			map['UserId'] = userId;
		if(systemSettings != null)
			map['SystemSettings'] = systemSettings;
		if(measureApplications != null)
			map['MeasureApplications'] = measureApplications;
		if(commentItems != null)
			map['CommentItems'] = commentItems;
		return map;
	}
}

class AbRatioDTO extends MultiMethodItemDTO{

	AbRatioDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory AbRatioDTO.fromJson(Map<String, dynamic> map) {
		return AbRatioDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AngleDTO extends MeasureItemDTO{

	AngleDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory AngleDTO.fromJson(Map<String, dynamic> map) {
		return AngleDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AreaPerimeterDTO extends MultiMethodItemDTO{

	AreaPerimeterDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory AreaPerimeterDTO.fromJson(Map<String, dynamic> map) {
		return AreaPerimeterDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class CircleDTO extends MeasureItemDTO{

	CircleDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory CircleDTO.fromJson(Map<String, dynamic> map) {
		return CircleDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class CurveLengthDTO extends MultiMethodItemDTO{

	CurveLengthDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory CurveLengthDTO.fromJson(Map<String, dynamic> map) {
		return CurveLengthDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class EllipseDTO extends MeasureItemDTO{

	EllipseDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory EllipseDTO.fromJson(Map<String, dynamic> map) {
		return EllipseDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class LocationDTO extends MeasureItemDTO{

	LocationDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory LocationDTO.fromJson(Map<String, dynamic> map) {
		return LocationDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class LWHStraightLineDTO extends MeasureItemDTO{

	LWHStraightLineDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory LWHStraightLineDTO.fromJson(Map<String, dynamic> map) {
		return LWHStraightLineDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class PolylineDTO extends MeasureItemDTO{

	PolylineDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory PolylineDTO.fromJson(Map<String, dynamic> map) {
		return PolylineDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class RectDTO extends MeasureItemDTO{

	RectDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory RectDTO.fromJson(Map<String, dynamic> map) {
		return RectDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class StenosisDTO extends MultiMethodItemDTO{

	StenosisDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory StenosisDTO.fromJson(Map<String, dynamic> map) {
		return StenosisDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class StraightLineDTO extends MeasureItemDTO{

	StraightLineDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory StraightLineDTO.fromJson(Map<String, dynamic> map) {
		return StraightLineDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class VolumeDTO extends MultiMethodItemDTO{

	VolumeDTO({
		String? name,
		String? description,
		String? briefAnnotation,
		String? typeName,
	}) : super(
			name: name,
			description: description,
			briefAnnotation: briefAnnotation,
			typeName: typeName,
		);

	factory VolumeDTO.fromJson(Map<String, dynamic> map) {
		return VolumeDTO( 
			name: map['Name'],
			description: map['Description'],
			briefAnnotation: map['BriefAnnotation'],
			typeName: map['TypeName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class CardiacAxisFeatureDTO extends MeasuredFeatureDTO{
	String? logicalName;
	String? logicalMode;

	CardiacAxisFeatureDTO({
		String? typeName,
		this.logicalName,
		this.logicalMode,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory CardiacAxisFeatureDTO.fromJson(Map<String, dynamic> map) {
		return CardiacAxisFeatureDTO( 
			typeName: map['TypeName'],
			logicalName: map['LogicalName'],
			logicalMode: map['LogicalMode'],
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(logicalName != null)
			map['LogicalName'] = logicalName;
		if(logicalMode != null)
			map['LogicalMode'] = logicalMode;
		return map;
	}
}

class CustomCalculatorFeatureDTO extends MeasuredFeatureDTO{
	String? logicalName;
	String? logicalMode;

	CustomCalculatorFeatureDTO({
		String? typeName,
		this.logicalName,
		this.logicalMode,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory CustomCalculatorFeatureDTO.fromJson(Map<String, dynamic> map) {
		return CustomCalculatorFeatureDTO( 
			typeName: map['TypeName'],
			logicalName: map['LogicalName'],
			logicalMode: map['LogicalMode'],
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(logicalName != null)
			map['LogicalName'] = logicalName;
		if(logicalMode != null)
			map['LogicalMode'] = logicalMode;
		return map;
	}
}

class GeometryFeatureDTO extends MeasuredFeatureDTO{
	bool isVisible;
	String? annotation;
	String? briefAnnotation;
	Unit xUnit;
	Unit yUnit;
	bool showAnnotation;
	bool showCalliper;
	List<PointDTO >? points;

	GeometryFeatureDTO({
		this.isVisible = false,
		this.annotation,
		this.briefAnnotation,
		this.xUnit = Unit.None,
		this.yUnit = Unit.None,
		this.showAnnotation = false,
		this.showCalliper = false,
		this.points,
		String? typeName,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory GeometryFeatureDTO.fromJson(Map<String, dynamic> map) {
		return GeometryFeatureDTO( 
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			typeName: map['TypeName'],
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['IsVisible'] = isVisible;
		if(annotation != null)
			map['Annotation'] = annotation;
		if(briefAnnotation != null)
			map['BriefAnnotation'] = briefAnnotation;
		map['XUnit'] = xUnit.index;
		map['YUnit'] = yUnit.index;
		map['ShowAnnotation'] = showAnnotation;
		map['ShowCalliper'] = showCalliper;
		if(points != null)
			map['Points'] = points;
		return map;
	}
}

class CardiacCycleDTO {
	int index;
	PointDTO? systoleStart;
	PointDTO? diastoleEnd;
	PointDTO? peakSystolic;
	PointDTO? minimumAbsoluteVelocity;

	CardiacCycleDTO({
		this.index = 0,
		this.systoleStart,
		this.diastoleEnd,
		this.peakSystolic,
		this.minimumAbsoluteVelocity,
	});

	factory CardiacCycleDTO.fromJson(Map<String, dynamic> map) {
		return CardiacCycleDTO( 
			index: map['Index'],
			systoleStart: map['SystoleStart'] != null ? PointDTO.fromJson(map['SystoleStart']) : null,
			diastoleEnd: map['DiastoleEnd'] != null ? PointDTO.fromJson(map['DiastoleEnd']) : null,
			peakSystolic: map['PeakSystolic'] != null ? PointDTO.fromJson(map['PeakSystolic']) : null,
			minimumAbsoluteVelocity: map['MinimumAbsoluteVelocity'] != null ? PointDTO.fromJson(map['MinimumAbsoluteVelocity']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Index'] = index;
		if(systoleStart != null)
			map['SystoleStart'] = systoleStart;
		if(diastoleEnd != null)
			map['DiastoleEnd'] = diastoleEnd;
		if(peakSystolic != null)
			map['PeakSystolic'] = peakSystolic;
		if(minimumAbsoluteVelocity != null)
			map['MinimumAbsoluteVelocity'] = minimumAbsoluteVelocity;
		return map;
	}
}

class GrowthPercentileDTO {
	int oBTableCategory;
	String? tableAuthor;
	String? measureItem;
	int gAinDays;
	int status;
	double value;
	double tableDataLimitation;
	double zScoreValue;
	int zScoreStatus;

	GrowthPercentileDTO({
		this.oBTableCategory = 0,
		this.tableAuthor,
		this.measureItem,
		this.gAinDays = 0,
		this.status = 0,
		this.value = 0,
		this.tableDataLimitation = 0,
		this.zScoreValue = 0,
		this.zScoreStatus = 0,
	});

	factory GrowthPercentileDTO.fromJson(Map<String, dynamic> map) {
		return GrowthPercentileDTO( 
			oBTableCategory: map['OBTableCategory'],
			tableAuthor: map['TableAuthor'],
			measureItem: map['MeasureItem'],
			gAinDays: map['GAinDays'],
			status: map['Status'],
			value: double.parse(map['Value'].toString()),
			tableDataLimitation: double.parse(map['TableDataLimitation'].toString()),
			zScoreValue: double.parse(map['ZScoreValue'].toString()),
			zScoreStatus: map['ZScoreStatus'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['OBTableCategory'] = oBTableCategory;
		if(tableAuthor != null)
			map['TableAuthor'] = tableAuthor;
		if(measureItem != null)
			map['MeasureItem'] = measureItem;
		map['GAinDays'] = gAinDays;
		map['Status'] = status;
		map['Value'] = value;
		map['TableDataLimitation'] = tableDataLimitation;
		map['ZScoreValue'] = zScoreValue;
		map['ZScoreStatus'] = zScoreStatus;
		return map;
	}
}

class GrowthAgeDTO {
	int oBTableCategory;
	String? tableAuthor;
	String? measureItem;
	int days;
	int status;
	int minDays;
	int maxDays;

	GrowthAgeDTO({
		this.oBTableCategory = 0,
		this.tableAuthor,
		this.measureItem,
		this.days = 0,
		this.status = 0,
		this.minDays = 0,
		this.maxDays = 0,
	});

	factory GrowthAgeDTO.fromJson(Map<String, dynamic> map) {
		return GrowthAgeDTO( 
			oBTableCategory: map['OBTableCategory'],
			tableAuthor: map['TableAuthor'],
			measureItem: map['MeasureItem'],
			days: map['Days'],
			status: map['Status'],
			minDays: map['MinDays'],
			maxDays: map['MaxDays'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['OBTableCategory'] = oBTableCategory;
		if(tableAuthor != null)
			map['TableAuthor'] = tableAuthor;
		if(measureItem != null)
			map['MeasureItem'] = measureItem;
		map['Days'] = days;
		map['Status'] = status;
		map['MinDays'] = minDays;
		map['MaxDays'] = maxDays;
		return map;
	}
}

class FetalGrowthIndexDTO {
	GrowthPercentileDTO? percentile;
	GrowthAgeDTO? growthAge;
	DateTime? estimateDueDate;

	FetalGrowthIndexDTO({
		this.percentile,
		this.growthAge,
		this.estimateDueDate,
	});

	factory FetalGrowthIndexDTO.fromJson(Map<String, dynamic> map) {
		return FetalGrowthIndexDTO( 
			percentile: map['Percentile'] != null ? GrowthPercentileDTO.fromJson(map['Percentile']) : null,
			growthAge: map['GrowthAge'] != null ? GrowthAgeDTO.fromJson(map['GrowthAge']) : null,
			estimateDueDate: map['EstimateDueDate'] != null ? DateTime.parse(map['EstimateDueDate']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(percentile != null)
			map['Percentile'] = percentile;
		if(growthAge != null)
			map['GrowthAge'] = growthAge;
		if(estimateDueDate != null)
			map['EstimateDueDate'] = JsonRpcUtils.dateFormat(estimateDueDate!);
		return map;
	}
}

class FloatValueDTO extends MeasuredValueDTO{
	FetalGrowthIndexDTO? fetalGrowthIndex;
	String? typeName;
	String? name;
	String? description;
	bool worksheetAffinity;
	String? briefDescription;
	String? value;
	Unit unit;
	Unit targetUnit;

	FloatValueDTO({
		this.fetalGrowthIndex,
		this.typeName,
		this.name,
		this.description,
		this.worksheetAffinity = false,
		this.briefDescription,
		this.value,
		this.unit = Unit.None,
		this.targetUnit = Unit.None,
	});

	factory FloatValueDTO.fromJson(Map<String, dynamic> map) {
		return FloatValueDTO( 
			fetalGrowthIndex: map['FetalGrowthIndex'] != null ? FetalGrowthIndexDTO.fromJson(map['FetalGrowthIndex']) : null,
			typeName: map['TypeName'],
			name: map['Name'],
			description: map['Description'],
			worksheetAffinity: map['WorksheetAffinity'],
			briefDescription: map['BriefDescription'],
			value: map['Value'],
			unit: Unit.values.firstWhere((e) => e.index == map['Unit']),
			targetUnit: Unit.values.firstWhere((e) => e.index == map['TargetUnit']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class DopplerTraceFeatureDTO extends GeometryFeatureDTO{
	int avgHeartCycle;
	ASETypeEnum traceType;
	List<PointDTO >? maxTraceLine;
	List<CardiacCycleDTO >? cardiacCycles;
	List<FloatValueDTO >? autoMeasureValues;

	DopplerTraceFeatureDTO({
		String? typeName,
		this.avgHeartCycle = 0,
		this.traceType = ASETypeEnum.Off,
		this.maxTraceLine,
		this.cardiacCycles,
		this.autoMeasureValues,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory DopplerTraceFeatureDTO.fromJson(Map<String, dynamic> map) {
		return DopplerTraceFeatureDTO( 
			typeName: map['TypeName'],
			avgHeartCycle: map['AvgHeartCycle'],
			traceType: ASETypeEnum.values.firstWhere((e) => e.index == map['TraceType']),
			maxTraceLine: map['MaxTraceLine'] != null ? (map['MaxTraceLine'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			cardiacCycles: map['CardiacCycles'] != null ? (map['CardiacCycles'] as List).map((e)=>CardiacCycleDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			autoMeasureValues: map['AutoMeasureValues'] != null ? (map['AutoMeasureValues'] as List).map((e)=>FloatValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['AvgHeartCycle'] = avgHeartCycle;
		map['TraceType'] = traceType.index;
		if(maxTraceLine != null)
			map['MaxTraceLine'] = maxTraceLine;
		if(cardiacCycles != null)
			map['CardiacCycles'] = cardiacCycles;
		if(autoMeasureValues != null)
			map['AutoMeasureValues'] = autoMeasureValues;
		return map;
	}
}

class EllipseFeatureDTO extends GeometryFeatureDTO{
	double angle;

	EllipseFeatureDTO({
		String? typeName,
		this.angle = 0,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory EllipseFeatureDTO.fromJson(Map<String, dynamic> map) {
		return EllipseFeatureDTO( 
			typeName: map['TypeName'],
			angle: double.parse(map['Angle'].toString()),
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['Angle'] = angle;
		return map;
	}
}

class AutoMeasureGeometryDTO {
	int index;
	List<PointDTO >? points;

	AutoMeasureGeometryDTO({
		this.index = 0,
		this.points,
	});

	factory AutoMeasureGeometryDTO.fromJson(Map<String, dynamic> map) {
		return AutoMeasureGeometryDTO( 
			index: map['Index'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Index'] = index;
		if(points != null)
			map['Points'] = points;
		return map;
	}
}

class FollicleShapeFeatureDTO extends GeometryFeatureDTO{
	List<AutoMeasureGeometryDTO >? geometries;

	FollicleShapeFeatureDTO({
		String? typeName,
		this.geometries,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory FollicleShapeFeatureDTO.fromJson(Map<String, dynamic> map) {
		return FollicleShapeFeatureDTO( 
			typeName: map['TypeName'],
			geometries: map['Geometries'] != null ? (map['Geometries'] as List).map((e)=>AutoMeasureGeometryDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(geometries != null)
			map['Geometries'] = geometries;
		return map;
	}
}

class LocationFeatureDTO extends GeometryFeatureDTO{

	LocationFeatureDTO({
		String? typeName,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory LocationFeatureDTO.fromJson(Map<String, dynamic> map) {
		return LocationFeatureDTO( 
			typeName: map['TypeName'],
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class RayFeatureDTO extends LocationFeatureDTO{
	bool isReverse;
	double angle;

	RayFeatureDTO({
		String? typeName,
		this.isReverse = false,
		this.angle = 0,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory RayFeatureDTO.fromJson(Map<String, dynamic> map) {
		return RayFeatureDTO( 
			typeName: map['TypeName'],
			isReverse: map['IsReverse'],
			angle: double.parse(map['Angle'].toString()),
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['IsReverse'] = isReverse;
		map['Angle'] = angle;
		return map;
	}
}

class ManualTraceFeatureDTO extends GeometryFeatureDTO{

	ManualTraceFeatureDTO({
		String? typeName,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory ManualTraceFeatureDTO.fromJson(Map<String, dynamic> map) {
		return ManualTraceFeatureDTO( 
			typeName: map['TypeName'],
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class PolyLineFeatureDTO extends MeasuredFeatureDTO{
	bool isClosed;
	double splineTension;

	PolyLineFeatureDTO({
		String? typeName,
		this.isClosed = false,
		this.splineTension = 0,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory PolyLineFeatureDTO.fromJson(Map<String, dynamic> map) {
		return PolyLineFeatureDTO( 
			typeName: map['TypeName'],
			isClosed: map['IsClosed'],
			splineTension: double.parse(map['SplineTension'].toString()),
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['IsClosed'] = isClosed;
		map['SplineTension'] = splineTension;
		return map;
	}
}

class TraceLineFeatureDTO extends PolyLineFeatureDTO{

	TraceLineFeatureDTO({
		String? typeName,
		bool isClosed = false,
		double splineTension = 0,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			isClosed: isClosed,
			splineTension: splineTension,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory TraceLineFeatureDTO.fromJson(Map<String, dynamic> map) {
		return TraceLineFeatureDTO( 
			typeName: map['TypeName'],
			isClosed: map['IsClosed'],
			splineTension: double.parse(map['SplineTension'].toString()),
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class SimpsonPathFeatureDTO extends TraceLineFeatureDTO{
	PointDTO? centerLineMovablePoint;

	SimpsonPathFeatureDTO({
		String? typeName,
		this.centerLineMovablePoint,
		bool isClosed = false,
		double splineTension = 0,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			isClosed: isClosed,
			splineTension: splineTension,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory SimpsonPathFeatureDTO.fromJson(Map<String, dynamic> map) {
		return SimpsonPathFeatureDTO( 
			typeName: map['TypeName'],
			centerLineMovablePoint: map['CenterLineMovablePoint'] != null ? PointDTO.fromJson(map['CenterLineMovablePoint']) : null,
			isClosed: map['IsClosed'],
			splineTension: double.parse(map['SplineTension'].toString()),
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(centerLineMovablePoint != null)
			map['CenterLineMovablePoint'] = centerLineMovablePoint;
		return map;
	}
}

class RectFeatureDTO extends GeometryFeatureDTO{
	bool showRootFeature;
	List<MeasuredFeatureDTO >? autoLines;

	RectFeatureDTO({
		String? typeName,
		this.showRootFeature = false,
		this.autoLines,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory RectFeatureDTO.fromJson(Map<String, dynamic> map) {
		return RectFeatureDTO( 
			typeName: map['TypeName'],
			showRootFeature: map['ShowRootFeature'],
			autoLines: map['AutoLines'] != null ? (map['AutoLines'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['ShowRootFeature'] = showRootFeature;
		if(autoLines != null)
			map['AutoLines'] = autoLines;
		return map;
	}
}

class FollicleRectFeatureDTO extends RectFeatureDTO{

	FollicleRectFeatureDTO({
		String? typeName,
		bool showRootFeature = false,
		List<MeasuredFeatureDTO >? autoLines,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			typeName: typeName,
			showRootFeature: showRootFeature,
			autoLines: autoLines,
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory FollicleRectFeatureDTO.fromJson(Map<String, dynamic> map) {
		return FollicleRectFeatureDTO( 
			typeName: map['TypeName'],
			showRootFeature: map['ShowRootFeature'],
			autoLines: map['AutoLines'] != null ? (map['AutoLines'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class StraightLineFeatureDTO extends GeometryFeatureDTO{
	StraightLineShapeEnum shapeType;
	bool useDashLine;

	StraightLineFeatureDTO({
		String? typeName,
		this.shapeType = StraightLineShapeEnum.StraightLine,
		this.useDashLine = false,
		bool isVisible = false,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory StraightLineFeatureDTO.fromJson(Map<String, dynamic> map) {
		return StraightLineFeatureDTO( 
			typeName: map['TypeName'],
			shapeType: StraightLineShapeEnum.values.firstWhere((e) => e.index == map['ShapeType']),
			useDashLine: map['UseDashLine'],
			isVisible: map['IsVisible'],
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['ShapeType'] = shapeType.index;
		map['UseDashLine'] = useDashLine;
		return map;
	}
}

class VasPlaqueSplitterFeatureDTO extends GeometryFeatureDTO{
	int maxZoneCount;
	int currentZoneCount;
	int angle;
	List<PointDTO >? splitterLinesPoints;

	VasPlaqueSplitterFeatureDTO({
		String? typeName,
		this.maxZoneCount = 0,
		this.currentZoneCount = 0,
		this.angle = 0,
		bool isVisible = false,
		this.splitterLinesPoints,
		String? annotation,
		String? briefAnnotation,
		Unit xUnit = Unit.None,
		Unit yUnit = Unit.None,
		bool showAnnotation = false,
		bool showCalliper = false,
		List<PointDTO >? points,
		String? creator,
		String? guid,
		bool showChildFeatures = false,
		DateTime? timeStamp,
		bool isAutoCalculated = false,
		List<MeasuredValueDTO >? values,
		List<MeasuredFeatureDTO >? childFeatures,
	}) : super(
			isVisible: isVisible,
			annotation: annotation,
			briefAnnotation: briefAnnotation,
			xUnit: xUnit,
			yUnit: yUnit,
			showAnnotation: showAnnotation,
			showCalliper: showCalliper,
			points: points,
			typeName: typeName,
			creator: creator,
			guid: guid,
			showChildFeatures: showChildFeatures,
			timeStamp: timeStamp,
			isAutoCalculated: isAutoCalculated,
			values: values,
			childFeatures: childFeatures,
		);

	factory VasPlaqueSplitterFeatureDTO.fromJson(Map<String, dynamic> map) {
		return VasPlaqueSplitterFeatureDTO( 
			typeName: map['TypeName'],
			maxZoneCount: map['MaxZoneCount'],
			currentZoneCount: map['CurrentZoneCount'],
			angle: map['Angle'],
			isVisible: map['IsVisible'],
			splitterLinesPoints: map['SplitterLinesPoints'] != null ? (map['SplitterLinesPoints'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			annotation: map['Annotation'],
			briefAnnotation: map['BriefAnnotation'],
			xUnit: Unit.values.firstWhere((e) => e.index == map['XUnit']),
			yUnit: Unit.values.firstWhere((e) => e.index == map['YUnit']),
			showAnnotation: map['ShowAnnotation'],
			showCalliper: map['ShowCalliper'],
			points: map['Points'] != null ? (map['Points'] as List).map((e)=>PointDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			creator: map['Creator'],
			guid: map['Guid'],
			showChildFeatures: map['ShowChildFeatures'],
			timeStamp: map['TimeStamp'] != null ? DateTime.parse(map['TimeStamp']) : null,
			isAutoCalculated: map['IsAutoCalculated'],
			values: map['Values'] != null ? (map['Values'] as List).map((e)=>MeasuredValueDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			childFeatures: map['ChildFeatures'] != null ? (map['ChildFeatures'] as List).map((e)=>MeasuredFeatureDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['MaxZoneCount'] = maxZoneCount;
		map['CurrentZoneCount'] = currentZoneCount;
		map['Angle'] = angle;
		if(splitterLinesPoints != null)
			map['SplitterLinesPoints'] = splitterLinesPoints;
		return map;
	}
}

class GrowthNormalRangeDTO {
	String? typeName;
	String? tableAuthor;
	String? measureItem;
	int gAinDays;
	int status;
	double value;
	double minValue;
	double maxValue;
	Unit valueUnit;
	Unit targetUnit;

	GrowthNormalRangeDTO({
		this.typeName,
		this.tableAuthor,
		this.measureItem,
		this.gAinDays = 0,
		this.status = 0,
		this.value = 0,
		this.minValue = 0,
		this.maxValue = 0,
		this.valueUnit = Unit.None,
		this.targetUnit = Unit.None,
	});

	factory GrowthNormalRangeDTO.fromJson(Map<String, dynamic> map) {
		return GrowthNormalRangeDTO( 
			typeName: map['TypeName'],
			tableAuthor: map['TableAuthor'],
			measureItem: map['MeasureItem'],
			gAinDays: map['GAinDays'],
			status: map['Status'],
			value: double.parse(map['Value'].toString()),
			minValue: double.parse(map['MinValue'].toString()),
			maxValue: double.parse(map['MaxValue'].toString()),
			valueUnit: Unit.values.firstWhere((e) => e.index == map['ValueUnit']),
			targetUnit: Unit.values.firstWhere((e) => e.index == map['TargetUnit']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(typeName != null)
			map['TypeName'] = typeName;
		if(tableAuthor != null)
			map['TableAuthor'] = tableAuthor;
		if(measureItem != null)
			map['MeasureItem'] = measureItem;
		map['GAinDays'] = gAinDays;
		map['Status'] = status;
		map['Value'] = value;
		map['MinValue'] = minValue;
		map['MaxValue'] = maxValue;
		map['ValueUnit'] = valueUnit.index;
		map['TargetUnit'] = targetUnit.index;
		return map;
	}
}

class EFWRepresentationDTO extends FloatValueDTO{

	EFWRepresentationDTO({
		FetalGrowthIndexDTO? fetalGrowthIndex,
		String? typeName,
		String? name,
		String? description,
		bool worksheetAffinity = false,
		String? briefDescription,
		String? value,
		Unit unit = Unit.None,
		Unit targetUnit = Unit.None,
	}) : super(
			fetalGrowthIndex: fetalGrowthIndex,
			typeName: typeName,
			name: name,
			description: description,
			worksheetAffinity: worksheetAffinity,
			briefDescription: briefDescription,
			value: value,
			unit: unit,
			targetUnit: targetUnit,
		);

	factory EFWRepresentationDTO.fromJson(Map<String, dynamic> map) {
		return EFWRepresentationDTO( 
			fetalGrowthIndex: map['FetalGrowthIndex'] != null ? FetalGrowthIndexDTO.fromJson(map['FetalGrowthIndex']) : null,
			typeName: map['TypeName'],
			name: map['Name'],
			description: map['Description'],
			worksheetAffinity: map['WorksheetAffinity'],
			briefDescription: map['BriefDescription'],
			value: map['Value'],
			unit: Unit.values.firstWhere((e) => e.index == map['Unit']),
			targetUnit: Unit.values.firstWhere((e) => e.index == map['TargetUnit']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AdminExtendInfoDTO extends AdminInfoDTO{
	List<String >? roleNames;
	String? defaultRoleCode;
	String? defaultRoleName;
	bool isLocked;

	AdminExtendInfoDTO({
		this.roleNames,
		this.defaultRoleCode,
		this.defaultRoleName,
		this.isLocked = false,
		String? adminCode,
		String? fatherCode,
		String? adminName,
		String? fullName,
		String? secretPassword,
		String? headImageToken,
		String? licenseKey,
		String? lastIP,
		String? phone,
		String? email,
		List<String >? roleCodes,
		LoginLockInfoDTO? loginLockInfo,
		DateTime? passwordUpdateTime,
		List<String >? passwordRecords,
		List<ClearLogOperateDTO >? clearLogOperateList,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			adminCode: adminCode,
			fatherCode: fatherCode,
			adminName: adminName,
			fullName: fullName,
			secretPassword: secretPassword,
			headImageToken: headImageToken,
			licenseKey: licenseKey,
			lastIP: lastIP,
			phone: phone,
			email: email,
			roleCodes: roleCodes,
			loginLockInfo: loginLockInfo,
			passwordUpdateTime: passwordUpdateTime,
			passwordRecords: passwordRecords,
			clearLogOperateList: clearLogOperateList,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminExtendInfoDTO.fromJson(Map<String, dynamic> map) {
		return AdminExtendInfoDTO( 
			roleNames: map['RoleNames'] != null ? map['RoleNames'].cast<String>().toList() : null,
			defaultRoleCode: map['DefaultRoleCode'],
			defaultRoleName: map['DefaultRoleName'],
			isLocked: map['IsLocked'],
			adminCode: map['AdminCode'],
			fatherCode: map['FatherCode'],
			adminName: map['AdminName'],
			fullName: map['FullName'],
			secretPassword: map['SecretPassword'],
			headImageToken: map['HeadImageToken'],
			licenseKey: map['LicenseKey'],
			lastIP: map['LastIP'],
			phone: map['Phone'],
			email: map['Email'],
			roleCodes: map['RoleCodes'] != null ? map['RoleCodes'].cast<String>().toList() : null,
			loginLockInfo: map['LoginLockInfo'] != null ? LoginLockInfoDTO.fromJson(map['LoginLockInfo']) : null,
			passwordUpdateTime: map['PasswordUpdateTime'] != null ? DateTime.parse(map['PasswordUpdateTime']) : null,
			passwordRecords: map['PasswordRecords'] != null ? map['PasswordRecords'].cast<String>().toList() : null,
			clearLogOperateList: map['ClearLogOperateList'] != null ? (map['ClearLogOperateList'] as List).map((e)=>ClearLogOperateDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(roleNames != null)
			map['RoleNames'] = roleNames;
		if(defaultRoleCode != null)
			map['DefaultRoleCode'] = defaultRoleCode;
		if(defaultRoleName != null)
			map['DefaultRoleName'] = defaultRoleName;
		map['IsLocked'] = isLocked;
		return map;
	}
}

class AdminLoginResult {
	LoginStateEnum loginState;
	String? token;
	int? lockRemainingTimes;
	bool isDistributedServer;
	bool passwordExpired;
	String? adminName;

	AdminLoginResult({
		this.loginState = LoginStateEnum.Succeed,
		this.token,
		this.lockRemainingTimes,
		this.isDistributedServer = false,
		this.passwordExpired = false,
		this.adminName,
	});

	factory AdminLoginResult.fromJson(Map<String, dynamic> map) {
		return AdminLoginResult( 
			loginState: LoginStateEnum.values.firstWhere((e) => e.index == map['LoginState']),
			token: map['Token'],
			lockRemainingTimes: map['LockRemainingTimes'],
			isDistributedServer: map['IsDistributedServer'],
			passwordExpired: map['PasswordExpired'],
			adminName: map['AdminName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['LoginState'] = loginState.index;
		if(token != null)
			map['Token'] = token;
		if(lockRemainingTimes != null)
			map['LockRemainingTimes'] = lockRemainingTimes;
		map['IsDistributedServer'] = isDistributedServer;
		map['PasswordExpired'] = passwordExpired;
		if(adminName != null)
			map['AdminName'] = adminName;
		return map;
	}
}

class WaitDeleteLogBaseDTO {
	int daysAgoList;
	int waitDeleteLogCount;

	WaitDeleteLogBaseDTO({
		this.daysAgoList = 0,
		this.waitDeleteLogCount = 0,
	});

	factory WaitDeleteLogBaseDTO.fromJson(Map<String, dynamic> map) {
		return WaitDeleteLogBaseDTO( 
			daysAgoList: map['DaysAgoList'],
			waitDeleteLogCount: map['WaitDeleteLogCount'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['DaysAgoList'] = daysAgoList;
		map['WaitDeleteLogCount'] = waitDeleteLogCount;
		return map;
	}
}

class WaitDeleteLogsDTO {
	List<WaitDeleteLogBaseDTO >? waitDeleteLogs;
	int daysAgo;
	String? requestServerHost;
	DateTime? lastClearTime;
	DateTime? lastClearOperateTime;

	WaitDeleteLogsDTO({
		this.waitDeleteLogs,
		this.daysAgo = 0,
		this.requestServerHost,
		this.lastClearTime,
		this.lastClearOperateTime,
	});

	factory WaitDeleteLogsDTO.fromJson(Map<String, dynamic> map) {
		return WaitDeleteLogsDTO( 
			waitDeleteLogs: map['WaitDeleteLogs'] != null ? (map['WaitDeleteLogs'] as List).map((e)=>WaitDeleteLogBaseDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			daysAgo: map['DaysAgo'],
			requestServerHost: map['RequestServerHost'],
			lastClearTime: map['LastClearTime'] != null ? DateTime.parse(map['LastClearTime']) : null,
			lastClearOperateTime: map['LastClearOperateTime'] != null ? DateTime.parse(map['LastClearOperateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(waitDeleteLogs != null)
			map['WaitDeleteLogs'] = waitDeleteLogs;
		map['DaysAgo'] = daysAgo;
		if(requestServerHost != null)
			map['RequestServerHost'] = requestServerHost;
		if(lastClearTime != null)
			map['LastClearTime'] = JsonRpcUtils.dateFormat(lastClearTime!);
		if(lastClearOperateTime != null)
			map['LastClearOperateTime'] = JsonRpcUtils.dateFormat(lastClearOperateTime!);
		return map;
	}
}

class ManageAdminFeatureInfoDTO {
	List<String >? featureCodeList;

	ManageAdminFeatureInfoDTO({
		this.featureCodeList,
	});

	factory ManageAdminFeatureInfoDTO.fromJson(Map<String, dynamic> map) {
		return ManageAdminFeatureInfoDTO( 
			featureCodeList: map['FeatureCodeList'] != null ? map['FeatureCodeList'].cast<String>().toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(featureCodeList != null)
			map['FeatureCodeList'] = featureCodeList;
		return map;
	}
}

class FeatureDetail {
	String? id;

	FeatureDetail({
		this.id,
	});

	factory FeatureDetail.fromJson(Map<String, dynamic> map) {
		return FeatureDetail( 
			id: map['Id'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(id != null)
			map['Id'] = id;
		return map;
	}
}

class ManageAdminRoleInfoDTO extends AdminRoleDTO{
	List<FeatureDetail >? featureList;

	ManageAdminRoleInfoDTO({
		this.featureList,
		String? adminGroupCode,
		int adminNum = 0,
		String? roleCode,
		String? roleName,
		String? description,
		List<UserRoleLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			adminGroupCode: adminGroupCode,
			adminNum: adminNum,
			roleCode: roleCode,
			roleName: roleName,
			description: description,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageAdminRoleInfoDTO.fromJson(Map<String, dynamic> map) {
		return ManageAdminRoleInfoDTO( 
			featureList: map['FeatureList'] != null ? (map['FeatureList'] as List).map((e)=>FeatureDetail.fromJson(e as Map<String,dynamic>)).toList() : null,
			adminGroupCode: map['AdminGroupCode'],
			adminNum: map['AdminNum'],
			roleCode: map['RoleCode'],
			roleName: map['RoleName'],
			description: map['Description'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>UserRoleLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(featureList != null)
			map['FeatureList'] = featureList;
		return map;
	}
}

class ManageCreateProductDTO extends CreateProductDTO{

	ManageCreateProductDTO({
		String? productCode,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			productCode: productCode,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageCreateProductDTO.fromJson(Map<String, dynamic> map) {
		return ManageCreateProductDTO( 
			productCode: map['ProductCode'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ManageDeviceInfoDTO extends DeviceInfoDTO{
	String? hospitalName;
	String? departmentName;
	String? directorName;
	String? adminName;
	String? shareUserNum;
	String? deviceModelName;
	List<DictionaryLanguageConfigDTO >? languageConfigs;

	ManageDeviceInfoDTO({
		this.hospitalName,
		this.departmentName,
		this.directorName,
		this.adminName,
		this.shareUserNum,
		this.deviceModelName,
		this.languageConfigs,
		String? deviceCode,
		String? serialNumber,
		String? password,
		String? name,
		String? description,
		String? deviceModel,
		String? deviceType,
		String? headPicUrl,
		String? deviceSoftwareVersion,
		String? sDKSoftwareVersion,
		String? organizationCode,
		String? departmentCode,
		String? shortCode,
		bool isAutoShared = false,
		bool isEncryptedShow = false,
		DateTime? lastLoginTime,
		String? systemVersion,
		String? cPUModel,
		String? systemLanguage,
		List<String >? diagnosisModules,
		List<String >? reportPosterCodes,
		bool mergedChannel = false,
		int mergedVideoOutputWidth = 0,
		int mergedVideoOutputHeight = 0,
		List<VideoDeviceDTO >? videoDeviceInfos,
		DownloadModeSettingEnum downloadModeSetting = DownloadModeSettingEnum.Auto,
		bool liveOpened = false,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			deviceCode: deviceCode,
			serialNumber: serialNumber,
			password: password,
			name: name,
			description: description,
			deviceModel: deviceModel,
			deviceType: deviceType,
			headPicUrl: headPicUrl,
			deviceSoftwareVersion: deviceSoftwareVersion,
			sDKSoftwareVersion: sDKSoftwareVersion,
			organizationCode: organizationCode,
			departmentCode: departmentCode,
			shortCode: shortCode,
			isAutoShared: isAutoShared,
			isEncryptedShow: isEncryptedShow,
			lastLoginTime: lastLoginTime,
			systemVersion: systemVersion,
			cPUModel: cPUModel,
			systemLanguage: systemLanguage,
			diagnosisModules: diagnosisModules,
			reportPosterCodes: reportPosterCodes,
			mergedChannel: mergedChannel,
			mergedVideoOutputWidth: mergedVideoOutputWidth,
			mergedVideoOutputHeight: mergedVideoOutputHeight,
			videoDeviceInfos: videoDeviceInfos,
			downloadModeSetting: downloadModeSetting,
			liveOpened: liveOpened,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageDeviceInfoDTO.fromJson(Map<String, dynamic> map) {
		return ManageDeviceInfoDTO( 
			hospitalName: map['HospitalName'],
			departmentName: map['DepartmentName'],
			directorName: map['DirectorName'],
			adminName: map['AdminName'],
			shareUserNum: map['ShareUserNum'],
			deviceModelName: map['DeviceModelName'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>DictionaryLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			deviceCode: map['DeviceCode'],
			serialNumber: map['SerialNumber'],
			password: map['Password'],
			name: map['Name'],
			description: map['Description'],
			deviceModel: map['DeviceModel'],
			deviceType: map['DeviceType'],
			headPicUrl: map['HeadPicUrl'],
			deviceSoftwareVersion: map['DeviceSoftwareVersion'],
			sDKSoftwareVersion: map['SDKSoftwareVersion'],
			organizationCode: map['OrganizationCode'],
			departmentCode: map['DepartmentCode'],
			shortCode: map['ShortCode'],
			isAutoShared: map['IsAutoShared'],
			isEncryptedShow: map['IsEncryptedShow'],
			lastLoginTime: map['LastLoginTime'] != null ? DateTime.parse(map['LastLoginTime']) : null,
			systemVersion: map['SystemVersion'],
			cPUModel: map['CPUModel'],
			systemLanguage: map['SystemLanguage'],
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			reportPosterCodes: map['ReportPosterCodes'] != null ? map['ReportPosterCodes'].cast<String>().toList() : null,
			mergedChannel: map['MergedChannel'],
			mergedVideoOutputWidth: map['MergedVideoOutputWidth'],
			mergedVideoOutputHeight: map['MergedVideoOutputHeight'],
			videoDeviceInfos: map['VideoDeviceInfos'] != null ? (map['VideoDeviceInfos'] as List).map((e)=>VideoDeviceDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			downloadModeSetting: DownloadModeSettingEnum.values.firstWhere((e) => e.index == map['DownloadModeSetting']),
			liveOpened: map['LiveOpened'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(hospitalName != null)
			map['HospitalName'] = hospitalName;
		if(departmentName != null)
			map['DepartmentName'] = departmentName;
		if(directorName != null)
			map['DirectorName'] = directorName;
		if(adminName != null)
			map['AdminName'] = adminName;
		if(shareUserNum != null)
			map['ShareUserNum'] = shareUserNum;
		if(deviceModelName != null)
			map['DeviceModelName'] = deviceModelName;
		if(languageConfigs != null)
			map['LanguageConfigs'] = languageConfigs;
		return map;
	}
}

class ManageDeviceTypeDTO {
	String? dictionaryCode;
	String? value;
	List<DictionaryLanguageConfigDTO >? languageConfigs;
	List<DictionaryDTO >? dictionaryList;

	ManageDeviceTypeDTO({
		this.dictionaryCode,
		this.value,
		this.languageConfigs,
		this.dictionaryList,
	});

	factory ManageDeviceTypeDTO.fromJson(Map<String, dynamic> map) {
		return ManageDeviceTypeDTO( 
			dictionaryCode: map['DictionaryCode'],
			value: map['Value'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>DictionaryLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			dictionaryList: map['DictionaryList'] != null ? (map['DictionaryList'] as List).map((e)=>DictionaryDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(dictionaryCode != null)
			map['DictionaryCode'] = dictionaryCode;
		if(value != null)
			map['Value'] = value;
		if(languageConfigs != null)
			map['LanguageConfigs'] = languageConfigs;
		if(dictionaryList != null)
			map['DictionaryList'] = dictionaryList;
		return map;
	}
}

class ManageDeviceUserDTO {
	String? userCode;
	String? userName;
	String? phone;
	String? email;
	String? nickName;
	String? fullName;
	String? hospitalName;

	ManageDeviceUserDTO({
		this.userCode,
		this.userName,
		this.phone,
		this.email,
		this.nickName,
		this.fullName,
		this.hospitalName,
	});

	factory ManageDeviceUserDTO.fromJson(Map<String, dynamic> map) {
		return ManageDeviceUserDTO( 
			userCode: map['UserCode'],
			userName: map['UserName'],
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			hospitalName: map['HospitalName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(userName != null)
			map['UserName'] = userName;
		if(phone != null)
			map['Phone'] = phone;
		if(email != null)
			map['Email'] = email;
		if(nickName != null)
			map['NickName'] = nickName;
		if(fullName != null)
			map['FullName'] = fullName;
		if(hospitalName != null)
			map['HospitalName'] = hospitalName;
		return map;
	}
}

class ManageOrderDetailDTO extends OrderDetailDTO{

	ManageOrderDetailDTO({
		String? code,
		String? orderUserName,
		String? orderUserCode,
		String? productCode,
		String? tPORderCode,
		String? orderTitle,
		OrderTypeEnum orderType = OrderTypeEnum.General,
		double orderAmount = 0,
		DateTime? payTime,
		PayStatusEnum payStatus = PayStatusEnum.NoPay,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			code: code,
			orderUserName: orderUserName,
			orderUserCode: orderUserCode,
			productCode: productCode,
			tPORderCode: tPORderCode,
			orderTitle: orderTitle,
			orderType: orderType,
			orderAmount: orderAmount,
			payTime: payTime,
			payStatus: payStatus,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageOrderDetailDTO.fromJson(Map<String, dynamic> map) {
		return ManageOrderDetailDTO( 
			code: map['Code'],
			orderUserName: map['OrderUserName'],
			orderUserCode: map['OrderUserCode'],
			productCode: map['ProductCode'],
			tPORderCode: map['TPORderCode'],
			orderTitle: map['OrderTitle'],
			orderType: OrderTypeEnum.values.firstWhere((e) => e.index == map['OrderType']),
			orderAmount: double.parse(map['OrderAmount'].toString()),
			payTime: map['PayTime'] != null ? DateTime.parse(map['PayTime']) : null,
			payStatus: PayStatusEnum.values.firstWhere((e) => e.index == map['PayStatus']),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ManageOrganizationDTO extends OrganizationDTO{
	String? countryName;
	String? provinceName;
	String? cityName;
	String? countryCode;
	String? provinceCode;
	String? cityCode;
	String? directorName;
	String? adminFullName;

	ManageOrganizationDTO({
		this.countryName,
		this.provinceName,
		this.cityName,
		this.countryCode,
		this.provinceCode,
		this.cityCode,
		this.directorName,
		this.adminFullName,
		String? description,
		String? rootCode,
		OrganizationTypeEnum organizationType = OrganizationTypeEnum.Corporation,
		List<String >? authorityGroups,
		String? nautica,
		OrganizationStateEnum state = OrganizationStateEnum.WaitAudit,
		List<String >? directors,
		List<String >? assignedAdmins,
		String? patientSettingJson,
		String? examSettingJson,
		String? consultationSettingJson,
		String? patientSettingVersion,
		String? examSettingVersion,
		String? consultationSettingVersion,
		String? parentOrganizationName,
		String? regionCode,
		String? parentCode,
		String? logoUrl,
		OrganizationPatientTypeEnum patientType = OrganizationPatientTypeEnum.Person,
		bool isinvented = false,
		List<SettingDTOClass >? settings,
		List<String >? diagnosisModules,
		bool isEncryptedShow = false,
		double referralLimitHours = 0,
		List<String >? referralOrganizationCodes,
		List<ReferralOrganizationDTO >? referralOrganizations,
		String? organizationCode,
		String? organizationName,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			description: description,
			rootCode: rootCode,
			organizationType: organizationType,
			authorityGroups: authorityGroups,
			nautica: nautica,
			state: state,
			directors: directors,
			assignedAdmins: assignedAdmins,
			patientSettingJson: patientSettingJson,
			examSettingJson: examSettingJson,
			consultationSettingJson: consultationSettingJson,
			patientSettingVersion: patientSettingVersion,
			examSettingVersion: examSettingVersion,
			consultationSettingVersion: consultationSettingVersion,
			parentOrganizationName: parentOrganizationName,
			regionCode: regionCode,
			parentCode: parentCode,
			logoUrl: logoUrl,
			patientType: patientType,
			isinvented: isinvented,
			settings: settings,
			diagnosisModules: diagnosisModules,
			isEncryptedShow: isEncryptedShow,
			referralLimitHours: referralLimitHours,
			referralOrganizationCodes: referralOrganizationCodes,
			referralOrganizations: referralOrganizations,
			organizationCode: organizationCode,
			organizationName: organizationName,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageOrganizationDTO.fromJson(Map<String, dynamic> map) {
		return ManageOrganizationDTO( 
			countryName: map['CountryName'],
			provinceName: map['ProvinceName'],
			cityName: map['CityName'],
			countryCode: map['CountryCode'],
			provinceCode: map['ProvinceCode'],
			cityCode: map['CityCode'],
			directorName: map['DirectorName'],
			adminFullName: map['AdminFullName'],
			description: map['Description'],
			rootCode: map['RootCode'],
			organizationType: OrganizationTypeEnum.values.firstWhere((e) => e.index == map['OrganizationType']),
			authorityGroups: map['AuthorityGroups'] != null ? map['AuthorityGroups'].cast<String>().toList() : null,
			nautica: map['Nautica'],
			state: OrganizationStateEnum.values.firstWhere((e) => e.index == map['State']),
			directors: map['Directors'] != null ? map['Directors'].cast<String>().toList() : null,
			assignedAdmins: map['AssignedAdmins'] != null ? map['AssignedAdmins'].cast<String>().toList() : null,
			patientSettingJson: map['PatientSettingJson'],
			examSettingJson: map['ExamSettingJson'],
			consultationSettingJson: map['ConsultationSettingJson'],
			patientSettingVersion: map['PatientSettingVersion'],
			examSettingVersion: map['ExamSettingVersion'],
			consultationSettingVersion: map['ConsultationSettingVersion'],
			parentOrganizationName: map['ParentOrganizationName'],
			regionCode: map['RegionCode'],
			parentCode: map['ParentCode'],
			logoUrl: map['LogoUrl'],
			patientType: OrganizationPatientTypeEnum.values.firstWhere((e) => e.index == map['PatientType']),
			isinvented: map['Isinvented'],
			settings: map['Settings'] != null ? (map['Settings'] as List).map((e)=>SettingDTOClass.fromJson(e as Map<String,dynamic>)).toList() : null,
			diagnosisModules: map['DiagnosisModules'] != null ? map['DiagnosisModules'].cast<String>().toList() : null,
			isEncryptedShow: map['IsEncryptedShow'],
			referralLimitHours: double.parse(map['ReferralLimitHours'].toString()),
			referralOrganizationCodes: map['ReferralOrganizationCodes'] != null ? map['ReferralOrganizationCodes'].cast<String>().toList() : null,
			referralOrganizations: map['ReferralOrganizations'] != null ? (map['ReferralOrganizations'] as List).map((e)=>ReferralOrganizationDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			organizationCode: map['OrganizationCode'],
			organizationName: map['OrganizationName'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(countryName != null)
			map['CountryName'] = countryName;
		if(provinceName != null)
			map['ProvinceName'] = provinceName;
		if(cityName != null)
			map['CityName'] = cityName;
		if(countryCode != null)
			map['CountryCode'] = countryCode;
		if(provinceCode != null)
			map['ProvinceCode'] = provinceCode;
		if(cityCode != null)
			map['CityCode'] = cityCode;
		if(directorName != null)
			map['DirectorName'] = directorName;
		if(adminFullName != null)
			map['AdminFullName'] = adminFullName;
		return map;
	}
}

class ManageOrganizationUserDTO {
	String? userCode;
	String? userName;
	String? phone;
	String? email;
	String? nickName;
	String? fullName;
	String? hospitalName;

	ManageOrganizationUserDTO({
		this.userCode,
		this.userName,
		this.phone,
		this.email,
		this.nickName,
		this.fullName,
		this.hospitalName,
	});

	factory ManageOrganizationUserDTO.fromJson(Map<String, dynamic> map) {
		return ManageOrganizationUserDTO( 
			userCode: map['UserCode'],
			userName: map['UserName'],
			phone: map['Phone'],
			email: map['Email'],
			nickName: map['NickName'],
			fullName: map['FullName'],
			hospitalName: map['HospitalName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(userName != null)
			map['UserName'] = userName;
		if(phone != null)
			map['Phone'] = phone;
		if(email != null)
			map['Email'] = email;
		if(nickName != null)
			map['NickName'] = nickName;
		if(fullName != null)
			map['FullName'] = fullName;
		if(hospitalName != null)
			map['HospitalName'] = hospitalName;
		return map;
	}
}

class ManagePaymentRecordDTO extends PaymentRecordDTO{

	ManagePaymentRecordDTO({
		String? orderCode,
		double payAmount = 0,
		DateTime? payTime,
		PayStatusEnum payStatus = PayStatusEnum.NoPay,
		PayTypeEnum payType = PayTypeEnum.Alipay_PAGE,
		String? payReqContent,
		String? payResContent,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			orderCode: orderCode,
			payAmount: payAmount,
			payTime: payTime,
			payStatus: payStatus,
			payType: payType,
			payReqContent: payReqContent,
			payResContent: payResContent,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManagePaymentRecordDTO.fromJson(Map<String, dynamic> map) {
		return ManagePaymentRecordDTO( 
			orderCode: map['OrderCode'],
			payAmount: double.parse(map['PayAmount'].toString()),
			payTime: map['PayTime'] != null ? DateTime.parse(map['PayTime']) : null,
			payStatus: PayStatusEnum.values.firstWhere((e) => e.index == map['PayStatus']),
			payType: PayTypeEnum.values.firstWhere((e) => e.index == map['PayType']),
			payReqContent: map['PayReqContent'],
			payResContent: map['PayResContent'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ManageRoleInfoDTO extends RoleDTO{
	List<FeatureDetail >? featureList;

	ManageRoleInfoDTO({
		this.featureList,
		RoleShowTypeEnum roleShowType = RoleShowTypeEnum.NotShow,
		String? iConUrl,
		String? colorStart,
		String? colorEnd,
		RoleQualificationEnum roleQualification = RoleQualificationEnum.NoNeed,
		String? userGroupCode,
		RoleShowTypeEnum fieldShowType = RoleShowTypeEnum.NotShow,
		List<String >? fieldList,
		String? roleCode,
		String? roleName,
		String? description,
		List<UserRoleLanguageConfigDTO >? languageConfigs,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			roleShowType: roleShowType,
			iConUrl: iConUrl,
			colorStart: colorStart,
			colorEnd: colorEnd,
			roleQualification: roleQualification,
			userGroupCode: userGroupCode,
			fieldShowType: fieldShowType,
			fieldList: fieldList,
			roleCode: roleCode,
			roleName: roleName,
			description: description,
			languageConfigs: languageConfigs,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ManageRoleInfoDTO.fromJson(Map<String, dynamic> map) {
		return ManageRoleInfoDTO( 
			featureList: map['FeatureList'] != null ? (map['FeatureList'] as List).map((e)=>FeatureDetail.fromJson(e as Map<String,dynamic>)).toList() : null,
			roleShowType: RoleShowTypeEnum.values.firstWhere((e) => e.index == map['RoleShowType']),
			iConUrl: map['IConUrl'],
			colorStart: map['ColorStart'],
			colorEnd: map['ColorEnd'],
			roleQualification: RoleQualificationEnum.values.firstWhere((e) => e.index == map['RoleQualification']),
			userGroupCode: map['UserGroupCode'],
			fieldShowType: RoleShowTypeEnum.values.firstWhere((e) => e.index == map['FieldShowType']),
			fieldList: map['FieldList'] != null ? map['FieldList'].cast<String>().toList() : null,
			roleCode: map['RoleCode'],
			roleName: map['RoleName'],
			description: map['Description'],
			languageConfigs: map['LanguageConfigs'] != null ? (map['LanguageConfigs'] as List).map((e)=>UserRoleLanguageConfigDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(featureList != null)
			map['FeatureList'] = featureList;
		return map;
	}
}

class BaseThesaurusItemBaseDTO<T> {
	String? id;
	String? label;
	String? fatherCode;
	String? thesaurusItemDescription;
	String? thesaurusItemConclusion;
	ThesaurusItemTypeEnum type;
	List<T>? children;
	bool isExistThesaurusItem;

	BaseThesaurusItemBaseDTO({
		this.id,
		this.label,
		this.fatherCode,
		this.thesaurusItemDescription,
		this.thesaurusItemConclusion,
		this.type = ThesaurusItemTypeEnum.Classification,
		this.children,
		this.isExistThesaurusItem = false,
	});

	factory BaseThesaurusItemBaseDTO.fromJson(Map<String, dynamic> map) {
		List<T> childrenList = [];
		if (map['Children'] != null) {
			childrenList.addAll(
					(map['Children'] as List).map((e) => FJsonConvert.fromJson<T>(e)!));
		}
		return BaseThesaurusItemBaseDTO( 
			id: map['Id'],
			label: map['Label'],
			fatherCode: map['FatherCode'],
			thesaurusItemDescription: map['ThesaurusItemDescription'],
			thesaurusItemConclusion: map['ThesaurusItemConclusion'],
			type: ThesaurusItemTypeEnum.values.firstWhere((e) => e.index == map['Type']),
			children: childrenList,
			isExistThesaurusItem: map['IsExistThesaurusItem'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(id != null)
			map['Id'] = id;
		if(label != null)
			map['Label'] = label;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		if(thesaurusItemDescription != null)
			map['ThesaurusItemDescription'] = thesaurusItemDescription;
		if(thesaurusItemConclusion != null)
			map['ThesaurusItemConclusion'] = thesaurusItemConclusion;
		map['Type'] = type.index;
		if(children != null)
			map['Children'] = children;
		map['IsExistThesaurusItem'] = isExistThesaurusItem;
		return map;
	}
}

class ManageThesaurusItemDTO extends BaseThesaurusItemBaseDTO<ManageThesaurusItemDTO>{

	ManageThesaurusItemDTO(
	);

	factory ManageThesaurusItemDTO.fromJson(Map<String, dynamic> map) {
		return ManageThesaurusItemDTO( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class ManageUpdateProductDTO extends UpdateProductDTO{

	ManageUpdateProductDTO({
		bool isSuccess = false,
	}) : super(
			isSuccess: isSuccess,
		);

	factory ManageUpdateProductDTO.fromJson(Map<String, dynamic> map) {
		return ManageUpdateProductDTO( 
			isSuccess: map['IsSuccess'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class OnlineTokenDTO extends TokenDTO{
	String? ipAddress;

	OnlineTokenDTO({
		this.ipAddress,
		int version = 0,
		String? code,
		AccountType accountType = AccountType.Admin,
		String? accountName,
		Platform platform = Platform.Windows,
		LoginSource loginSource = LoginSource.PC,
		String? clientId,
		String? loginServer,
		DateTime? createTime,
		DateTime? expiration,
		int ipValue = 0,
		bool isOnline = false,
		String? installVersion,
	}) : super(
			version: version,
			code: code,
			accountType: accountType,
			accountName: accountName,
			platform: platform,
			loginSource: loginSource,
			clientId: clientId,
			loginServer: loginServer,
			createTime: createTime,
			expiration: expiration,
			ipValue: ipValue,
			isOnline: isOnline,
			installVersion: installVersion,
		);

	factory OnlineTokenDTO.fromJson(Map<String, dynamic> map) {
		return OnlineTokenDTO( 
			ipAddress: map['IpAddress'],
			version: map['Version'],
			code: map['Code'],
			accountType: AccountType.values.firstWhere((e) => e.index == map['AccountType']),
			accountName: map['AccountName'],
			platform: Platform.values.firstWhere((e) => e.index == map['Platform']),
			loginSource: LoginSource.values.firstWhere((e) => e.index == map['LoginSource']),
			clientId: map['ClientId'],
			loginServer: map['LoginServer'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			expiration: map['Expiration'] != null ? DateTime.parse(map['Expiration']) : null,
			ipValue: map['IpValue'],
			isOnline: map['IsOnline'],
			installVersion: map['InstallVersion'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(ipAddress != null)
			map['IpAddress'] = ipAddress;
		return map;
	}
}

class SelectParentItemDTO extends SelectItemDTO{
	String? parentCode;

	SelectParentItemDTO({
		this.parentCode,
		String? key,
		String? value,
	}) : super(
			key: key,
			value: value,
		);

	factory SelectParentItemDTO.fromJson(Map<String, dynamic> map) {
		return SelectParentItemDTO( 
			parentCode: map['ParentCode'],
			key: map['Key'],
			value: map['Value'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(parentCode != null)
			map['ParentCode'] = parentCode;
		return map;
	}
}

class LiveBoardDataDTO {
	String? userCode;
	String? boardData;
	DateTime? interactiveTime;

	LiveBoardDataDTO({
		this.userCode,
		this.boardData,
		this.interactiveTime,
	});

	factory LiveBoardDataDTO.fromJson(Map<String, dynamic> map) {
		return LiveBoardDataDTO( 
			userCode: map['UserCode'],
			boardData: map['BoardData'],
			interactiveTime: map['InteractiveTime'] != null ? DateTime.parse(map['InteractiveTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(boardData != null)
			map['BoardData'] = boardData;
		if(interactiveTime != null)
			map['InteractiveTime'] = JsonRpcUtils.dateFormat(interactiveTime!);
		return map;
	}
}

class LiveMemberStatusDTO {
	String? code;
	String? liveRoomCode;
	LiveMemberStatus status;
	UserStatusEnum userStatusType;
	String? loginServerUrl;
	LoginSource loginSource;

	LiveMemberStatusDTO({
		this.code,
		this.liveRoomCode,
		this.status = LiveMemberStatus.Default,
		this.userStatusType = UserStatusEnum.NotOnline,
		this.loginServerUrl,
		this.loginSource = LoginSource.PC,
	});

	factory LiveMemberStatusDTO.fromJson(Map<String, dynamic> map) {
		return LiveMemberStatusDTO( 
			code: map['Code'],
			liveRoomCode: map['LiveRoomCode'],
			status: LiveMemberStatus.values.firstWhere((e) => e.index == map['Status']),
			userStatusType: UserStatusEnum.values.firstWhere((e) => e.index == map['UserStatusType']),
			loginServerUrl: map['LoginServerUrl'],
			loginSource: LoginSource.values.firstWhere((e) => e.index == map['LoginSource']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(code != null)
			map['Code'] = code;
		if(liveRoomCode != null)
			map['LiveRoomCode'] = liveRoomCode;
		map['Status'] = status.index;
		map['UserStatusType'] = userStatusType.index;
		if(loginServerUrl != null)
			map['LoginServerUrl'] = loginServerUrl;
		map['LoginSource'] = loginSource.index;
		return map;
	}
}

class LiveRoomDTO {
	String? liveRoomCode;
	String? name;
	String? relatedCode;
	String? initiatorCode;
	int rtcRoomId;
	int sdkAppId;
	BusinessModuleEnum businessModule;
	LiveRoomStatus status;
	List<LiveMemberDTO >? deviceInfos;
	List<LiveMemberDTO >? userInfos;
	List<LiveViewerDTO >? viewerInfos;

	LiveRoomDTO({
		this.liveRoomCode,
		this.name,
		this.relatedCode,
		this.initiatorCode,
		this.rtcRoomId = 0,
		this.sdkAppId = 0,
		this.businessModule = BusinessModuleEnum.RemoteDiagnosis,
		this.status = LiveRoomStatus.Default,
		this.deviceInfos,
		this.userInfos,
		this.viewerInfos,
	});

	factory LiveRoomDTO.fromJson(Map<String, dynamic> map) {
		return LiveRoomDTO( 
			liveRoomCode: map['LiveRoomCode'],
			name: map['Name'],
			relatedCode: map['RelatedCode'],
			initiatorCode: map['InitiatorCode'],
			rtcRoomId: map['RtcRoomId'],
			sdkAppId: map['SdkAppId'],
			businessModule: BusinessModuleEnum.values.firstWhere((e) => e.index == map['BusinessModule']),
			status: LiveRoomStatus.values.firstWhere((e) => e.index == map['Status']),
			deviceInfos: map['DeviceInfos'] != null ? (map['DeviceInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			userInfos: map['UserInfos'] != null ? (map['UserInfos'] as List).map((e)=>LiveMemberDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			viewerInfos: map['ViewerInfos'] != null ? (map['ViewerInfos'] as List).map((e)=>LiveViewerDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(liveRoomCode != null)
			map['LiveRoomCode'] = liveRoomCode;
		if(name != null)
			map['Name'] = name;
		if(relatedCode != null)
			map['RelatedCode'] = relatedCode;
		if(initiatorCode != null)
			map['InitiatorCode'] = initiatorCode;
		map['RtcRoomId'] = rtcRoomId;
		map['SdkAppId'] = sdkAppId;
		map['BusinessModule'] = businessModule.index;
		map['Status'] = status.index;
		if(deviceInfos != null)
			map['DeviceInfos'] = deviceInfos;
		if(userInfos != null)
			map['UserInfos'] = userInfos;
		if(viewerInfos != null)
			map['ViewerInfos'] = viewerInfos;
		return map;
	}
}

class GradingProtectionConfigDTO extends BaseDTO{
	String? moduleCode;
	String? name;
	String? description;
	GradingConfigTypeEnum configType;
	String? value;

	GradingProtectionConfigDTO({
		this.moduleCode,
		this.name,
		this.description,
		this.configType = GradingConfigTypeEnum.Switch,
		this.value,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory GradingProtectionConfigDTO.fromJson(Map<String, dynamic> map) {
		return GradingProtectionConfigDTO( 
			moduleCode: map['ModuleCode'],
			name: map['Name'],
			description: map['Description'],
			configType: GradingConfigTypeEnum.values.firstWhere((e) => e.index == map['ConfigType']),
			value: map['Value'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(moduleCode != null)
			map['ModuleCode'] = moduleCode;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		map['ConfigType'] = configType.index;
		if(value != null)
			map['Value'] = value;
		return map;
	}
}

class ExaminationPaperDTO {
	String? code;
	String? name;
	double totalScore;
	List<QuestionDetailDTO >? questionList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	DateTime? createTime;
	DateTime? updateTime;

	ExaminationPaperDTO({
		this.code,
		this.name,
		this.totalScore = 0,
		this.questionList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.createTime,
		this.updateTime,
	});

	factory ExaminationPaperDTO.fromJson(Map<String, dynamic> map) {
		return ExaminationPaperDTO( 
			code: map['Code'],
			name: map['Name'],
			totalScore: double.parse(map['TotalScore'].toString()),
			questionList: map['QuestionList'] != null ? (map['QuestionList'] as List).map((e)=>QuestionDetailDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		map['TotalScore'] = totalScore;
		if(questionList != null)
			map['QuestionList'] = questionList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(updateTime != null)
			map['UpdateTime'] = JsonRpcUtils.dateFormat(updateTime!);
		return map;
	}
}

class ExaminationQuestionDTO extends BaseDTO{
	String? code;
	String? stem;
	QuestionTypeEnum questionType;
	List<QuestionOptionDTO >? questionOptionList;
	List<QuestionFileDTO >? fileList;
	List<String >? caseLabelCodes;
	List<String >? courseLabelCodes;
	bool trueOrFalse;

	ExaminationQuestionDTO({
		this.code,
		this.stem,
		this.questionType = QuestionTypeEnum.Judge,
		this.questionOptionList,
		this.fileList,
		this.caseLabelCodes,
		this.courseLabelCodes,
		this.trueOrFalse = false,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ExaminationQuestionDTO.fromJson(Map<String, dynamic> map) {
		return ExaminationQuestionDTO( 
			code: map['Code'],
			stem: map['Stem'],
			questionType: QuestionTypeEnum.values.firstWhere((e) => e.index == map['QuestionType']),
			questionOptionList: map['QuestionOptionList'] != null ? (map['QuestionOptionList'] as List).map((e)=>QuestionOptionDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			fileList: map['FileList'] != null ? (map['FileList'] as List).map((e)=>QuestionFileDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			caseLabelCodes: map['CaseLabelCodes'] != null ? map['CaseLabelCodes'].cast<String>().toList() : null,
			courseLabelCodes: map['CourseLabelCodes'] != null ? map['CourseLabelCodes'].cast<String>().toList() : null,
			trueOrFalse: map['TrueOrFalse'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(code != null)
			map['Code'] = code;
		if(stem != null)
			map['Stem'] = stem;
		map['QuestionType'] = questionType.index;
		if(questionOptionList != null)
			map['QuestionOptionList'] = questionOptionList;
		if(fileList != null)
			map['FileList'] = fileList;
		if(caseLabelCodes != null)
			map['CaseLabelCodes'] = caseLabelCodes;
		if(courseLabelCodes != null)
			map['CourseLabelCodes'] = courseLabelCodes;
		map['TrueOrFalse'] = trueOrFalse;
		return map;
	}
}

class StudentExaminationDTO extends BaseStudentExaminationDTO{
	RelevanceTypeEnum relevanceType;
	String? relevanceCode;
	List<ExaminationAnswerDTO >? studentAnswers;
	int submitCount;

	StudentExaminationDTO({
		this.relevanceType = RelevanceTypeEnum.Course,
		this.relevanceCode,
		this.studentAnswers,
		this.submitCount = 0,
		String? code,
		String? examinationCode,
		String? studentCode,
		String? studentName,
		double totalScore = 0,
	}) : super(
			code: code,
			examinationCode: examinationCode,
			studentCode: studentCode,
			studentName: studentName,
			totalScore: totalScore,
		);

	factory StudentExaminationDTO.fromJson(Map<String, dynamic> map) {
		return StudentExaminationDTO( 
			relevanceType: RelevanceTypeEnum.values.firstWhere((e) => e.index == map['RelevanceType']),
			relevanceCode: map['RelevanceCode'],
			studentAnswers: map['StudentAnswers'] != null ? (map['StudentAnswers'] as List).map((e)=>ExaminationAnswerDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			submitCount: map['SubmitCount'],
			code: map['Code'],
			examinationCode: map['ExaminationCode'],
			studentCode: map['StudentCode'],
			studentName: map['StudentName'],
			totalScore: double.parse(map['TotalScore'].toString()),
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		map['RelevanceType'] = relevanceType.index;
		if(relevanceCode != null)
			map['RelevanceCode'] = relevanceCode;
		if(studentAnswers != null)
			map['StudentAnswers'] = studentAnswers;
		map['SubmitCount'] = submitCount;
		return map;
	}
}

class DistributedServerInfoDTO extends BaseDTO{
	String? serverCode;
	bool isMaster;
	String? name;
	String? description;
	bool enable;
	DistributedServerTypeEnum serverType;
	String? serverUrl;
	String? lat;
	String? lng;
	List<IPAddressInfoDTO >? assignClientIPList;

	DistributedServerInfoDTO({
		this.serverCode,
		this.isMaster = false,
		this.name,
		this.description,
		this.enable = false,
		this.serverType = DistributedServerTypeEnum.Official,
		this.serverUrl,
		this.lat,
		this.lng,
		this.assignClientIPList,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory DistributedServerInfoDTO.fromJson(Map<String, dynamic> map) {
		return DistributedServerInfoDTO( 
			serverCode: map['ServerCode'],
			isMaster: map['IsMaster'],
			name: map['Name'],
			description: map['Description'],
			enable: map['Enable'],
			serverType: DistributedServerTypeEnum.values.firstWhere((e) => e.index == map['ServerType']),
			serverUrl: map['ServerUrl'],
			lat: map['Lat'],
			lng: map['Lng'],
			assignClientIPList: map['AssignClientIPList'] != null ? (map['AssignClientIPList'] as List).map((e)=>IPAddressInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(serverCode != null)
			map['ServerCode'] = serverCode;
		map['IsMaster'] = isMaster;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		map['Enable'] = enable;
		map['ServerType'] = serverType.index;
		if(serverUrl != null)
			map['ServerUrl'] = serverUrl;
		if(lat != null)
			map['Lat'] = lat;
		if(lng != null)
			map['Lng'] = lng;
		if(assignClientIPList != null)
			map['AssignClientIPList'] = assignClientIPList;
		return map;
	}
}

class DiagnosisResultDTO {
	int index;
	String? diagnosisResult;

	DiagnosisResultDTO({
		this.index = 0,
		this.diagnosisResult,
	});

	factory DiagnosisResultDTO.fromJson(Map<String, dynamic> map) {
		return DiagnosisResultDTO( 
			index: map['Index'],
			diagnosisResult: map['DiagnosisResult'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['Index'] = index;
		if(diagnosisResult != null)
			map['DiagnosisResult'] = diagnosisResult;
		return map;
	}
}

class DeviceOutputConfigDTO {
	String? code;
	String? name;
	DeviceVideoOutputTypeEnum deviceVideoOutputType;
	int videoWidth;
	int videoHeight;

	DeviceOutputConfigDTO({
		this.code,
		this.name,
		this.deviceVideoOutputType = DeviceVideoOutputTypeEnum.MergedVideo,
		this.videoWidth = 0,
		this.videoHeight = 0,
	});

	factory DeviceOutputConfigDTO.fromJson(Map<String, dynamic> map) {
		return DeviceOutputConfigDTO( 
			code: map['Code'],
			name: map['Name'],
			deviceVideoOutputType: DeviceVideoOutputTypeEnum.values.firstWhere((e) => e.index == map['DeviceVideoOutputType']),
			videoWidth: map['VideoWidth'],
			videoHeight: map['VideoHeight'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(code != null)
			map['Code'] = code;
		if(name != null)
			map['Name'] = name;
		map['DeviceVideoOutputType'] = deviceVideoOutputType.index;
		map['VideoWidth'] = videoWidth;
		map['VideoHeight'] = videoHeight;
		return map;
	}
}

class ResolutionDTO {
	String? shortCode;
	int videoWidth;
	int videoHeight;

	ResolutionDTO({
		this.shortCode,
		this.videoWidth = 0,
		this.videoHeight = 0,
	});

	factory ResolutionDTO.fromJson(Map<String, dynamic> map) {
		return ResolutionDTO( 
			shortCode: map['ShortCode'],
			videoWidth: map['VideoWidth'],
			videoHeight: map['VideoHeight'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(shortCode != null)
			map['ShortCode'] = shortCode;
		map['VideoWidth'] = videoWidth;
		map['VideoHeight'] = videoHeight;
		return map;
	}
}

class BrandModelDetailDTO {
	String? brand;
	String? model;
	List<ResolutionDTO >? resolutions;

	BrandModelDetailDTO({
		this.brand,
		this.model,
		this.resolutions,
	});

	factory BrandModelDetailDTO.fromJson(Map<String, dynamic> map) {
		return BrandModelDetailDTO( 
			brand: map['Brand'],
			model: map['Model'],
			resolutions: map['Resolutions'] != null ? (map['Resolutions'] as List).map((e)=>ResolutionDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(brand != null)
			map['Brand'] = brand;
		if(model != null)
			map['Model'] = model;
		if(resolutions != null)
			map['Resolutions'] = resolutions;
		return map;
	}
}

class DeviceLiveShareInfoDTO {
	String? deviceCode;
	String? shareUserCode;
	String? shareUserName;
	DateTime? shareTime;

	DeviceLiveShareInfoDTO({
		this.deviceCode,
		this.shareUserCode,
		this.shareUserName,
		this.shareTime,
	});

	factory DeviceLiveShareInfoDTO.fromJson(Map<String, dynamic> map) {
		return DeviceLiveShareInfoDTO( 
			deviceCode: map['DeviceCode'],
			shareUserCode: map['ShareUserCode'],
			shareUserName: map['ShareUserName'],
			shareTime: map['ShareTime'] != null ? DateTime.parse(map['ShareTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(deviceCode != null)
			map['DeviceCode'] = deviceCode;
		if(shareUserCode != null)
			map['ShareUserCode'] = shareUserCode;
		if(shareUserName != null)
			map['ShareUserName'] = shareUserName;
		if(shareTime != null)
			map['ShareTime'] = JsonRpcUtils.dateFormat(shareTime!);
		return map;
	}
}

class BoardPointDTO {
	double x;
	double y;

	BoardPointDTO({
		this.x = 0,
		this.y = 0,
	});

	factory BoardPointDTO.fromJson(Map<String, dynamic> map) {
		return BoardPointDTO( 
			x: double.parse(map['X'].toString()),
			y: double.parse(map['Y'].toString()),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['X'] = x;
		map['Y'] = y;
		return map;
	}
}

class ConsultationExpertDTO extends UserBaseDTO{

	ConsultationExpertDTO({
		String? userCode,
		String? userName,
		String? headImageUrl,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			userCode: userCode,
			userName: userName,
			headImageUrl: headImageUrl,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory ConsultationExpertDTO.fromJson(Map<String, dynamic> map) {
		return ConsultationExpertDTO( 
			userCode: map['UserCode'],
			userName: map['UserName'],
			headImageUrl: map['HeadImageUrl'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AdminStatisticRecordDTO extends BaseDTO{
	String? adminStatisticRecordCode;
	String? adminStatisticCode;
	String? adminStatisticName;
	String? adminCode;
	String? serverHost;
	DateTime? lastestUpdateTime;
	DateTime? nextHandleTime;
	List<String >? xAxisDatas;
	List<List<double> >? yAxisDatas;
	List<StatisticInfoDTO >? children;
	String? statisticJsonData;
	StatisticsPlatformEnum statisticsPlatform;

	AdminStatisticRecordDTO({
		this.adminStatisticRecordCode,
		this.adminStatisticCode,
		this.adminStatisticName,
		this.adminCode,
		this.serverHost,
		this.lastestUpdateTime,
		this.nextHandleTime,
		this.xAxisDatas,
		this.yAxisDatas,
		this.children,
		this.statisticJsonData,
		this.statisticsPlatform = StatisticsPlatformEnum.Management,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminStatisticRecordDTO.fromJson(Map<String, dynamic> map) {
		return AdminStatisticRecordDTO( 
			adminStatisticRecordCode: map['AdminStatisticRecordCode'],
			adminStatisticCode: map['AdminStatisticCode'],
			adminStatisticName: map['AdminStatisticName'],
			adminCode: map['AdminCode'],
			serverHost: map['ServerHost'],
			lastestUpdateTime: map['LastestUpdateTime'] != null ? DateTime.parse(map['LastestUpdateTime']) : null,
			nextHandleTime: map['NextHandleTime'] != null ? DateTime.parse(map['NextHandleTime']) : null,
			xAxisDatas: map['XAxisDatas'] != null ? map['XAxisDatas'].cast<String>().toList() : null,
			yAxisDatas: map['YAxisDatas'] != null ? map['YAxisDatas'].cast<List<double>>().toList() : null,
			children: map['Children'] != null ? (map['Children'] as List).map((e)=>StatisticInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			statisticJsonData: map['StatisticJsonData'],
			statisticsPlatform: StatisticsPlatformEnum.values.firstWhere((e) => e.index == map['StatisticsPlatform']),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminStatisticRecordCode != null)
			map['AdminStatisticRecordCode'] = adminStatisticRecordCode;
		if(adminStatisticCode != null)
			map['AdminStatisticCode'] = adminStatisticCode;
		if(adminStatisticName != null)
			map['AdminStatisticName'] = adminStatisticName;
		if(adminCode != null)
			map['AdminCode'] = adminCode;
		if(serverHost != null)
			map['ServerHost'] = serverHost;
		if(lastestUpdateTime != null)
			map['LastestUpdateTime'] = JsonRpcUtils.dateFormat(lastestUpdateTime!);
		if(nextHandleTime != null)
			map['NextHandleTime'] = JsonRpcUtils.dateFormat(nextHandleTime!);
		if(xAxisDatas != null)
			map['XAxisDatas'] = xAxisDatas;
		if(yAxisDatas != null)
			map['YAxisDatas'] = yAxisDatas;
		if(children != null)
			map['Children'] = children;
		if(statisticJsonData != null)
			map['StatisticJsonData'] = statisticJsonData;
		map['StatisticsPlatform'] = statisticsPlatform.index;
		return map;
	}
}

class CMSStatisticRecordDTO extends AdminStatisticRecordDTO{

	CMSStatisticRecordDTO({
		String? statisticJsonData,
		String? adminStatisticRecordCode,
		String? adminStatisticCode,
		String? adminStatisticName,
		String? adminCode,
		String? serverHost,
		DateTime? lastestUpdateTime,
		DateTime? nextHandleTime,
		List<String >? xAxisDatas,
		List<List<double> >? yAxisDatas,
		List<StatisticInfoDTO >? children,
		StatisticsPlatformEnum statisticsPlatform = StatisticsPlatformEnum.Management,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			adminStatisticRecordCode: adminStatisticRecordCode,
			adminStatisticCode: adminStatisticCode,
			adminStatisticName: adminStatisticName,
			adminCode: adminCode,
			serverHost: serverHost,
			lastestUpdateTime: lastestUpdateTime,
			nextHandleTime: nextHandleTime,
			xAxisDatas: xAxisDatas,
			yAxisDatas: yAxisDatas,
			children: children,
			statisticJsonData: statisticJsonData,
			statisticsPlatform: statisticsPlatform,
			createTime: createTime,
			updateTime: updateTime,
		);

	factory CMSStatisticRecordDTO.fromJson(Map<String, dynamic> map) {
		return CMSStatisticRecordDTO( 
			statisticJsonData: map['StatisticJsonData'],
			adminStatisticRecordCode: map['AdminStatisticRecordCode'],
			adminStatisticCode: map['AdminStatisticCode'],
			adminStatisticName: map['AdminStatisticName'],
			adminCode: map['AdminCode'],
			serverHost: map['ServerHost'],
			lastestUpdateTime: map['LastestUpdateTime'] != null ? DateTime.parse(map['LastestUpdateTime']) : null,
			nextHandleTime: map['NextHandleTime'] != null ? DateTime.parse(map['NextHandleTime']) : null,
			xAxisDatas: map['XAxisDatas'] != null ? map['XAxisDatas'].cast<String>().toList() : null,
			yAxisDatas: map['YAxisDatas'] != null ? map['YAxisDatas'].cast<List<double>>().toList() : null,
			children: map['Children'] != null ? (map['Children'] as List).map((e)=>StatisticInfoDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
			statisticsPlatform: StatisticsPlatformEnum.values.firstWhere((e) => e.index == map['StatisticsPlatform']),
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class CMSTemplateDTO extends BaseDTO{
	String? cMSTemplateCode;
	String? cMSTemplateName;
	CMSTemplateStatusTypeEnum cMSTemplateStateType;
	String? cMSTemplateJson;
	bool isDefault;
	List<String >? organizationCodes;

	CMSTemplateDTO({
		this.cMSTemplateCode,
		this.cMSTemplateName,
		this.cMSTemplateStateType = CMSTemplateStatusTypeEnum.UnPublished,
		this.cMSTemplateJson,
		this.isDefault = false,
		this.organizationCodes,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory CMSTemplateDTO.fromJson(Map<String, dynamic> map) {
		return CMSTemplateDTO( 
			cMSTemplateCode: map['CMSTemplateCode'],
			cMSTemplateName: map['CMSTemplateName'],
			cMSTemplateStateType: CMSTemplateStatusTypeEnum.values.firstWhere((e) => e.index == map['CMSTemplateStateType']),
			cMSTemplateJson: map['CMSTemplateJson'],
			isDefault: map['IsDefault'],
			organizationCodes: map['OrganizationCodes'] != null ? map['OrganizationCodes'].cast<String>().toList() : null,
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(cMSTemplateCode != null)
			map['CMSTemplateCode'] = cMSTemplateCode;
		if(cMSTemplateName != null)
			map['CMSTemplateName'] = cMSTemplateName;
		map['CMSTemplateStateType'] = cMSTemplateStateType.index;
		if(cMSTemplateJson != null)
			map['CMSTemplateJson'] = cMSTemplateJson;
		map['IsDefault'] = isDefault;
		if(organizationCodes != null)
			map['OrganizationCodes'] = organizationCodes;
		return map;
	}
}

class StatisticAnnouncesDTO {
	AnnouncementTypeEnum announcementType;
	DateTime? contentTime;
	String? content;
	CMSMessageStatusEnum status;

	StatisticAnnouncesDTO({
		this.announcementType = AnnouncementTypeEnum.Broadcast,
		this.contentTime,
		this.content,
		this.status = CMSMessageStatusEnum.UnRead,
	});

	factory StatisticAnnouncesDTO.fromJson(Map<String, dynamic> map) {
		return StatisticAnnouncesDTO( 
			announcementType: AnnouncementTypeEnum.values.firstWhere((e) => e.index == map['AnnouncementType']),
			contentTime: map['ContentTime'] != null ? DateTime.parse(map['ContentTime']) : null,
			content: map['Content'],
			status: CMSMessageStatusEnum.values.firstWhere((e) => e.index == map['Status']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['AnnouncementType'] = announcementType.index;
		if(contentTime != null)
			map['ContentTime'] = JsonRpcUtils.dateFormat(contentTime!);
		if(content != null)
			map['Content'] = content;
		map['Status'] = status.index;
		return map;
	}
}

class StatisticDevicesDTO {
	String? imgUrl;
	String? name;
	String? transferUrl;

	StatisticDevicesDTO({
		this.imgUrl,
		this.name,
		this.transferUrl,
	});

	factory StatisticDevicesDTO.fromJson(Map<String, dynamic> map) {
		return StatisticDevicesDTO( 
			imgUrl: map['ImgUrl'],
			name: map['Name'],
			transferUrl: map['TransferUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(imgUrl != null)
			map['ImgUrl'] = imgUrl;
		if(name != null)
			map['Name'] = name;
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		return map;
	}
}

class StatisticDownloadDTO {
	String? imgUrl;
	String? transferUrl;

	StatisticDownloadDTO({
		this.imgUrl,
		this.transferUrl,
	});

	factory StatisticDownloadDTO.fromJson(Map<String, dynamic> map) {
		return StatisticDownloadDTO( 
			imgUrl: map['ImgUrl'],
			transferUrl: map['TransferUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(imgUrl != null)
			map['ImgUrl'] = imgUrl;
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		return map;
	}
}

class StatisticMessagesDTO {
	String? content;
	DateTime? time;
	String? transferUrl;
	CMSMessageStatusEnum status;

	StatisticMessagesDTO({
		this.content,
		this.time,
		this.transferUrl,
		this.status = CMSMessageStatusEnum.UnRead,
	});

	factory StatisticMessagesDTO.fromJson(Map<String, dynamic> map) {
		return StatisticMessagesDTO( 
			content: map['Content'],
			time: map['Time'] != null ? DateTime.parse(map['Time']) : null,
			transferUrl: map['TransferUrl'],
			status: CMSMessageStatusEnum.values.firstWhere((e) => e.index == map['Status']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(content != null)
			map['Content'] = content;
		if(time != null)
			map['Time'] = JsonRpcUtils.dateFormat(time!);
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		map['Status'] = status.index;
		return map;
	}
}

class StatisticMessageInfoDTO extends StatisticMessagesDTO{
	String? userCode;
	String? messageCode;

	StatisticMessageInfoDTO({
		this.userCode,
		this.messageCode,
		String? content,
		DateTime? time,
		String? transferUrl,
		CMSMessageStatusEnum status = CMSMessageStatusEnum.UnRead,
	}) : super(
			content: content,
			time: time,
			transferUrl: transferUrl,
			status: status,
		);

	factory StatisticMessageInfoDTO.fromJson(Map<String, dynamic> map) {
		return StatisticMessageInfoDTO( 
			userCode: map['UserCode'],
			messageCode: map['MessageCode'],
			content: map['Content'],
			time: map['Time'] != null ? DateTime.parse(map['Time']) : null,
			transferUrl: map['TransferUrl'],
			status: CMSMessageStatusEnum.values.firstWhere((e) => e.index == map['Status']),
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(userCode != null)
			map['UserCode'] = userCode;
		if(messageCode != null)
			map['MessageCode'] = messageCode;
		return map;
	}
}

class StatisticMyPendingDTO {
	String? title;
	double rate;

	StatisticMyPendingDTO({
		this.title,
		this.rate = 0,
	});

	factory StatisticMyPendingDTO.fromJson(Map<String, dynamic> map) {
		return StatisticMyPendingDTO( 
			title: map['Title'],
			rate: double.parse(map['Rate'].toString()),
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(title != null)
			map['Title'] = title;
		map['Rate'] = rate;
		return map;
	}
}

class StatisticMyStandingDTO {
	String? title;
	int data;
	String? unit;
	String? transferUrl;

	StatisticMyStandingDTO({
		this.title,
		this.data = 0,
		this.unit,
		this.transferUrl,
	});

	factory StatisticMyStandingDTO.fromJson(Map<String, dynamic> map) {
		return StatisticMyStandingDTO( 
			title: map['Title'],
			data: map['Data'],
			unit: map['Unit'],
			transferUrl: map['TransferUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(title != null)
			map['Title'] = title;
		map['Data'] = data;
		if(unit != null)
			map['Unit'] = unit;
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		return map;
	}
}

class StatisticPlatActivityDTO {
	String? imgUrl;
	String? transferUrl;

	StatisticPlatActivityDTO({
		this.imgUrl,
		this.transferUrl,
	});

	factory StatisticPlatActivityDTO.fromJson(Map<String, dynamic> map) {
		return StatisticPlatActivityDTO( 
			imgUrl: map['ImgUrl'],
			transferUrl: map['TransferUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(imgUrl != null)
			map['ImgUrl'] = imgUrl;
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		return map;
	}
}

class StatisticUpdateCourseDTO {
	String? title;
	String? teacher;
	String? thumbnail;
	String? transferUrl;

	StatisticUpdateCourseDTO({
		this.title,
		this.teacher,
		this.thumbnail,
		this.transferUrl,
	});

	factory StatisticUpdateCourseDTO.fromJson(Map<String, dynamic> map) {
		return StatisticUpdateCourseDTO( 
			title: map['Title'],
			teacher: map['Teacher'],
			thumbnail: map['Thumbnail'],
			transferUrl: map['TransferUrl'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(title != null)
			map['Title'] = title;
		if(teacher != null)
			map['Teacher'] = teacher;
		if(thumbnail != null)
			map['Thumbnail'] = thumbnail;
		if(transferUrl != null)
			map['TransferUrl'] = transferUrl;
		return map;
	}
}

class BaseFeatureItemDTO extends BaseFeatureItemBaseDTO<BaseFeatureItemDTO>{

	BaseFeatureItemDTO(
	);

	factory BaseFeatureItemDTO.fromJson(Map<String, dynamic> map) {
		return BaseFeatureItemDTO( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AIDiagnosisLesionSize {
	AIDiagnosisPoint2D? horizontalPoint1;
	AIDiagnosisPoint2D? horizontalPoint2;
	int horizontalLengthInPixel;
	AIDiagnosisPoint2D? verticalPoint1;
	AIDiagnosisPoint2D? verticalPoint2;
	int verticalLengthInPixel;

	AIDiagnosisLesionSize({
		this.horizontalPoint1,
		this.horizontalPoint2,
		this.horizontalLengthInPixel = 0,
		this.verticalPoint1,
		this.verticalPoint2,
		this.verticalLengthInPixel = 0,
	});

	factory AIDiagnosisLesionSize.fromJson(Map<String, dynamic> map) {
		return AIDiagnosisLesionSize( 
			horizontalPoint1: map['HorizontalPoint1'] != null ? AIDiagnosisPoint2D.fromJson(map['HorizontalPoint1']) : null,
			horizontalPoint2: map['HorizontalPoint2'] != null ? AIDiagnosisPoint2D.fromJson(map['HorizontalPoint2']) : null,
			horizontalLengthInPixel: map['HorizontalLengthInPixel'],
			verticalPoint1: map['VerticalPoint1'] != null ? AIDiagnosisPoint2D.fromJson(map['VerticalPoint1']) : null,
			verticalPoint2: map['VerticalPoint2'] != null ? AIDiagnosisPoint2D.fromJson(map['VerticalPoint2']) : null,
			verticalLengthInPixel: map['VerticalLengthInPixel'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(horizontalPoint1 != null)
			map['HorizontalPoint1'] = horizontalPoint1;
		if(horizontalPoint2 != null)
			map['HorizontalPoint2'] = horizontalPoint2;
		map['HorizontalLengthInPixel'] = horizontalLengthInPixel;
		if(verticalPoint1 != null)
			map['VerticalPoint1'] = verticalPoint1;
		if(verticalPoint2 != null)
			map['VerticalPoint2'] = verticalPoint2;
		map['VerticalLengthInPixel'] = verticalLengthInPixel;
		return map;
	}
}

class ArrowCommentItemDTO {
	ArrowOrientation arrowOrientation;
	String? text;

	ArrowCommentItemDTO({
		this.arrowOrientation = ArrowOrientation.Down,
		this.text,
	});

	factory ArrowCommentItemDTO.fromJson(Map<String, dynamic> map) {
		return ArrowCommentItemDTO( 
			arrowOrientation: ArrowOrientation.values.firstWhere((e) => e.index == map['ArrowOrientation']),
			text: map['Text'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['ArrowOrientation'] = arrowOrientation.index;
		if(text != null)
			map['Text'] = text;
		return map;
	}
}

class UserDefinedCommentsDTO {
	String? userId;
	List<UserDefinedCommentDataDTO >? commentItems;

	UserDefinedCommentsDTO({
		this.userId,
		this.commentItems,
	});

	factory UserDefinedCommentsDTO.fromJson(Map<String, dynamic> map) {
		return UserDefinedCommentsDTO( 
			userId: map['UserId'],
			commentItems: map['CommentItems'] != null ? (map['CommentItems'] as List).map((e)=>UserDefinedCommentDataDTO.fromJson(e as Map<String,dynamic>)).toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(userId != null)
			map['UserId'] = userId;
		if(commentItems != null)
			map['CommentItems'] = commentItems;
		return map;
	}
}

class AdminStatisticDTO extends BaseDTO{
	String? adminStatisticCode;
	String? name;
	String? description;
	String? intervalSetting;
	bool enabled;
	String? handleClass;
	String? serverHost;

	AdminStatisticDTO({
		this.adminStatisticCode,
		this.name,
		this.description,
		this.intervalSetting,
		this.enabled = false,
		this.handleClass,
		this.serverHost,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminStatisticDTO.fromJson(Map<String, dynamic> map) {
		return AdminStatisticDTO( 
			adminStatisticCode: map['AdminStatisticCode'],
			name: map['Name'],
			description: map['Description'],
			intervalSetting: map['IntervalSetting'],
			enabled: map['Enabled'],
			handleClass: map['HandleClass'],
			serverHost: map['ServerHost'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminStatisticCode != null)
			map['AdminStatisticCode'] = adminStatisticCode;
		if(name != null)
			map['Name'] = name;
		if(description != null)
			map['Description'] = description;
		if(intervalSetting != null)
			map['IntervalSetting'] = intervalSetting;
		map['Enabled'] = enabled;
		if(handleClass != null)
			map['HandleClass'] = handleClass;
		if(serverHost != null)
			map['ServerHost'] = serverHost;
		return map;
	}
}

class AdminFeatureItemDTO extends BaseFeatureItemBaseDTO<AdminFeatureItemDTO>{

	AdminFeatureItemDTO(
	);

	factory AdminFeatureItemDTO.fromJson(Map<String, dynamic> map) {
		return AdminFeatureItemDTO( 
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		return map;
	}
}

class AdminAuthorityGroupDTO extends BaseDTO{
	String? adminGroupCode;
	String? description;
	List<String >? adminCodes;
	List<String >? features;
	String? createAdmin;

	AdminAuthorityGroupDTO({
		this.adminGroupCode,
		this.description,
		this.adminCodes,
		this.features,
		this.createAdmin,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory AdminAuthorityGroupDTO.fromJson(Map<String, dynamic> map) {
		return AdminAuthorityGroupDTO( 
			adminGroupCode: map['AdminGroupCode'],
			description: map['Description'],
			adminCodes: map['AdminCodes'] != null ? map['AdminCodes'].cast<String>().toList() : null,
			features: map['Features'] != null ? map['Features'].cast<String>().toList() : null,
			createAdmin: map['CreateAdmin'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(adminGroupCode != null)
			map['AdminGroupCode'] = adminGroupCode;
		if(description != null)
			map['Description'] = description;
		if(adminCodes != null)
			map['AdminCodes'] = adminCodes;
		if(features != null)
			map['Features'] = features;
		if(createAdmin != null)
			map['CreateAdmin'] = createAdmin;
		return map;
	}
}


